2007-04-16 05:42  James Su <suzhe@tsinghua.org.cn>

	* configs/config, extras/gtk2_immodule/gtkimcontextscim.cpp,
	src/scim_keyevent_data.h, utils/scim_x11_utils.cpp
	(scim_1_4.[3,12,1,2]):

	Fix QuirkKanaRo support.

2007-04-14 08:35  James Su <suzhe@tsinghua.org.cn>

	* src/scim_iconv.cpp (scim_1_4.1):

	Added missing header.

2007-04-11 15:24  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp, src/scim_event.h,
	utils/scim_x11_utils.cpp (scim_1_4.[11,1,1]):

	Prevent spot location from being changed too frequently.  Add
	SCIM_KEY_QuirkKanaRoMask to KeyEvent::mask to distinguish two
	backslash keys on jp106 keyboard.

2007-04-11 11:30  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.15):

	Automatically adjust the position of toolbar according to the size
	of work area.  Patch is provided by Takuro Ashie.

2007-04-11 06:10  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (scim_1_4.4):

	Just return when receiving events from an un-focused IC.

2007-04-10 09:46  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, po/cs.po, po/de.po, po/fi.po, po/fr.po, po/it.po,
	po/ja.po, po/ko.po, po/nl.po, po/pa.po, po/scim.pot, po/sv.po,
	po/zh_CN.po, po/zh_TW.po (scim_1_4.[8,3,3,2,4,3,3,3,1,3,9,2,3,3]):

	Added Dutch translation.

2007-04-10 09:18  James Su <suzhe@tsinghua.org.cn>

	* src/scim_types.h.in (scim_1_4.1):

	Support for FreeBSD.

2007-04-10 09:14  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, scim-gtkutils.pc.in, scim-x11utils.pc.in,
	scim.pc.in, scim.spec.in, extras/gtk2_immodule/Makefile.am,
	extras/gtk2_immodule/imscim.cpp, extras/panel/Makefile.am,
	extras/setup/Makefile.am, modules/Config/Makefile.am,
	modules/Filter/Makefile.am, modules/FrontEnd/Makefile.am,
	modules/IMEngine/Makefile.am, modules/SetupUI/Makefile.am,
	src/Makefile.am, tests/Makefile.am, utils/Makefile.am
	(scim_1_4.[7,1,1,4,2,1,1,1,1,1,1,1,1,1,1,1,1]):

	Use SCIM_EPOCH=-1.0 macro to replace hardcoded -1.0 suffix.

2007-04-10 07:47  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp,
	modules/IMEngine/scim_rawcode_imengine.cpp (scim_1_4.[14,7]):

	Use GtkEventBox instead of GtkButton in tray icon.  Postpone the
	initialization of a static string object in rawcode imengine.

2007-03-13 07:57  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.10):

	Fixed a null pointer issue.

2007-03-11 12:35  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp, src/scim_private.cpp
	(scim_1_4.[9,1]):

	Don't call setlocale() if locale is already set.

2006-12-14 04:12  Jens-Ulrik Petersen <juhp@users.sourceforge.net>

	* extras/panel/scim_panel_gtk.cpp (1.125):

	fix spelling of dragging in identifiers

2006-11-30 02:19  James Su <suzhe@tsinghua.org.cn>

	* src/scim_compose_key_data.h (scim_1_4.1):

	Fixed a wrong sequence in compose key table.

2006-11-17 00:39  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (scim_1_4.3):

	Just return if the IC is not focused.

2006-11-02 04:14  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.13):

	Return menu_item in ui_create_factory_menu_entry().

2006-11-02 04:11  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (scim_1_4.5):

	Accept language names such as "zh-cn" etc.

2006-10-08 09:31  tag scim_1_4_5

2006-10-08 09:31  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog, configure.ac (scim_1_4.[8,6]):

	Bump version to 1.4.5

2006-10-08 08:09  James Su <suzhe@tsinghua.org.cn>

	* po/: scim.pot, sv.po (scim_1_4.[8,1]):

	Added Swedish translation. Thanks Leo Wallentin.

2006-09-30 07:40  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.12):

	Don't show factory and command menu twice in very short time.

2006-09-30 02:18  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (scim_1_4.2):

	Don't draw underline for characters which have attributes when
	drawing preedit string.

2006-09-29 15:17  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.8):

	Don't draw underline for characters with attributes when drawing
	preedit string.

2006-09-27 03:33  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.11):

	Fix multihead support of workarea code, by Takuro Ashie.

2006-09-24 16:17  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (scim_1_4.7):

	Updated ChangeLog.

2006-09-24 16:00  James Su <suzhe@tsinghua.org.cn>

	* scim.pc.in, configs/config,
	extras/gtk2_immodule/gtkimcontextscim.cpp,
	extras/panel/scim_panel_gtk.cpp,
	modules/SetupUI/scim_imengine_setup.cpp, po/scim.pot,
	src/scim_backend.cpp, src/scim_utility.cpp, tests/testlang.cpp
	(scim_1_4.[3,2,7,10,2,7,1,4,1]):

	Merge some patches from RedHat Fedora Core's scim package as well
	as some other contributors.

2006-09-22 07:52  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (scim_1_4.3):

	Use _exit() instead of exit() in scim_daemon().

2006-08-23 16:12  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.9):

	Enable Exit command by default.

2006-08-10 13:59  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.6):

	Emit preedit-start/preedit-end signal correctly.

2006-08-10 05:16  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.5):

	Add option to disable key snooper.(Again3)

2006-08-09 14:02  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.4):

	Add option to disable key snooper.(Again2)

2006-08-09 13:48  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.3):

	Add option to disable key snooper.(Again)

2006-08-09 11:16  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_4.2):

	Add option to disable key snooper.

2006-07-11 03:50  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (scim_1_4.6):

	Update ChangeLog.

2006-07-11 02:58  James Su <suzhe@tsinghua.org.cn>

	* utils/scimtrayicon.c (scim_1_4.1):

	Applied patch for bug #1520119. Make tray icon transparent.

2006-07-03 04:49  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.8):

	Set initial toolbar position to not overlap desktop panel.  Patch
	from Takuro Ashie.

2006-06-29 07:40  Jens-Ulrik Petersen <juhp@users.sourceforge.net>

	* ChangeLog (scim_1_4.5):

	add entry for changes to scim_panel_gtk.cpp to use toplevel factory
	menu entries for single IME langs

2006-06-22 01:07  LiuCougar <liuspider@users.sourceforge.net>

	* po/ja.po (1.55):

	update ja, thanks to Yukiko Bando

2006-06-07 10:35  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, po/scim.pot (scim_1_4.[5,6]):

	Add --without-doxygen option

2006-06-07 09:40  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.151), extras/panel/scim_panel_gtk.cpp (1.124):

	Handle --without-doxygen option correctly.

2006-06-07 09:27  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_transaction.cpp (scim_1_4.1), scim_transaction.cpp
	(1.14):

	Handle empty LookupTable correctly in Transaction.

2006-06-06 05:39  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.7):

	Patch from Jens Petersen  <petersen@redhat.com>: Change the menu to
	put a single factory for a language on the main menu.  Add
	variables `engines', `lang', `ime' and `text'.	`engines' holds
	number of factories for `lang'.  `ime' is the factory name.  Label
	factories of miscellaneous `lang' with just the `ime' name.  Add a
	tooltip to main menu entries with the `ime' name.

2006-06-01 06:04  James Su <suzhe@tsinghua.org.cn>

	* po/: fi.po (scim_1_4.1), fi.po (1.2):

	Added fi.po

2006-06-01 06:00  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, po/scim.pot (scim_1_4.[4,5]), configure.ac (1.150),
	po/cs.po (1.21), po/de.po (1.42), po/fr.po (1.34), po/it.po (1.24),
	po/ja.po (1.54), po/ko.po (1.45), po/pa.po (1.8), po/scim.pot
	(1.113), po/zh_CN.po (1.159), po/zh_TW.po (1.160):

	Added fi.po

2006-04-24 01:59  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/: i18nIMProto.c (1.2), i18nIc.c (1.6),
	i18nMethod.c (1.5), i18nPtHdr.c (1.4):

	Fix endian issue in IMdkit.
	https://bugzilla.novell.com/show_bug.cgi?id=163522.

2006-04-24 01:46  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/: i18nIMProto.c, i18nIc.c, i18nMethod.c,
	i18nPtHdr.c (scim_1_4.[1,1,1,1]):

	Fix endian issue in IMdkit.
	https://bugzilla.novell.com/show_bug.cgi?id=163522.

2006-03-26 16:32  Kitae <neeum@users.sourceforge.net>

	* po/ko.po (1.44):

	translate some undtaranslated word in ko.po file

2006-03-20 08:00  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (scim_1_4.1),
	scim_x11_frontend.cpp (1.180):

	Don't check whether ic is focused when doing helper related
	operations.

2006-03-01 10:25  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (scim_1_4.4):

	Updated ChangeLog.

2006-02-24 04:32  James Su <suzhe@tsinghua.org.cn>

	* scim.pc.in (scim_1_4.2):

	Revert the moduledir change, this may lead incompatibility issue.

2006-02-23 05:29  James Su <suzhe@tsinghua.org.cn>

	* po/fr.po (scim_1_4.3):

	Fixed some fuzzy strings.

2006-02-23 04:35  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_imengine_setup.cpp (1.11):

	Initialize hotkey and filter buttons before factory list view to
	prevent NULL pointers from being used in callback function.

2006-02-23 04:32  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_imengine_setup.cpp (scim_1_4.1):

	Initialize hotkey and filter buttons before factory list view to
	prevent NULL pointers from being used in callback function.

2006-02-23 04:29  James Su <suzhe@tsinghua.org.cn>

	* po/: cs.po, de.po, fr.po, it.po, ja.po, ko.po, pa.po, scim.pot,
	zh_CN.po, zh_TW.po (scim_1_4.[2,2,2,2,2,2,2,4,2,2]):

	Updated po files to add some new strings.

2006-02-23 04:03  James Su <suzhe@tsinghua.org.cn>

	* scim.pc.in (scim_1_4.1), scim.pc.in (1.18):

	Change moduledir to @libdir@/scim-1.0/@SCIM_BINARY_VERSION@

2006-02-22 04:03  Jens-Ulrik Petersen <juhp@users.sourceforge.net>

	* ChangeLog, po/cs.po, po/de.po, po/fr.po, po/it.po, po/ja.po,
	po/ko.po, po/pa.po, po/scim.pot, po/zh_CN.po, po/zh_TW.po,
	src/scim_utility.cpp (scim_1_4.[3,1,1,1,1,1,1,1,3,1,1,2]):

	2006-02-22  Jens Petersen  <petersen@redhat.com>

		* src/scim_utility.cpp (__languages): Name of pa is
	Punjabi.

2006-02-22 03:47  Jens-Ulrik Petersen <juhp@users.sourceforge.net>

	* ChangeLog (1.68), po/cs.po (1.20), po/de.po (1.41), po/fr.po
	(1.33), po/it.po (1.23), po/ja.po (1.53), po/ko.po (1.43), po/pa.po
	(1.7), po/scim.pot (1.112), po/zh_CN.po (1.158), po/zh_TW.po
	(1.159), src/scim_utility.cpp (1.50):

	2006-02-22  Jens Petersen  <petersen@redhat.com>

		* src/scim_utility.cpp (__languages): Name of pa is
	Punjabi.

2006-02-16 05:49  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, extras/panel/scim_panel_gtk.cpp, intl/localename.c,
	po/scim.pot, src/scim_utility.cpp (scim_1_4.[2,6,1,2,1]):

	Added some new language names.

2006-02-16 05:13  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.44), docs/Makefile.am (1.7),
	extras/panel/scim_panel_gtk.cpp (1.123),
	extras/setup/scim_setup_helper.cpp (1.6),
	extras/setup/scim_setup_ui.cpp (1.53), intl/localename.c (1.3),
	modules/IMEngine/scim_rawcode_imengine.cpp (1.14),
	modules/SetupUI/scim_frontend_setup.cpp (1.7),
	modules/SetupUI/scim_imengine_setup.cpp (1.10),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.16),
	src/scim_utility.cpp (1.49), utils/scimkeyselection.cpp (1.8),
	utils/scimstringview.c (1.5), utils/scimtrayicon.c (1.2):

	Fixed some grammar errors.  Added some new languages into
	scim_utility.cpp.

2006-02-06 06:59  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.149):

	added option --without-doxygen to disable API doc generation
	(http://bugs.gentoo.org/show_bug.cgi?id=121295)

2006-01-18 05:44  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp (scim_1_4.6),
	scim_rawcode_imengine.cpp (1.13):

	Adjust max unicode length smartly according to the first inputted
	char, to enhance usability.

2006-01-13 01:27  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (scim_1_4.5):

	Move the page up/down buttons of horizontal lookup table back to
	right side.

2006-01-12 09:21  tag scim_1_4_4

2006-01-12 09:21  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog, scim.spec.in, po/scim.pot (scim_1_4.[2,1,1]):

	Ready to release 1.4.4

2006-01-12 07:22  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/: scim_panel_gtk.cpp (scim_1_4.4),
	scim_panel_gtk.cpp (1.122):

	Move horizontal page up/down buttons to the left of candidate list.

2006-01-12 06:59  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp,
	scim_rawcode_imengine.h (scim_1_4.[5,3]), scim_rawcode_imengine.cpp
	(1.12), scim_rawcode_imengine.h (1.8):

	Fix lookup table page up/down issue.

2006-01-12 06:12  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp (scim_1_4.4),
	scim_rawcode_imengine.cpp (1.11):

	Don't put the default locales string in po file.

2006-01-12 05:53  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp (scim_1_4.3),
	scim_rawcode_imengine.cpp (1.10):

	More fix.

2006-01-12 05:38  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp,
	scim_rawcode_imengine.h (scim_1_4.[2,2]), scim_rawcode_imengine.cpp
	(1.9), scim_rawcode_imengine.h (1.7):

	Make rawcode work correctly.

2006-01-11 09:54  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog, configure.ac, configs/config (scim_1_4.[1,1,1]):

	Ready to release 1.4.4

2006-01-11 08:43  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp,
	scim_rawcode_imengine.h (scim_1_4.[1,1]), scim_rawcode_imengine.cpp
	(1.8), scim_rawcode_imengine.h (1.6):

	Support switching among multiple encodings on the fly.

2006-01-11 03:11  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/: scim_panel_gtk.cpp (scim_1_4.3),
	scim_panel_gtk.cpp (1.121):

	Move page up/down buttons onto the top for vertical lookup table.

2006-01-09 14:32  James Su <suzhe@tsinghua.org.cn>

	* src/scim_panel_agent.cpp (scim_1_4.1):

	Call transaction_start and transaction_end around all signals to
	fix some lock issues.

2006-01-09 14:16  James Su <suzhe@tsinghua.org.cn>

	* src/scim_panel_agent.cpp (1.9):

	Call transaction_start and transaction_end around all signals to
	fix some lock issues.

2006-01-09 13:37  James Su <suzhe@tsinghua.org.cn>

	* modules/Filter/scim_sctc_filter.cpp (scim_1_4.1):

	Use static encoding list instead of probing it dynamically.

2006-01-07 08:13  James Su <suzhe@tsinghua.org.cn>

	* modules/Filter/scim_sctc_filter.cpp (1.8):

	Use static encoding list instead of probing it dynamically.

2006-01-01 14:07  tag scim_before_modulized_client_components

2006-01-01 14:07  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_imengine.cpp (1.16), scim_imengine.h (1.20):

	Pass IMEngineFactoryBase pointer instead, so that any
	IMEngineFactory can create DummyIMEngineInstance.

2005-12-31 08:57  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/: scim_panel_gtk.cpp (scim_1_4.2),
	scim_panel_gtk.cpp (1.120):

	Fixed a typo.

2005-12-30 08:50  James Su <suzhe@tsinghua.org.cn>

	* extras/: gtk2_immodule/gtkimcontextscim.cpp,
	panel/scim_panel_gtk.cpp (scim_1_4.[1,1]):

	Two potential null pointer bugs were fixed.

2005-12-30 08:45  James Su <suzhe@tsinghua.org.cn>

	* extras/: gtk2_immodule/gtkimcontextscim.cpp (1.171),
	panel/scim_panel_gtk.cpp (1.119):

	Two potential null pointer bugs were fixed.

2005-12-28 15:48  tag scim_1_4_3

2005-12-28 15:48  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.67):

	Ready to release 1.4.3

2005-12-28 14:29  James Su <suzhe@tsinghua.org.cn>

	* THANKS (1.8):

	Update THANKS file.

2005-12-18 16:05  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.66):

	Ready to release 1.4.3

2005-12-18 10:20  James Su <suzhe@tsinghua.org.cn>

	* po/: de.po (1.40), ko.po (1.42), zh_TW.po (1.158):

	Updated po files.

2005-12-16 13:59  James Su <suzhe@tsinghua.org.cn>

	* po/de.po (1.39):

	de.po was updated.

2005-12-16 12:23  James Su <suzhe@tsinghua.org.cn>

	* po/: cs.po (1.19), de.po (1.38), fr.po (1.32), it.po (1.22),
	ja.po (1.52), ko.po (1.41), pa.po (1.6), scim.pot (1.111), zh_CN.po
	(1.157):

	Update po files.

2005-12-16 12:13  James Su <suzhe@tsinghua.org.cn>

	* po/zh_TW.po (1.157):

	Update zh_TW.po

2005-12-16 11:12  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_socket_config.cpp (1.23),
	modules/Filter/Makefile.am (1.3), po/scim.pot (1.110),
	src/scim_backend.cpp (1.38), src/scim_filter_manager.cpp (1.4):

	A bug which cause scim-launcher won't exit was fixed.

2005-12-16 05:40  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.118):

	A bug in updating properties was fixed.

2005-12-13 07:59  James Su <suzhe@tsinghua.org.cn>

	* po/: it.po (1.21), pa.po (1.5):

	Two more po files were updated.

2005-12-11 22:23  James Su <suzhe@tsinghua.org.cn>

	* po/cs.po (1.18):

	cs.po was updated.

2005-12-11 15:02  James Su <suzhe@tsinghua.org.cn>

	* po/: fr.po (1.31), zh_TW.po (1.156):

	fr.po and zh_TW.po were updated.

2005-12-11 03:16  James Su <suzhe@tsinghua.org.cn>

	* po/ja.po (1.51):

	ja.po was updated.

2005-12-10 14:04  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.117),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.15), po/cs.po (1.17),
	po/de.po (1.37), po/fr.po (1.30), po/it.po (1.20), po/ja.po (1.50),
	po/ko.po (1.40), po/pa.po (1.4), po/scim.pot (1.109), po/zh_CN.po
	(1.156), po/zh_TW.po (1.155):

	Merge Hiroyuki Ikezoe's patch to add a toolbar never shown option.

2005-12-08 08:37  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.148), po/scim.pot (1.108):

	Bump to 1.4.3

2005-12-06 10:14  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.22):

	Don't remove intltool-extract intltool-merge intltool-update when
	making clean.

2005-12-01 08:27  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.44):

	Fix scim_get_default_panel_socket_address to support inet socket
	address.

2005-11-24 06:21  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.147):

	Bump required gtk2 version to 2.4.0

2005-11-23 13:21  James Su <suzhe@tsinghua.org.cn>

	* po/cs.po (1.16), po/de.po (1.36), po/fr.po (1.29), po/it.po
	(1.19), po/ja.po (1.49), po/ko.po (1.39), po/pa.po (1.3),
	po/scim.pot (1.107), po/zh_CN.po (1.155), po/zh_TW.po (1.154),
	utils/scimkeyselection.cpp (1.7):

	Don't accept empty Key Code in key selection dialog.

2005-10-30 04:19  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.65), Makefile.am (1.21):

	Add --gmt option into cvs2cl.pl command line.

2005-10-25 03:27  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.146):

	Don't use LIBTOOL_EXPORT_OPTIONS, it will cause problem.

2005-10-06 18:02  LiuCougar <liuspider@users.sourceforge.net>

	* src/: scim_backend.h (1.26), scim_event.h (1.26),
	scim_filter_module.h (1.7), scim_frontend.h (1.42), scim_hotkey.h
	(1.5):

	corrected some API docs

2005-09-29 10:51  James Su <suzhe@tsinghua.org.cn>

	* src/scim_global_config.cpp (1.7):

	Include cstdio to fix "implicit declaration of function snprintf"
	issue.

2005-09-25 12:01  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.64), Makefile.am (1.20), cvs2cl.pl (1.1), developers
	(1.1), mkchlog (1.6):

	Use cvs2cl.pl (http://www.red-bean.com/cvs2cl/)instead of old
	mkchlog script.

2005-09-13 14:16  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/imscim.cpp (1.11):

	Prevent gtk from being choose SCIM immodule by default.

2005-08-25 14:29  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/: Makefile.am (1.5), Xi18nTr.h (1.2):

	Remove Xi18nTr.h as well.

2005-08-25 13:13  LiuCougar <liuspider@users.sourceforge.net>

	* modules/FrontEnd/IMdkit/: Makefile.am (1.4), i18nTr.c (1.2):

	remove useless file

2005-08-18 10:12  Mike FABIAN <mfabian@users.sourceforge.net>

	* po/ja.po (1.48):

	fix typo.

2005-08-16 07:48  tag scim_1_4_2

2005-08-16 07:48  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.63):

	Updated ChangeLog.

2005-08-16 07:26  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.145), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.170), modules/FrontEnd/scim_x11_frontend.cpp (1.179),
	src/scim_compose_key.cpp (1.7), src/scim_compose_key.h (1.5):

	Only use ComposeKeyFactory as fallback in FrontEnds when ComposeKey
	input method is enabled.

2005-08-16 02:12  James Su <suzhe@tsinghua.org.cn>

	* po/: cs.po (1.15), de.po (1.35), fr.po (1.28), it.po (1.18),
	ja.po (1.47), ko.po (1.38), pa.po (1.2), scim.pot (1.106), zh_CN.po
	(1.154), zh_TW.po (1.153):

	Updated po files.

2005-08-15 14:27  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_rawcode_imengine.cpp (1.7):

	* Enhanced RawCode IMEngine to support UCS-4.

2005-08-15 12:45  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.169),
	modules/FrontEnd/scim_x11_frontend.cpp (1.178), src/scim_iconv.cpp
	(1.18), src/scim_iconv.h (1.18), src/scim_imengine.h (1.19),
	src/scim_panel_agent.cpp (1.8):

	* Added IConvert::get_encoding () method.  * Fixed a bug of focused
	ic handling in gtkimmodule, x11 FrontEnd and PanelAgent.

2005-08-15 06:33  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_imengine_setup.cpp (1.9):

	Always load all IMEngine modules, otherwise the disabled modules
	won't be displayed.

2005-08-10 06:26  tag scim_1_4_1

2005-08-10 06:26  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.62):

	Updated ChangeLog.

2005-08-10 06:20  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.144), po/scim.pot (1.105):

	Bump to 1.4.1

2005-08-09 13:26  LiuCougar <liuspider@users.sourceforge.net>

	* AUTHORS (1.8), configure.ac (1.143), po/pa.po (1.1):

	added pa.po, thanks to Amanpreet Singh Alam

2005-08-05 16:12  James Su <suzhe@tsinghua.org.cn>

	* src/scim_attribute.h (1.7):

	Added operator< for Attribute.

2005-08-05 01:54  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_debug.cpp (1.10), scim_debug.h (1.18):

	Fix potential crash bug when libscim and external modules use
	different debug compile option.

2005-08-02 08:48  James Su <suzhe@tsinghua.org.cn>

	* future-plan.txt (1.1):

	Added future-plan.txt

2005-07-30 13:09  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.142), po/scim.pot (1.104):

	Fixed a typo in configure script.

2005-07-14 09:13  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_event.h (1.25), scim_keyboard_layout_data.h (1.3):

	Three new Keyboard Layouts (Icelandic, Lithuanian, Ukrainian) were
	added.

2005-07-13 08:54  tag scim_1_4_0

2005-07-13 08:54  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.14), src/scim_event.cpp (1.29):

	Return correct ascii code for some control keys.

2005-07-12 15:06  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.61), scim.pc.in (1.17):

	Remove scimtabledir.

2005-07-12 14:30  James Su <suzhe@tsinghua.org.cn>

	* docs/Makefile.am (1.6), docs/scim.cfg.in (1.13),
	po/Makefile.in.in (1.8), po/scim.pot (1.103):

	Fixed some path issue in build system

2005-07-12 03:10  James Su <suzhe@tsinghua.org.cn>

	* docs/scim.cfg.in (1.12):

	Added Uses_SCIM_FILTER

2005-07-10 14:39  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.60):

	Updated ChangeLog

2005-07-10 14:25  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.141):

	Bump version to 1.4.0

2005-07-10 13:45  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.13), extras/gtk2_immodule/Makefile.am (1.27),
	extras/panel/Makefile.am (1.17), extras/setup/Makefile.am (1.12),
	modules/Config/Makefile.am (1.18), modules/Filter/Makefile.am
	(1.2), modules/FrontEnd/Makefile.am (1.33),
	modules/IMEngine/Makefile.am (1.10), modules/SetupUI/Makefile.am
	(1.18), src/Makefile.am (1.55), tests/Makefile.am (1.15),
	utils/Makefile.am (1.11):

	Fixed build issue in separated directory.

2005-07-10 07:34  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.140), extras/gtk2_immodule/Makefile.am (1.26),
	modules/Config/Makefile.am (1.17), modules/IMEngine/Makefile.am
	(1.9), src/Makefile.am (1.54):

	disable ld version script by default.

2005-07-08 14:33  James Su <suzhe@tsinghua.org.cn>

	* po/: cs.po (1.14), de.po (1.34), fr.po (1.27), it.po (1.17),
	ja.po (1.46), ko.po (1.37), scim.pot (1.102), zh_CN.po (1.153),
	zh_TW.po (1.152):

	Updated ko.po

2005-07-08 05:06  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_debug.cpp (1.9), scim_debug.h (1.17):

	Fixed a compilation warning when using gcc4.

2005-07-07 11:09  James Su <suzhe@tsinghua.org.cn>

	* po/cs.po (1.13):

	Updated cs.po

2005-07-06 16:26  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/im-scim.version-script (1.2),
	src/libscim.version-script (1.2):

	Hide more symbols.

2005-07-06 14:28  James Su <suzhe@tsinghua.org.cn>

	* po/zh_TW.po (1.151):

	Updated zh_TW.po

2005-07-06 13:11  James Su <suzhe@tsinghua.org.cn>

	* po/ja.po (1.45):

	Updated ja.po

2005-07-06 09:38  James Su <suzhe@tsinghua.org.cn>

	* po/fr.po (1.26):

	Updated fr.po

2005-07-06 04:47  tag scim_1_3_3

2005-07-06 04:47  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.139):

	Update version to 1.3.3

2005-07-06 04:25  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.59), po/cs.po (1.12), po/de.po (1.33), po/fr.po
	(1.25), po/it.po (1.16), po/ja.po (1.44), po/ko.po (1.36),
	po/scim.pot (1.101), po/zh_CN.po (1.152), po/zh_TW.po (1.150):

	Ready to release 1.3.3

2005-07-06 03:57  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.138), modules/Config/scim_simple_config.cpp
	(1.35), modules/Config/scim_simple_config.h (1.22),
	modules/Config/scim_socket_config.cpp (1.22),
	modules/Config/scim_socket_config.h (1.11),
	modules/IMEngine/scim_socket_imengine.cpp (1.21),
	modules/IMEngine/scim_socket_imengine.h (1.13):

	Put some module classes into scim namespace to prevent being
	conflict with external classes.  Bump version to 1.3.3

2005-07-05 16:13  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.137), extras/gtk2_immodule/Makefile.am (1.25),
	extras/gtk2_immodule/im-scim.version-script (1.1),
	modules/Config/Makefile.am (1.16),
	modules/Config/config.version-script (1.1),
	modules/IMEngine/Makefile.am (1.8),
	modules/IMEngine/imengine.version-script (1.1), src/Makefile.am
	(1.53), src/libscim.version-script (1.1), src/scim_chartraits.cpp
	(1.11):

	Use ld --version-script command to limit the exported symbols of
	libscim-1.0.so, im-scim.so, and all Config/IMEngine modules.  It
	could workaround the incompatibility issue of libstdc++.so.5 and
	libstdc++.so.6 in some gtk apps.  This hack is known to work with
	realplay. But acroread still doesn't work.

2005-07-03 08:36  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.168),
	modules/Config/scim_simple_config.cpp (1.34),
	modules/FrontEnd/scim_socket_frontend.cpp (1.37),
	src/scim_config_agent.cpp (1.10):

	Let string value could be empty.

2005-07-01 00:51  James Su <suzhe@tsinghua.org.cn>

	* po/de.po (1.32):

	Updated de.po

2005-06-30 10:25  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.167),
	modules/FrontEnd/scim_x11_frontend.cpp (1.177), po/ja.po (1.43),
	po/scim.pot (1.100), src/scim_panel_agent.cpp (1.7):

	Focus the input context, no matter whether it's already focused or
	not, during inputing or focusing in.  Update ja.po

2005-06-29 10:56  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.58):

	update ChangeLog

2005-06-29 10:48  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.136), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.166), po/scim.pot (1.99), po/zh_CN.po (1.151):

	Ready to release 1.3.2

2005-06-29 10:29  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.176):

	Support On/Off keys.

2005-06-29 08:19  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.165),
	modules/SetupUI/scim_frontend_setup.cpp (1.6):

	Added a hack to clean-up the immodule when exiting, no matter
	whether im_module_exit () will be called.  Fix a small issue in
	frontend setup module.

2005-06-28 13:36  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.164):

	Destroy all instance before exiting.

2005-06-27 15:31  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.163),
	extras/gtk2_immodule/gtkimcontextscim.h (1.12),
	extras/panel/scim_panel_gtk.cpp (1.116),
	modules/FrontEnd/scim_x11_frontend.cpp (1.175), po/cs.po (1.11),
	po/de.po (1.31), po/fr.po (1.24), po/it.po (1.15), po/ja.po (1.42),
	po/ko.po (1.35), po/scim.pot (1.98), po/zh_CN.po (1.150),
	po/zh_TW.po (1.149):

	Implement "Shared Input Method" feature in gtkimmodule.  Optimized
	gtk panel to reduce glitters.

2005-06-26 16:35  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.43), configs/global (1.2),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.162),
	extras/panel/scim_panel_gtk.cpp (1.115),
	modules/FrontEnd/scim_x11_frontend.cpp (1.174),
	modules/FrontEnd/scim_x11_frontend.h (1.56),
	modules/FrontEnd/scim_x11_ic.cpp (1.19),
	modules/FrontEnd/scim_x11_ic.h (1.10),
	modules/SetupUI/scim_frontend_setup.cpp (1.5), po/cs.po (1.10),
	po/de.po (1.30), po/fr.po (1.23), po/it.po (1.14), po/ja.po (1.41),
	po/ko.po (1.34), po/scim.pot (1.97), po/zh_CN.po (1.149),
	po/zh_TW.po (1.148), src/scim_backend.cpp (1.37),
	src/scim_backend.h (1.25), src/scim_config_agent.cpp (1.9),
	src/scim_config_path.h (1.35), src/scim_debug.cpp (1.8),
	src/scim_debug.h (1.16), src/scim_frontend.cpp (1.44),
	src/scim_frontend.h (1.41), src/scim_panel_agent.cpp (1.6),
	src/scim_panel_client.cpp (1.6), src/scim_panel_client.h (1.4),
	src/scim_trans_commands.h (1.9):

	Implement "shared input method" feature in x11 frontend.  added
	register_input_context/remove_input_context methods in PanelClient.
	 various bugfixes.

2005-06-25 23:54  LiuCougar <liuspider@users.sourceforge.net>

	* po/ja.po (1.40):

	updated ja

2005-06-25 18:15  LiuCougar <liuspider@users.sourceforge.net>

	* po/de.po (1.29):

	updated de

2005-06-23 05:12  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.42), extras/setup/scim_setup_ui.cpp (1.52),
	po/scim.pot (1.95):

	Changed some default hotkeys to avoid conflict.  Set windows icon
	in Setup UI.

2005-06-22 15:37  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.161):

	Only remove snooper if it's installed when finalizing gtkimmodule.

2005-06-22 15:33  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.160):

	Finalize panel connection correctly when finalizing gtkimmodule.

2005-06-18 13:19  tag scim_1_3_1

2005-06-18 13:19  James Su <suzhe@tsinghua.org.cn>

	* src/scim_hotkey.cpp (1.8):

	Change the default FrontEnd KeyEvents.

2005-06-17 17:13  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.57), po/scim.pot (1.94):

	Updated ChangeLog

2005-06-15 00:19  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.41), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.159), extras/panel/scim_panel_gtk.cpp (1.114),
	modules/FrontEnd/scim_x11_frontend.cpp (1.172), po/scim.pot (1.92),
	src/scim.cpp (1.51), src/scim_launcher.cpp (1.9):

	Output all information to stdcerr.

2005-06-12 14:48  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.113):

	Fixed the input window and lookup table window overlapping issue.

2005-06-11 14:50  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_panel_agent.cpp (1.5), scim_panel_agent.h (1.2):

	Addes transaction_start/end signals into PanelAgent.

2005-06-05 14:12  James Su <suzhe@tsinghua.org.cn>

	* po/: fr.po (1.20), it.po (1.11):

	Updated fr.po and it.po

2005-06-02 14:36  James Su <suzhe@tsinghua.org.cn>

	* po/: cs.po (1.7), de.po (1.26), fr.po (1.19), it.po (1.10), ja.po
	(1.37), ko.po (1.31), scim.pot (1.91), zh_CN.po (1.146), zh_TW.po
	(1.145):

	Updated zh_TW.po

2005-05-31 13:49  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.40), modules/FrontEnd/scim_x11_frontend.cpp
	(1.171), src/scim_event.cpp (1.28):

	Added /FrontEnd/X11/OnTheSpot back.

2005-05-30 14:36  James Su <suzhe@tsinghua.org.cn>

	* po/ja.po (1.36):

	Updated ja.po

2005-05-29 11:35  James Su <suzhe@tsinghua.org.cn>

	* po/: cs.po (1.6), de.po (1.25), fr.po (1.18), it.po (1.9), ja.po
	(1.35), ko.po (1.30), zh_CN.po (1.145), zh_TW.po (1.144):

	ja.po was updated.

2005-05-28 14:10  tag scim_1_3_0

2005-05-28 14:10  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.56), scim.spec.in (1.75), po/scim.pot (1.90),
	po/zh_CN.po (1.144):

	Ready to release 1.3.0

2005-05-28 13:54  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.51),
	modules/Config/scim_simple_config.cpp (1.33),
	modules/Config/scim_simple_config.h (1.21),
	modules/Filter/scim_sctc_filter.cpp (1.7),
	modules/SetupUI/scim_imengine_setup.cpp (1.8), po/cs.po (1.5),
	po/de.po (1.24), po/fr.po (1.17), po/it.po (1.8), po/ja.po (1.34),
	po/ko.po (1.29), po/scim.pot (1.89), po/zh_CN.po (1.143),
	po/zh_TW.po (1.143), src/scim_event.h (1.24), src/scim_filter.h
	(1.5), src/scim_filter_manager.cpp (1.3), src/scim_filter_manager.h
	(1.3):

	* Implemented Filter configuration dialog in IMEngine setup module.
	 * Fixed erasing config key bug in simple config module.  * Fixed a
	small bug in scim-setup ui code.  * Added some useful methods into
	FilterManager.

2005-05-26 02:27  LiuCougar <liuspider@users.sourceforge.net>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.158):

	typo

2005-05-26 02:05  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: gtkimcontextscim.cpp (scim_1_2.4),
	gtkimcontextscim.cpp (1.157):

	Only update preedit string/caret when necessary.

2005-05-25 04:15  tag scim_1_2_3

2005-05-25 04:15  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (scim_1_2.2):

	Ready to release 1.2.3

2005-05-25 04:05  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (scim_1_2.2):

	Bump to 1.2.3

2005-05-25 03:55  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_socket_imengine.cpp,
	src/scim_transaction.cpp (scim_1_2.[2,1]):

	Fixed the recursive calling issue of SocketIMEngine.

2005-05-25 03:08  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.156):

	Fixed preedit caret issue when turning off OnTheSpot mode.

2005-05-24 18:20  LiuCougar <liuspider@users.sourceforge.net>

	* modules/Filter/scim_sctc_filter.cpp (1.5):

	updated to the latest filter module API

2005-05-24 15:12  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.74), configs/config (1.39),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.155),
	modules/FrontEnd/scim_x11_frontend.cpp (1.170),
	modules/SetupUI/Makefile.am (1.17),
	modules/SetupUI/scim_frontend_setup.cpp (1.4),
	modules/SetupUI/scim_imengine_setup.cpp (1.7),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.16), po/POTFILES.in
	(1.20), src/scim_config_path.h (1.34), src/scim_imengine.h (1.18):

	* Added /FrontEnd/OnTheSpot for all FrontEnds.	*
	/FrontEnd/X11/OnTheSpot is now obsoleted.  * Remove X11 FrontEnd
	Setup module, it's now useless.

2005-05-24 12:22  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.112),
	modules/Filter/scim_sctc_filter.cpp (1.4),
	modules/IMEngine/scim_socket_imengine.cpp (1.20),
	modules/IMEngine/scim_socket_imengine.h (1.12),
	src/scim_backend.cpp (1.36), src/scim_config_path.h (1.33),
	src/scim_filter_manager.cpp (1.2), src/scim_filter_manager.h (1.2),
	src/scim_filter_module.cpp (1.5), src/scim_filter_module.h (1.6),
	src/scim_helper.cpp (1.13), src/scim_helper.h (1.16),
	src/scim_module.cpp (1.26), src/scim_panel_agent.cpp (1.4),
	src/scim_transaction.cpp (1.13), src/scim_transaction.h (1.10):

	Various bugfix and update.

2005-05-23 21:36  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_socket_imengine.cpp, po/scim.pot,
	src/scim_module.cpp (scim_1_2.[1,2,1]):

	Fixed two warnings.

2005-05-23 01:32  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp, src/scim_transaction.h
	(scim_1_2.[1,1]):

	Two small bugfixes.

2005-05-17 14:56  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.38), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.154), modules/Filter/scim_sctc_filter.cpp (1.3),
	modules/Filter/scim_sctc_filter.h (1.2),
	modules/FrontEnd/scim_x11_frontend.cpp (1.169):

	* Fixed Multi-level properties triggering issue.  * Fixed SCTC
	Filter module to handle encoding correctly.

2005-05-17 08:53  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_filter_manager.cpp (1.1), scim_filter_manager.h (1.1):

	Added missing scim_filter_manager.h scim_filter_manager.cpp files.

2005-05-17 06:45  James Su <suzhe@tsinghua.org.cn>

	* modules/Filter/scim_sctc_filter.cpp (1.2), src/Makefile.am
	(1.52), src/scim.h (1.38), src/scim_backend.cpp (1.35),
	src/scim_filter_module.cpp (1.4), src/scim_filter_module.h (1.5),
	src/scim_helper_manager.h (1.3):

	added class FilterManager to load and manage all Filter modules.

2005-05-16 05:22  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.134), scim.spec.in (1.73), data/icons/Makefile.am
	(1.15), data/icons/sctc-sc-to-tc.png (1.1),
	data/icons/sctc-tc-to-sc.png (1.1), data/icons/sctc.png (1.1),
	modules/Makefile.am (1.5), modules/Filter/.cvsignore (1.1),
	modules/Filter/Makefile.am (1.1),
	modules/Filter/scim_sctc_filter.cpp (1.1),
	modules/Filter/scim_sctc_filter.h (1.1),
	modules/Filter/scim_sctc_filter_data.h (1.1):

	* Added Simplified/Traditional Chinese conversion Filter.

2005-05-16 01:28  James Su <suzhe@tsinghua.org.cn>

	* src/scim_helper_launcher.cpp (scim_1_2.1):

	* Make scim-helper-launcher uses the default config module set in
	global config file.

2005-05-16 01:25  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_filter.cpp (1.4), scim_filter.h (1.4),
	scim_filter_module.h (1.4), scim_helper_launcher.cpp (1.6):

	* Small update for Filter interface.  * Make scim-helper-launcher
	uses the default config module set in global config file.

2005-05-16 01:12  LiuCougar <liuspider@users.sourceforge.net>

	* configs/config (1.37):

	scim-tables is in separate package now, so the default config file
	should not contain its default settings

2005-05-14 05:21  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.111):

	Revert the LookupTable window size limitation.

2005-05-13 17:03  LiuCougar <liuspider@users.sourceforge.net>

	* po/ja.po (1.33):

	updated ja

2005-05-13 04:21  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.110), src/scim_filter.h (1.3),
	src/scim_filter_module.cpp (1.3), src/scim_filter_module.h (1.3),
	src/scim_lookup_table.cpp (1.32), src/scim_lookup_table.h (1.32),
	src/scim_panel_common.h (1.4), src/scim_transaction.cpp (1.12):

	* Added is_page_size_fixed() and fix_page_size(bool) methods into
	LookupTable class   to tell FrontEnd whether it's allowed to reduce
	the page size.	* Removed the limitation of input window size of
	gtk panel.  * Changed FilterModule interface a little.

2005-05-11 09:52  James Su <suzhe@tsinghua.org.cn>

	* .cvsignore (1.5), Makefile.am (1.19), configure.ac (1.133),
	scim-x11utils.pc.in (1.1), scim.spec.in (1.72), configs/config
	(1.36), extras/gtk2_immodule/Makefile.am (1.24),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.153),
	modules/FrontEnd/Makefile.am (1.32),
	modules/FrontEnd/scim_x11_frontend.cpp (1.168),
	modules/FrontEnd/scim_x11_frontend.h (1.55), po/POTFILES.in (1.19),
	po/cs.po (1.4), po/de.po (1.23), po/fr.po (1.16), po/it.po (1.7),
	po/ja.po (1.32), po/ko.po (1.28), po/scim.pot (1.88), po/zh_CN.po
	(1.142), po/zh_TW.po (1.142), src/scim_hotkey.cpp (1.7),
	tests/scim_test_imengine.cpp (1.6), utils/Makefile.am (1.10),
	utils/scim_x11_utils.cpp (1.1), utils/scim_x11_utils.h (1.1),
	utils/scimkeyselection.cpp (1.6):

	* Added new utility library scim-x11utils-1.0.la to provide X11
	related utilities,   such as XKeyEvent <-> scim::KeyEvent
	conversion, etc.  * Better Modifiers Mapping handling.

2005-05-09 13:31  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.152),
	modules/FrontEnd/scim_x11_frontend.cpp (1.167),
	utils/scimkeyselection.cpp (1.5):

	Match alt before meta in find_modifier_bits()

2005-05-07 10:15  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.166):

	Don't exit event if it's impossible to restart panel.

2005-05-07 09:42  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.151):

	Fixed the Panel restart issue.

2005-05-07 08:23  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (scim_1_2.1):

	Don't match language when switching to next/previous factory.

2005-05-06 17:17  LiuCougar <liuspider@users.sourceforge.net>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.150):

	remove input sources from main loop when panel exits: fixed CPU
	load issue

2005-05-06 15:57  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.149),
	modules/FrontEnd/scim_x11_frontend.cpp (1.165),
	src/scim_panel_client.cpp (1.5):

	* Only match encoding when switching to next/previous factory. (X11
	FrontEnd)

2005-05-06 03:49  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_helper.cpp (1.12), scim_helper.h (1.15),
	scim_panel_client.cpp (1.4), scim_panel_client.h (1.3):

	Added is_connected() method in PanelClient and HelperAgent.

2005-05-05 20:24  LiuCougar <liuspider@users.sourceforge.net>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.148):

	cleanup

2005-05-04 13:35  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.147):

	Don't forward hotkeys to client.

2005-05-04 13:28  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.146):

	Turn off ic when selection English/Keyboard in factory menu.

2005-05-04 13:22  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.132), configs/config (1.35),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.145),
	modules/FrontEnd/scim_x11_frontend.cpp (1.164),
	modules/SetupUI/scim_imengine_setup.cpp (1.6), src/scim_hotkey.cpp
	(1.6), src/scim_panel_client.cpp (1.3), utils/scimkeyselection.cpp
	(1.4), utils/scimkeyselection.h (1.4):

	Fixed many bugs in gtkimmodule, X11 FrontEnd and PanelClient.
	Handle meta, super, hyper modifier keys in scimkeyselection.

2005-05-03 03:15  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.144):

	Only update preedit string when necessary.

2005-05-02 15:18  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.12), extras/gtk2_immodule/gtkimcontextscim.cpp (1.143),
	extras/gtk2_immodule/gtkimcontextscim.h (1.11),
	modules/FrontEnd/scim_x11_frontend.cpp (1.163),
	modules/FrontEnd/scim_x11_frontend.h (1.54), po/POTFILES.in (1.18),
	po/cs.po (1.3), po/de.po (1.22), po/fr.po (1.15), po/it.po (1.6),
	po/ja.po (1.31), po/ko.po (1.27), po/zh_CN.po (1.141), po/zh_TW.po
	(1.141), src/scim_launcher.cpp (1.8), src/scim_panel_common.h
	(1.3), src/scim_transaction.cpp (1.11), src/scim_transaction.h
	(1.9):

	Rewrite X11 FrontEnd and gtkimmodule using PanelClient and
	FrontEndHotkeyMatcher.

2005-04-30 09:20  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_imengine_setup.cpp (1.5):

	Rename IMEngineHotkeyMatcher::get_hotkeys() to get_all_hotkeys().

2005-04-30 08:48  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.162),
	scim_x11_frontend.h (1.53), scim_x11_ic.cpp (1.18), scim_x11_ic.h
	(1.9):

	Updated X11FrontEnd to use PanelClient and FrontEndHotkeyMatcher.

2005-04-30 08:28  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_config_path.h (1.32), scim_frontend.cpp (1.43),
	scim_frontend.h (1.40), scim_hotkey.cpp (1.5), scim_hotkey.h (1.4),
	scim_panel_client.cpp (1.2), scim_panel_common.h (1.2):

	* Added FrontEndHotkeyMatcher * Added ON and OFF Hotkeys for
	FrontEnd.  * Validate encoding in FrontEndBase::validate_factory().
	 * ...

2005-04-30 01:45  LiuCougar <liuspider@users.sourceforge.net>

	* src/scim_utility.cpp (1.48):

	fixed: scim freeze after uninstall skim if skim was setup as the
	default panel

2005-04-26 16:05  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog, po/scim.pot (scim_1_2.[1,1]):

	Updated ChangeLog

2005-04-25 18:07  tag scim_1_2_2

2005-04-25 18:07  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (scim_1_2.1):

	Bump to 1.2.2

2005-04-25 16:31  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_2.3):

	Fixed the looping issue of forwarding KeyEvent.

2005-04-24 06:49  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.51), scim_helper.cpp (1.11),
	scim_panel_agent.cpp (1.3), scim_panel_client.cpp (1.1),
	scim_panel_client.h (1.2):

	Added scim_panel_client.cpp Modified COMMIT_STRING command in
	Helper->PanelAgent->FrontEnd protocol to use WideString instead of
	String.

2005-04-15 10:16  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.142),
	modules/FrontEnd/scim_x11_frontend.cpp (1.161):

	Call update_client_capabilities().

2005-04-14 17:01  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.11), extras/gtk2_immodule/gtkimcontextscim.cpp (1.141),
	modules/FrontEnd/scim_socket_frontend.cpp (1.35),
	modules/FrontEnd/scim_socket_frontend.h (1.26),
	modules/IMEngine/scim_socket_imengine.cpp (1.19),
	modules/IMEngine/scim_socket_imengine.h (1.11), src/Makefile.am
	(1.50), src/scim_frontend.cpp (1.42), src/scim_frontend.h (1.39),
	src/scim_imengine.h (1.17), src/scim_panel_agent.cpp (1.2),
	src/scim_trans_commands.h (1.8):

	Added update_client_capabilities () into IMEngineInstance
	interface.

2005-04-13 15:06  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.109):

	Use macro Uses_SCIM_PANEL_AGENT instead of Uses_SCIM_PANEL.

2005-04-13 15:02  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.h (1.37), scim_panel.cpp (1.16), scim_panel.h (1.23),
	scim_panel_agent.cpp (1.1), scim_panel_agent.h (1.1),
	scim_panel_client.h (1.1), scim_panel_common.h (1.1):

	Rename scim_panel.* to scim_panel_agent.*. Added
	scim_panel_client.h

2005-04-09 15:38  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.10), extras/gtk2_immodule/gtkimcontextscim.cpp (1.140),
	extras/panel/scim_panel_gtk.cpp (1.108),
	modules/Config/scim_simple_config.cpp (1.32),
	modules/Config/scim_simple_config.h (1.20),
	modules/Config/scim_socket_config.cpp (1.21),
	modules/Config/scim_socket_config.h (1.10),
	src/scim_config_agent.cpp (1.8), src/scim_config_base.cpp (1.19),
	src/scim_config_base.h (1.22), src/scim_config_module.cpp (1.15),
	src/scim_config_module.h (1.15), src/scim_helper.cpp (1.10),
	src/scim_helper.h (1.14), src/scim_helper_launcher.cpp (1.5),
	src/scim_launcher.cpp (1.7), src/scim_panel.h (1.22),
	src/scim_utility.cpp (1.47), src/scim_utility.h (1.36):

	Added get_name() into ConfigBase class.  Removed app name parameter
	of ConfigBase class.  Removed get_app_name() from ConfigBase class.

2005-04-08 15:24  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_filter.cpp (1.3), scim_filter.h (1.2),
	scim_filter_module.cpp (1.2), scim_filter_module.h (1.2),
	scim_imengine.cpp (1.15), scim_imengine.h (1.16):

	Added update_client_capabilities() method into IMEngineInstanceBase
	class.	One Filter Module could provide multiple Filters.

2005-04-06 07:40  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_2.2):

	unref client window when finalize.

2005-04-05 08:04  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.139),
	modules/FrontEnd/scim_x11_frontend.cpp (1.160),
	modules/FrontEnd/scim_x11_frontend.h (1.52), src/scim_config_path.h
	(1.31), src/scim_event.h (1.23), src/scim_keyevent_data.h (1.2),
	src/scim_module.cpp (1.25):

	Fixed Modifier Keys issue. Removed Mod1-Mod5 and ScrollLock, added
	Meta,Super,Hyper.  X11 FrontEnd and gtkimmodule will set correct
	Alt,Meta,Super,Hyper and NumLock state according to X11
	ModifierMapping.

2005-04-05 01:07  LiuCougar <liuspider@users.sourceforge.net>

	* modules/IMEngine/Makefile.am (1.7):

	deleted remaining stuffs of removed table IMEngine

2005-04-02 15:31  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.49), scim.h (1.36), scim_filter.cpp (1.1),
	scim_filter.h (1.1), scim_filter_imengine.cpp (1.2),
	scim_filter_imengine.h (1.4), scim_filter_imengine_module.h (1.2),
	scim_filter_module.cpp (1.1), scim_filter_module.h (1.1),
	scim_imengine.cpp (1.14), scim_imengine.h (1.15):

	Rename FilterIMEngine to Filter.

2005-04-02 15:28  James Su <suzhe@tsinghua.org.cn>

	* po/zh_TW.po (1.140):

	Updated zh_TW.po

2005-04-01 00:50  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_2.1):

	Fixed nested transaction sending issue in gtkimmodule.

2005-04-01 00:24  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.138),
	modules/FrontEnd/scim_x11_frontend.cpp (1.159),
	modules/FrontEnd/scim_x11_frontend.h (1.51),
	modules/FrontEnd/IMdkit/i18nClbk.c (1.2),
	modules/SetupUI/scim_frontend_setup.cpp (1.3), src/scim_panel.cpp
	(1.15):

	Fixed nested transaction sending issue in gtkimmodule.

2005-03-31 14:25  James Su <suzhe@tsinghua.org.cn>

	* src/scim_filter_imengine.cpp (1.1):

	Added missing scim_filter_imengine.cpp :-)

2005-03-31 14:24  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.48), scim.h (1.35), scim_filter_imengine.h
	(1.3), scim_imengine.cpp (1.13):

	Finished scim_filter_imengine.cpp

2005-03-30 14:47  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_imengine.cpp (1.12), scim_imengine.h (1.14):

	Remove set_encoding() method.

2005-03-30 11:52  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_filter_imengine.h (1.2), scim_filter_imengine_module.h
	(1.1):

	Added scim_filter_imengine_module.h

2005-03-30 10:32  James Su <suzhe@tsinghua.org.cn>

	* src/scim_filter_imengine.h (1.1):

	Added scim_filter_imengine.h

2005-03-24 14:40  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_socket_imengine.cpp (1.18):

	Fixed a compile warning.

2005-03-21 05:48  James Su <suzhe@tsinghua.org.cn>

	* tests/Makefile.am (1.14):

	Added missing scim_test_imengine.h into Makefile.am

2005-03-16 15:33  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_rawcode_imengine.cpp (1.6),
	modules/SetupUI/scim_frontend_setup.cpp (1.2), po/POTFILES.in
	(1.17), po/cs.po (1.2), po/de.po (1.21), po/fr.po (1.14), po/it.po
	(1.5), po/ja.po (1.30), po/ko.po (1.26), po/scim.pot (1.87),
	po/zh_CN.po (1.140), po/zh_TW.po (1.139),
	src/scim_keyboard_layout_data.h (1.2), src/scim_utility.cpp (1.46):

	Updated some strings.

2005-03-16 05:13  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.137),
	extras/setup/scim_setup_ui.cpp (1.50),
	modules/FrontEnd/scim_x11_frontend.cpp (1.158),
	modules/FrontEnd/scim_x11_frontend.h (1.50),
	modules/SetupUI/Makefile.am (1.16),
	modules/SetupUI/scim_frontend_hotkeys_setup.cpp (1.3),
	modules/SetupUI/scim_frontend_setup.cpp (1.1), src/Makefile.am
	(1.47), src/scim_config_path.h (1.30), src/scim_event.cpp (1.27),
	src/scim_event.h (1.22), src/scim_keyboard_layout_data.h (1.1),
	src/scim_keyevent_data.h (1.1), tests/scim_test_imengine.cpp (1.5):

	Added Keyboard Layout mapping functions.

2005-03-11 16:02  tag scim_1_2_1

2005-03-11 16:02  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.55), README (1.13):

	Update ChangeLog and README.

2005-03-11 14:35  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.130):

	Bump version to 1.2.1

2005-03-11 04:31  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.129), po/cs.po (1.1):

	Added cs.po

2005-03-08 23:52  James Su <suzhe@tsinghua.org.cn>

	* intl/libgnuintl.h.in (1.1), intl/localcharset.h (1.1), intl/log.c
	(1.1), intl/printf-args.c (1.1), intl/printf-args.h (1.1),
	intl/printf-parse.c (1.1), intl/printf-parse.h (1.1), intl/printf.c
	(1.1), intl/relocatable.c (1.1), intl/relocatable.h (1.1),
	intl/vasnprintf.c (1.1), intl/vasnprintf.h (1.1),
	intl/vasnwprintf.h (1.1), intl/wprintf-parse.h (1.1), intl/xsize.h
	(1.1), m4/intmax.m4 (1.1), m4/longdouble.m4 (1.1), m4/longlong.m4
	(1.1), m4/nls.m4 (1.1), m4/po.m4 (1.1), m4/printf-posix.m4 (1.1),
	m4/signed.m4 (1.1), m4/size_max.m4 (1.1), m4/wchar_t.m4 (1.1),
	m4/wint_t.m4 (1.1), m4/xsize.m4 (1.1), po/scim.pot (1.86),
	src/scim_event.cpp (1.26):

	Added missing files.

2005-03-08 23:50  James Su <suzhe@tsinghua.org.cn>

	* intl/: gettext.h (1.2), libgettext.h (1.2), libgnuintl.h (1.3):

	Rmoved gettext.h libgettext.h libgnuintl.h.

2005-03-07 14:58  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.136):

	Fixed KeyEvent forward issue.

2005-03-07 05:40  James Su <suzhe@tsinghua.org.cn>

	* m4/Makefile.am (1.4):

	Added intltool.m4 to Makefile.am

2005-03-07 04:25  James Su <suzhe@tsinghua.org.cn>

	* ABOUT-NLS (1.3), bootstrap (1.7), config.rpath (1.2),
	configure.ac (1.128), intltool-extract.in (1.2), intltool-merge.in
	(1.2), intltool-update.in (1.2), mkinstalldirs (1.2),
	intl/ChangeLog (1.3), intl/Makefile.in (1.3), intl/VERSION (1.3),
	intl/bindtextdom.c (1.3), intl/config.charset (1.3),
	intl/dcgettext.c (1.3), intl/dcigettext.c (1.3), intl/dcngettext.c
	(1.3), intl/dgettext.c (1.3), intl/dngettext.c (1.3),
	intl/eval-plural.h (1.2), intl/explodename.c (1.2),
	intl/finddomain.c (1.2), intl/gettext.c (1.3), intl/gettextP.h
	(1.3), intl/gmo.h (1.2), intl/hash-string.h (1.3),
	intl/intl-compat.c (1.3), intl/l10nflist.c (1.3), intl/loadinfo.h
	(1.3), intl/loadmsgcat.c (1.3), intl/localcharset.c (1.3),
	intl/locale.alias (1.2), intl/localealias.c (1.3),
	intl/localename.c (1.2), intl/ngettext.c (1.3), intl/plural-exp.c
	(1.2), intl/plural-exp.h (1.2), intl/plural.c (1.3), intl/plural.y
	(1.3), intl/textdomain.c (1.3), m4/ChangeLog (1.2), m4/Makefile.am
	(1.3), m4/gettext.m4 (1.2), m4/intltool.m4 (1.1), m4/inttypes_h.m4
	(1.2), m4/lib-ld.m4 (1.2), m4/lib-link.m4 (1.2), m4/lib-prefix.m4
	(1.2), m4/progtest.m4 (1.2), m4/stdint_h.m4 (1.2), m4/uintmax_t.m4
	(1.2), m4/ulonglong.m4 (1.2), po/ChangeLog (1.3), po/Makefile.in.in
	(1.7), po/Makevars (1.2), po/Rules-quot (1.2), po/de.po (1.20),
	po/fr.po (1.13), po/it.po (1.4), po/ko.po (1.25), po/scim.pot
	(1.85), po/zh_CN.po (1.139), po/zh_TW.po (1.138):

	Upgrade gettext and intltool.

2005-03-04 10:12  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (1.45):

	Fixed scim_get_current_language ().

2005-03-03 13:40  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_utility.cpp (1.44), scim_utility.h (1.35):

	Fix scim_get_locale_language () to return correct result when there
	is a '@' in locale string.  Add scim_get_current_language () to
	return the current system language directly.

2005-03-02 01:54  LiuCougar <liuspider@users.sourceforge.net>

	* po/ja.po (1.29):

	updated ja translation

2005-02-27 14:47  tag scim_1_2_0

2005-02-27 14:47  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.54), po/de.po (1.19), po/fr.po (1.12), po/it.po
	(1.3), po/ja.po (1.28), po/ko.po (1.24), po/scim.pot (1.84),
	po/zh_CN.po (1.138), po/zh_TW.po (1.137):

	Updated ChangeLog.

2005-02-23 14:26  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.9), configure.ac (1.127), scim.spec.in (1.71),
	extras/panel/scim_panel_gtk.cpp (1.107),
	modules/SetupUI/Makefile.am (1.15),
	modules/SetupUI/scim_imengine_setup.cpp (1.4), po/zh_CN.po (1.137):

	Bump to 1.2.0.	Rename SetupUI/imengine-setup.so to
	aaa-imengine-setup.so in order to let it always on top of the list.

2005-02-22 08:04  James Su <suzhe@tsinghua.org.cn>

	* po/: de.po (1.18), fr.po (1.11), it.po (1.2), ja.po (1.27), ko.po
	(1.23), scim.pot (1.83), zh_CN.po (1.136), zh_TW.po (1.136):

	Updated fr.po

2005-02-21 12:34  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_config_agent.cpp (1.7), scim_helper_launcher.cpp
	(1.4):

	Added --reload and --display options into scim-config-agent to
	force scim reloading the configurations.

2005-02-02 15:25  tag scim_1_1_3

2005-02-02 15:25  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.126), tests/scim_test_imengine.cpp (1.4),
	tests/scim_test_imengine.h (1.2):

	Prepare for 1.1.3

2005-02-01 14:55  James Su <suzhe@tsinghua.org.cn>

	* po/zh_TW.po (1.135):

	Updated zh_TW.po, thanks Jim Huang.

2005-01-30 13:27  James Su <suzhe@tsinghua.org.cn>

	* po/it.po (1.1):

	Added it.po

2005-01-30 13:24  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.7), configure.ac (1.125),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.135),
	modules/FrontEnd/scim_socket_frontend.cpp (1.34),
	modules/FrontEnd/scim_x11_frontend.cpp (1.157),
	modules/FrontEnd/scim_x11_frontend.h (1.49), po/de.po (1.17),
	po/fr.po (1.10), po/ja.po (1.26), po/ko.po (1.22), po/scim.pot
	(1.82), po/zh_CN.po (1.135), po/zh_TW.po (1.134),
	src/scim_backend.cpp (1.34), src/scim_backend.h (1.24),
	src/scim_event.cpp (1.25), src/scim_event.h (1.21),
	src/scim_frontend.cpp (1.41), src/scim_frontend.h (1.38),
	src/scim_helper_manager_server.cpp (1.6), src/scim_hotkey.cpp
	(1.4), src/scim_imengine.cpp (1.11), src/scim_imengine.h (1.13),
	src/scim_signals.h (1.12), src/scim_transaction.cpp (1.10),
	utils/scimkeyselection.cpp (1.3):

	Refactory BackEnd and FrontEnd.  Add entry for keyboard layout in
	KeyEvent.

2005-01-25 15:12  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.106), src/scim_panel.cpp
	(1.14), src/scim_panel.h (1.21), src/scim_socket.cpp (1.43),
	src/scim_socket.h (1.25):

	More fix for PanelAgent. initialize () and valid () were added.

2005-01-25 13:49  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.105):

	exit when PanelAgent::run returns false.

2005-01-25 13:47  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_panel.h (1.20), scim_panel.cpp (1.13):

	Don't throw exception in run (), instead of return true or false.

2005-01-15 11:58  tag scim_1_1_2

2005-01-15 11:58  James Su <suzhe@tsinghua.org.cn>

	* po/: de.po (1.16), fr.po (1.9), ja.po (1.25), ko.po (1.21),
	scim.pot (1.81), zh_CN.po (1.134), zh_TW.po (1.133):

	Updated ja.po

2005-01-15 11:55  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.53):

	Updated ChangeLog

2005-01-15 11:33  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.134),
	modules/FrontEnd/scim_x11_frontend.cpp (1.156), src/scim_helper.cpp
	(1.9), src/scim_helper.h (1.13), src/scim_panel.cpp (1.12),
	src/scim_socket.cpp (1.42), src/scim_trans_commands.h (1.7),
	tests/scim_test_helper.cpp (1.3), tests/scim_test_imengine.cpp
	(1.3):

	Helper APIs finally work.

2005-01-14 16:09  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.124), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.133), modules/FrontEnd/scim_socket_frontend.cpp (1.33),
	modules/FrontEnd/scim_x11_frontend.cpp (1.155),
	modules/IMEngine/scim_socket_imengine.cpp (1.17),
	src/scim_panel.cpp (1.11), tests/Makefile.am (1.13),
	tests/scim_test_helper.cpp (1.2), tests/scim_test_imengine.cpp
	(1.2):

	Helper APIs are almost workable.

2005-01-14 04:57  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_socket_imengine.cpp (1.16),
	tests/Makefile.am (1.12), tests/scim_test_helper.cpp (1.1),
	tests/scim_test_imengine.cpp (1.1), tests/scim_test_imengine.h
	(1.1):

	Fixed a bug in SocketIMEngine which prevents from sending helper
	event correctly.  Addes test-imengine and test-helper modules to
	test Helper and surrounding APIs.

2005-01-13 14:53  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.123), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.132), extras/setup/scim_setup_helper.cpp (1.5),
	modules/FrontEnd/scim_socket_frontend.cpp (1.32),
	modules/FrontEnd/scim_socket_frontend.h (1.25),
	modules/FrontEnd/scim_x11_frontend.cpp (1.154),
	modules/FrontEnd/scim_x11_frontend.h (1.48),
	modules/IMEngine/scim_rawcode_imengine.h (1.5),
	modules/IMEngine/scim_socket_imengine.cpp (1.15),
	modules/IMEngine/scim_socket_imengine.h (1.10), po/de.po (1.15),
	po/fr.po (1.8), po/ja.po (1.24), po/ko.po (1.20), po/scim.pot
	(1.80), po/zh_CN.po (1.133), po/zh_TW.po (1.132),
	src/scim_backend.cpp (1.33), src/scim_backend.h (1.23),
	src/scim_frontend.cpp (1.40), src/scim_frontend.h (1.37),
	src/scim_helper.cpp (1.8), src/scim_helper.h (1.12),
	src/scim_imengine.cpp (1.10), src/scim_imengine.h (1.12),
	src/scim_trans_commands.h (1.6), tests/testpanel.cpp (1.15):

	Implemented get_surrounding_text/delete_surrounding_text Added
	parameter "const HelperAgent *" into signal-slot functions of
	HelperAgent.

2005-01-11 01:11  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_helper_manager_server.cpp (1.5), scim_transaction.cpp
	(1.9):

	Fixed two stupid return value bugs.

2005-01-10 11:20  tag scim_1_1_1

2005-01-10 11:20  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.122):

	Bump to 1.1.1

2005-01-10 11:18  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_imengine_setup.cpp (1.3):

	Load factory list in load_config ().

2005-01-10 08:36  tag scim_1_0_3

2005-01-10 08:36  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (scim_1_0.6):

	Bump to 1.0.3

2005-01-10 08:30  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.131),
	extras/gtk2_immodule/gtkimcontextscim.h (1.10),
	extras/gtk2_immodule/imscim.cpp (1.10),
	extras/panel/scim_panel_gtk.cpp (1.104),
	extras/setup/scim_setup_helper.cpp (1.4),
	extras/setup/scim_setup_module.cpp (1.9),
	extras/setup/scim_setup_module.h (1.9),
	extras/setup/scim_setup_ui.cpp (1.49), extras/setup/scim_setup_ui.h
	(1.23), modules/Config/scim_simple_config.cpp (1.31),
	modules/Config/scim_simple_config.h (1.19),
	modules/Config/scim_socket_config.cpp (1.20),
	modules/Config/scim_socket_config.h (1.9),
	modules/FrontEnd/scim_socket_frontend.cpp (1.31),
	modules/FrontEnd/scim_socket_frontend.h (1.24),
	modules/FrontEnd/scim_x11_frontend.cpp (1.153),
	modules/FrontEnd/scim_x11_frontend.h (1.47),
	modules/FrontEnd/scim_x11_ic.cpp (1.17),
	modules/FrontEnd/scim_x11_ic.h (1.8),
	modules/IMEngine/scim_rawcode_imengine.cpp (1.5),
	modules/IMEngine/scim_rawcode_imengine.h (1.4),
	modules/IMEngine/scim_socket_imengine.cpp (1.14),
	modules/IMEngine/scim_socket_imengine.h (1.9),
	modules/SetupUI/scim_frontend_hotkeys_setup.cpp (1.2),
	modules/SetupUI/scim_imengine_setup.cpp (1.2),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.14),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.15), po/POTFILES.in
	(1.16), po/de.po (1.14), po/fr.po (1.7), po/ja.po (1.23), po/ko.po
	(1.19), po/scim.pot (1.79), po/zh_CN.po (1.132), po/zh_TW.po
	(1.131), src/scim.cpp (1.50), src/scim.h (1.34),
	src/scim_attribute.h (1.6), src/scim_backend.cpp (1.32),
	src/scim_backend.h (1.22), src/scim_bind.h (1.10),
	src/scim_chartraits.cpp (1.10), src/scim_compose_key.cpp (1.6),
	src/scim_compose_key.h (1.4), src/scim_config_agent.cpp (1.6),
	src/scim_config_base.cpp (1.18), src/scim_config_base.h (1.21),
	src/scim_config_module.cpp (1.14), src/scim_config_module.h (1.14),
	src/scim_config_path.h (1.29), src/scim_connection.cpp (1.7),
	src/scim_connection.h (1.10), src/scim_debug.cpp (1.7),
	src/scim_debug.h (1.15), src/scim_event.cpp (1.24),
	src/scim_exception.h (1.10), src/scim_frontend.cpp (1.39),
	src/scim_frontend.h (1.36), src/scim_frontend_module.cpp (1.13),
	src/scim_frontend_module.h (1.16), src/scim_global_config.cpp
	(1.6), src/scim_global_config.h (1.4), src/scim_helper.h (1.11),
	src/scim_helper_manager.h (1.2), src/scim_helper_module.h (1.6),
	src/scim_iconv.cpp (1.17), src/scim_iconv.h (1.17),
	src/scim_imengine.cpp (1.9), src/scim_imengine.h (1.11),
	src/scim_imengine_module.cpp (1.3), src/scim_imengine_module.h
	(1.4), src/scim_launcher.cpp (1.6), src/scim_lookup_table.cpp
	(1.31), src/scim_lookup_table.h (1.31), src/scim_module.cpp (1.24),
	src/scim_module.h (1.19), src/scim_object.cpp (1.9),
	src/scim_object.h (1.9), src/scim_panel.h (1.19),
	src/scim_pointer.h (1.11), src/scim_private.cpp (1.6),
	src/scim_private.h (1.11), src/scim_property.h (1.7),
	src/scim_signals.cpp (1.7), src/scim_signals.h (1.11),
	src/scim_slot.cpp (1.5), src/scim_slot.h (1.8), src/scim_socket.cpp
	(1.41), src/scim_socket.h (1.24), src/scim_trans_commands.h (1.5),
	src/scim_transaction.cpp (1.8), src/scim_transaction.h (1.8),
	src/scim_utility.cpp (1.43), src/scim_utility.h (1.34):

	Update copyright information and po files.

2005-01-10 07:02  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.70), configs/config (1.34),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.130),
	extras/setup/scim_setup_ui.cpp (1.48), extras/setup/scim_setup_ui.h
	(1.22), modules/FrontEnd/scim_x11_frontend.cpp (1.152),
	modules/FrontEnd/scim_x11_frontend.h (1.46),
	modules/SetupUI/Makefile.am (1.14),
	modules/SetupUI/scim_imengine_setup.cpp (1.1),
	src/scim_config_path.h (1.28), src/scim_hotkey.cpp (1.3),
	src/scim_hotkey.h (1.3):

	Split IMEngine global setup into a separated module.

2005-01-09 14:43  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp, po/de.po, po/fr.po,
	po/ja.po, po/ko.po, po/scim.pot, po/zh_CN.po, po/zh_TW.po
	(scim_1_0.[2,3,2,3,3,3,3,3]):

	Fixed XIM client freeze issue.

2005-01-09 14:32  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.69):

	Added frontend-hotkeys-setup.so into spec file.

2005-01-09 14:30  James Su <suzhe@tsinghua.org.cn>

	* po/ja.po (1.22):

	Update ja.po

2005-01-09 14:27  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/: Makefile.am (1.13),
	scim_frontend_hotkeys_setup.cpp (1.1), scim_x11_frontend_setup.cpp
	(1.14):

	Split the Hot Keys setting into a separated module.

2005-01-09 13:46  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.121), scim.spec.in (1.68), configs/Makefile.am
	(1.8), configs/config (1.33), configs/scim.schemas (1.30),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.128),
	modules/Config/Makefile.am (1.15),
	modules/Config/scim_gconf_config.cpp (1.19),
	modules/Config/scim_gconf_config.h (1.12),
	modules/FrontEnd/scim_x11_frontend.cpp (1.151),
	modules/FrontEnd/scim_x11_frontend.h (1.45),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.13),
	src/scim_config_path.h (1.27), src/scim_frontend.h (1.35):

	* Remove GConf Config module, it seems that this module is almost
	useless.  * Use new configuration key strings for FrontEnd HotKeys.
	 * Modify gtkimmodule and x11 frontend to use HotKeyMatcher.

2005-01-09 11:06  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_hotkey.cpp (1.2), scim_hotkey.h (1.2):

	Added get_hot_keys () in IMEngineHotKeyMatcher.

2005-01-08 17:14  James Su <suzhe@tsinghua.org.cn>

	* src/scim_types.h (1.12):

	Remove scim_types.h.

2005-01-08 17:13  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.120), modules/FrontEnd/scim_x11_frontend.cpp
	(1.150), modules/FrontEnd/scim_x11_frontend.h (1.44),
	src/Makefile.am (1.46), src/scim.h (1.33), src/scim_backend.cpp
	(1.31), src/scim_backend.h (1.21), src/scim_config_path.h (1.26),
	src/scim_event.cpp (1.23), src/scim_event.h (1.20),
	src/scim_frontend.cpp (1.38), src/scim_frontend.h (1.34),
	src/scim_hotkey.cpp (1.1), src/scim_hotkey.h (1.1),
	src/scim_types.h (1.11):

	Added HotKey support.

2005-01-07 15:28  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.119), extras/panel/scim_panel_gtk.cpp (1.103),
	extras/setup/scim_setup_ui.cpp (1.47),
	modules/Config/scim_simple_config.cpp (1.30),
	modules/Config/scim_simple_config.h (1.18),
	modules/FrontEnd/scim_socket_frontend.h (1.23),
	modules/FrontEnd/scim_x11_frontend.cpp (1.149),
	modules/FrontEnd/scim_x11_frontend.h (1.43),
	modules/FrontEnd/scim_x11_ic.cpp (1.16),
	modules/FrontEnd/scim_x11_ic.h (1.7),
	modules/IMEngine/scim_socket_imengine.cpp (1.13),
	src/scim_backend.cpp (1.30), src/scim_global_config.cpp (1.5),
	src/scim_helper_manager_server.cpp (1.4), src/scim_panel.cpp
	(1.10), src/scim_stl_map.h (1.1):

	Added option to choose between hash_map and map.

2005-01-07 06:16  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.67):

	Don't strip.

2005-01-06 08:42  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.118):

	Set libtool option correctly.

2005-01-05 13:46  tag scim_1_1_0

2005-01-05 13:46  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.52):

	Updated ChangeLog.

2005-01-05 13:41  James Su <suzhe@tsinghua.org.cn>

	* src/scim_helper.cpp (1.7), src/scim_helper_launcher.cpp (1.3),
	src/scim_helper_manager.cpp (1.2),
	src/scim_helper_manager_server.cpp (1.3),
	src/scim_helper_module.cpp (1.5), src/scim_panel.cpp (1.9),
	src/scim_types.h.in (1.2), tests/testiconvert.cpp (1.2),
	tests/testlang.cpp (1.2), tests/testpanel.cpp (1.14),
	tests/testsocketclient.cpp (1.3), tests/testsocketserver.cpp (1.2):

	Updated copyright info.

2005-01-05 13:24  James Su <suzhe@tsinghua.org.cn>

	* src/scim_helper.h (1.10):

	Updated some comment.

2005-01-05 10:50  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/.cvsignore (1.3), src/.cvsignore (1.5):

	Updated .cvsignore files.

2005-01-05 10:47  James Su <suzhe@tsinghua.org.cn>

	* po/: POTFILES.in (1.15), de.po (1.12), fr.po (1.5), ja.po (1.20),
	ko.po (1.17), scim.pot (1.77), zh_CN.po (1.130), zh_TW.po (1.129):

	Removed table IMEngine completely.

2005-01-05 06:30  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.117), scim.spec.in (1.66), data/icons/Makefile.am
	(1.14), data/icons/table.png (1.3), modules/IMEngine/Makefile.am
	(1.6), modules/IMEngine/scim_generic_table.cpp (1.7),
	modules/IMEngine/scim_generic_table.h (1.6),
	modules/IMEngine/scim_make_table.cpp (1.3),
	modules/IMEngine/scim_table_imengine.cpp (1.11),
	modules/IMEngine/scim_table_imengine.h (1.5),
	modules/SetupUI/Makefile.am (1.12),
	modules/SetupUI/scim_table_imengine_setup.cpp (1.10):

	Split table IMEngine into scim-tables package.

2005-01-04 01:16  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (1.42):

	Fixed a compilation issue with gcc-4.0.

2005-01-03 07:40  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.65), po/de.po (1.11), po/fr.po (1.4), po/ja.po
	(1.19), po/ko.po (1.16), po/scim.pot (1.76), po/zh_CN.po (1.129),
	po/zh_TW.po (1.128):

	Updated spec file.

2005-01-03 06:41  James Su <suzhe@tsinghua.org.cn>

	* data/icons/menu.png (1.2), extras/panel/scim_panel_gtk.cpp
	(1.102), modules/SetupUI/scim_panel_gtk_setup.cpp (1.13),
	po/POTFILES.in (1.14), po/de.po (1.10), po/fr.po (1.3), po/ja.po
	(1.18), po/ko.po (1.15), po/scim.pot (1.75), po/zh_CN.po (1.127),
	po/zh_TW.po (1.127):

	Added command menu button to panel toolbar.

2005-01-03 05:57  James Su <suzhe@tsinghua.org.cn>

	* data/icons/: Makefile.am (1.13), menu.png (1.1), menu.xpm (1.1):

	Added menu icons

2005-01-03 03:40  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.116), data/icons/Makefile.am (1.12),
	extras/gtk2_immodule/Makefile.am (1.23), extras/panel/Makefile.am
	(1.16), extras/panel/scim_panel_gtk.cpp (1.101),
	extras/setup/Makefile.am (1.11), extras/setup/scim-setup.in (1.1),
	extras/setup/scim_setup.cpp (1.15), modules/Config/Makefile.am
	(1.14), modules/FrontEnd/Makefile.am (1.31),
	modules/IMEngine/Makefile.am (1.5), modules/SetupUI/Makefile.am
	(1.11), src/Makefile.am (1.45), src/scim_helper_launcher.cpp (1.2),
	src/scim_helper_manager_server.cpp (1.2), src/scim_launcher.cpp
	(1.5), src/scim_socket.cpp (1.40), src/scim_utility.cpp (1.41),
	src/scim_utility.h (1.33), tests/Makefile.am (1.11):

	Update Makefile.am, configure.ac. Addes scim-setup.in

2005-01-03 02:19  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/: Makefile.am (1.10), scim_setup.cpp (1.14),
	scim_setup.h (1.3), scim_setup_helper.cpp (1.1), scim_setup_ui.cpp
	(1.44), scim_setup_ui.h (1.19):

	New Setup Helper Module.

2005-01-02 16:28  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.44), scim.h (1.32), scim_config_path.h
	(1.25), scim_helper.cpp (1.6), scim_helper.h (1.9),
	scim_helper_launcher.cpp (1.1), scim_helper_manager.cpp (1.1),
	scim_helper_manager.h (1.1), scim_helper_manager_server.cpp (1.1),
	scim_helper_module.cpp (1.4), scim_helper_module.h (1.5),
	scim_panel.cpp (1.8), scim_panel.h (1.18), scim_socket.cpp (1.39),
	scim_socket.h (1.23), scim_trans_commands.h (1.4):

	Implemented new class HelperManager, program scim-helper-launcher
	and scim-helper-manager.

2004-12-31 06:48  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.148), src/Makefile.am
	(1.43), src/scim_helper.cpp (1.5), src/scim_helper.h (1.8),
	src/scim_panel.cpp (1.7), tests/testpanel.cpp (1.13):

	Updated HelperAgent,PanelAgent and testpanel.

2004-12-30 12:46  tag scim_1_0_2

2004-12-30 12:46  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (scim_1_0.2):

	Updated ChangeLog.

2004-12-30 06:26  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (scim_1_0.5):

	Bump to 1.0.2

2004-12-30 04:51  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp, src/scim_backend.cpp
	(scim_1_0.[1,2]):

	Fixed Firefox+flash freezing issue in X11 FrontEnd.

2004-12-29 02:13  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.100), src/scim.cpp (1.49),
	src/scim_panel.cpp (1.6):

	Now HEAD is workable again.

2004-12-27 15:19  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.99):

	Implementing new GTK Panel.

2004-12-27 12:48  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_lookup_table.cpp (1.29), scim_lookup_table.h (1.30),
	scim_transaction.cpp (1.7):

	Remove description support in LookupTable, it's hard to implement.

2004-12-27 12:38  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_lookup_table.cpp (1.28), scim_lookup_table.h (1.29),
	scim_panel.cpp (1.5), scim_panel.h (1.17):

	Hide details of class CommonLookupTable.

2004-12-26 14:07  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.115), extras/gtk2_immodule/Makefile.am (1.22),
	extras/panel/Makefile.am (1.15), extras/panel/scim_panel_gtk.cpp
	(1.98), extras/setup/Makefile.am (1.9), modules/Config/Makefile.am
	(1.13), modules/FrontEnd/Makefile.am (1.30),
	modules/IMEngine/Makefile.am (1.4), modules/SetupUI/Makefile.am
	(1.10), src/Makefile.am (1.42), src/scim_panel.cpp (1.4),
	tests/Makefile.am (1.10), utils/Makefile.am (1.9):

	New SCIM WIP.

2004-12-25 16:28  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/Makefile.am (1.21), extras/panel/Makefile.am
	(1.14), extras/setup/Makefile.am (1.8), modules/Config/Makefile.am
	(1.12), modules/FrontEnd/Makefile.am (1.29),
	modules/IMEngine/Makefile.am (1.3), modules/SetupUI/Makefile.am
	(1.9), src/Makefile.am (1.41), src/scim.h (1.31),
	src/scim_panel.cpp (1.3), src/scim_panel.h (1.16),
	tests/Makefile.am (1.9), utils/Makefile.am (1.8):

	New SCIM WIP.

2004-12-25 04:59  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.147),
	src/scim_panel.cpp (1.2):

	New SCIM WIP.

2004-12-22 15:14  James Su <suzhe@tsinghua.org.cn>

	* docs/scim.cfg.in (1.11),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.127),
	modules/FrontEnd/scim_x11_frontend.cpp (1.146):

	New SCIM WIP.

2004-12-22 15:12  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.40), scim.h (1.30), scim_panel.cpp (1.1),
	scim_panel.h (1.15):

	Added scim_panel.{h,cpp}

2004-12-13 02:10  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.97):

	New gtk panel WIP.

2004-12-11 09:47  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_lookup_table.cpp (1.27), scim_lookup_table.h (1.28),
	scim_property.h (1.6), scim_transaction.cpp (1.6):

	Add description to each candidate in LookupTable.

2004-12-04 15:08  James Su <suzhe@tsinghua.org.cn>

	* docs/scim.cfg.in (1.10),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.126),
	extras/gtk2_immodule/imscim.cpp (1.9),
	extras/panel/scim_panel_gtk.cpp (1.96),
	modules/FrontEnd/scim_x11_frontend.cpp (1.145),
	src/scim_frontend_module.h (1.15), src/scim_helper.cpp (1.4),
	src/scim_helper_module.h (1.4), src/scim_trans_commands.h (1.3),
	src/scim_utility.h (1.32):

	Helper implementation WIP.

2004-12-01 14:48  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_utility.cpp (scim_1_0.1), scim_utility.cpp (1.40):

	Added ne_NP (Nepali language) into the language list.

2004-11-30 16:20  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_helper.h (1.7), scim_launcher.cpp (1.4),
	scim_trans_commands.h (1.2):

	Added more comments in scim_trans_commands.h

2004-11-26 13:08  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_frontend.cpp (1.37), scim_frontend.h (1.33),
	scim_helper.cpp (1.3), scim_helper.h (1.6):

	Added FrontEnd::get_instance_uuid ()

2004-11-20 14:16  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_backend.cpp (1.29), scim_helper_module.cpp (1.3),
	scim_helper_module.h (1.3):

	Added HelperModuleManager.

2004-11-18 03:35  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_helper_module.cpp (1.2), scim_helper_module.h (1.2),
	scim_imengine_module.h (1.3):

	Added some comments.

2004-11-17 17:22  James Su <suzhe@tsinghua.org.cn>

	* src/scim_trans_commands.h (1.1):

	Put Transaction commands into scim_trans_commands.h

2004-11-17 17:21  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.39), scim.h (1.29), scim_helper.h (1.5),
	scim_helper_module.cpp (1.1), scim_helper_module.h (1.1):

	Added HelperModule class.

2004-11-15 14:41  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (scim_1_0.3):

	Fixed gnumeric killing data issue.

2004-11-15 14:40  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.125),
	extras/panel/scim_panel_gtk.cpp (1.95),
	modules/FrontEnd/scim_socket_frontend.cpp (1.30),
	modules/FrontEnd/scim_socket_frontend.h (1.22),
	modules/FrontEnd/scim_x11_frontend.cpp (1.144),
	modules/FrontEnd/scim_x11_frontend.h (1.42),
	modules/IMEngine/scim_socket_imengine.cpp (1.12),
	modules/IMEngine/scim_socket_imengine.h (1.8), src/scim_helper.cpp
	(1.2):

	Implement start_helper, stop_helper, send_helper_event in
	SocketFrontEnd, SocketIMEngine and Gtk IMModule.

2004-11-15 05:51  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.114), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.124), modules/FrontEnd/scim_x11_frontend.cpp (1.143),
	src/Makefile.am (1.38), src/scim.h (1.28), src/scim_helper.cpp
	(1.1), src/scim_helper.h (1.4):

	Added scim_helper.cpp

2004-11-14 16:30  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.123),
	extras/panel/scim_panel_gtk.cpp (1.94),
	modules/FrontEnd/scim_x11_frontend.cpp (1.142), src/scim.h (1.27),
	src/scim_helper.h (1.3), src/scim_panel.h (1.14),
	src/scim_transaction.h (1.7), tests/testpanel.cpp (1.12):

	Removed scim_panel.h, added scim_trans_commands.h instead.

2004-11-14 14:28  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.122),
	extras/gtk2_immodule/gtkimcontextscim.h (1.9),
	extras/gtk2_immodule/imscim.cpp (1.8),
	extras/panel/scim_panel_gtk.cpp (1.93), extras/setup/scim_setup.cpp
	(1.13), extras/setup/scim_setup.h (1.2),
	extras/setup/scim_setup_module.cpp (1.6),
	extras/setup/scim_setup_module.h (1.6),
	extras/setup/scim_setup_ui.cpp (1.43), extras/setup/scim_setup_ui.h
	(1.18), modules/Config/scim_gconf_config.cpp (1.18),
	modules/Config/scim_gconf_config.h (1.11),
	modules/Config/scim_simple_config.cpp (1.29),
	modules/Config/scim_simple_config.h (1.17),
	modules/Config/scim_socket_config.cpp (1.19),
	modules/Config/scim_socket_config.h (1.8),
	modules/FrontEnd/scim_socket_frontend.cpp (1.29),
	modules/FrontEnd/scim_socket_frontend.h (1.21),
	modules/FrontEnd/scim_x11_frontend.cpp (1.141),
	modules/FrontEnd/scim_x11_frontend.h (1.41),
	modules/FrontEnd/scim_x11_ic.cpp (1.15),
	modules/FrontEnd/scim_x11_ic.h (1.6),
	modules/IMEngine/scim_generic_table.cpp (1.6),
	modules/IMEngine/scim_generic_table.h (1.5),
	modules/IMEngine/scim_make_table.cpp (1.2),
	modules/IMEngine/scim_rawcode_imengine.cpp (1.4),
	modules/IMEngine/scim_rawcode_imengine.h (1.3),
	modules/IMEngine/scim_socket_imengine.cpp (1.11),
	modules/IMEngine/scim_socket_imengine.h (1.7),
	modules/IMEngine/scim_table_imengine.cpp (1.10),
	modules/IMEngine/scim_table_imengine.h (1.4),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.12),
	modules/SetupUI/scim_table_imengine_setup.cpp (1.9),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.12), src/scim.cpp
	(1.48), src/scim.h (1.26), src/scim_attribute.h (1.5),
	src/scim_backend.cpp (1.28), src/scim_backend.h (1.20),
	src/scim_bind.h (1.9), src/scim_chartraits.cpp (1.9),
	src/scim_compose_key.cpp (1.5), src/scim_compose_key.h (1.3),
	src/scim_config_agent.cpp (1.5), src/scim_config_base.cpp (1.17),
	src/scim_config_base.h (1.20), src/scim_config_module.cpp (1.13),
	src/scim_config_module.h (1.13), src/scim_config_path.h (1.24),
	src/scim_connection.cpp (1.6), src/scim_connection.h (1.9),
	src/scim_debug.cpp (1.6), src/scim_debug.h (1.14),
	src/scim_event.cpp (1.22), src/scim_event.h (1.19),
	src/scim_exception.h (1.9), src/scim_frontend.cpp (1.36),
	src/scim_frontend.h (1.32), src/scim_frontend_module.cpp (1.12),
	src/scim_frontend_module.h (1.14), src/scim_helper.h (1.2),
	src/scim_iconv.cpp (1.16), src/scim_iconv.h (1.16),
	src/scim_imengine.cpp (1.8), src/scim_imengine.h (1.10),
	src/scim_imengine_module.cpp (1.2), src/scim_imengine_module.h
	(1.2), src/scim_launcher.cpp (1.3), src/scim_lookup_table.cpp
	(1.26), src/scim_lookup_table.h (1.27), src/scim_module.cpp (1.23),
	src/scim_module.h (1.18), src/scim_object.cpp (1.8),
	src/scim_object.h (1.8), src/scim_panel.h (1.13),
	src/scim_pointer.h (1.10), src/scim_private.cpp (1.5),
	src/scim_private.h (1.10), src/scim_signals.cpp (1.6),
	src/scim_signals.h (1.10), src/scim_slot.cpp (1.4), src/scim_slot.h
	(1.7), src/scim_socket.cpp (1.38), src/scim_socket.h (1.22),
	src/scim_transaction.h (1.6), src/scim_utility.cpp (1.39),
	src/scim_utility.h (1.31):

	Updated copyright information.

2004-11-12 14:40  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_backend.h (1.19), scim_helper.h (1.1), scim_socket.cpp
	(1.37), scim_socket.h (1.21):

	Added scim_helper.h

2004-11-10 00:38  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.113), po/fr.po (1.2):

	added french translation, thanks to Damien Menanteau
	<damien.menanteau ZAI cegetel.net>

2004-11-08 02:04  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_attribute.h (1.4), scim_event.h (1.18),
	scim_exception.h (1.8), scim_global_config.h (1.3), scim_iconv.h
	(1.15), scim_imengine.h (1.9), scim_lookup_table.h (1.26),
	scim_module.h (1.17), scim_object.h (1.7), scim_pointer.h (1.9),
	scim_property.h (1.5), scim_socket.cpp (1.36), scim_socket.h
	(1.20), scim_transaction.cpp (1.5), scim_transaction.h (1.5),
	scim_utility.h (1.30):

	Added: SocketServer::insert_external_socket()
	SocketServer::remove_external_socket()
	Transaction::write_to_buffer() Transaction::read_from_buffer ()

2004-11-08 01:57  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (scim_1_0.1):

	Fixed a bug in SocketServer::close_connection ().

2004-11-07 16:24  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS, configure.ac, po/fr.po (scim_1_0.[1,4,1]):

	Added fr.po

2004-11-02 09:38  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.h (1.25), scim_backend.cpp (1.27), scim_backend.h
	(1.18), scim_frontend.cpp (1.35), scim_frontend.h (1.31),
	scim_imengine.cpp (1.7), scim_imengine.h (1.8):

	Added Helper APIs.

2004-10-30 04:51  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.121),
	modules/FrontEnd/scim_socket_frontend.cpp (1.28),
	modules/FrontEnd/scim_socket_frontend.h (1.20),
	modules/FrontEnd/scim_x11_frontend.cpp (1.140),
	modules/FrontEnd/scim_x11_frontend.h (1.40),
	modules/IMEngine/scim_socket_imengine.cpp (1.10),
	src/scim_backend.cpp (1.26), src/scim_backend.h (1.17),
	src/scim_frontend.cpp (1.34), src/scim_frontend.h (1.30),
	src/scim_imengine.cpp (1.6), src/scim_imengine.h (1.7):

	Added beep method.

2004-10-26 15:17  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_socket_imengine.cpp (1.9),
	scim_socket_imengine.h (1.6):

	Fixed the wrong usage of global Transaction object.

2004-10-26 12:58  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.112), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.120), extras/panel/scim_panel_gtk.cpp (1.92),
	modules/FrontEnd/scim_x11_frontend.cpp (1.139),
	modules/FrontEnd/scim_x11_frontend.h (1.39), src/scim.cpp (1.47),
	src/scim_launcher.cpp (1.2), src/scim_panel.h (1.12),
	src/scim_socket.cpp (1.35), src/scim_socket.h (1.19),
	src/scim_transaction.h (1.4), src/scim_utility.cpp (1.38),
	src/scim_utility.h (1.29), tests/testpanel.cpp (1.11):

	Use independent panel process for each display.

2004-10-23 10:41  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_socket_imengine.cpp (1.8),
	scim_socket_imengine.h (1.5):

	Use global Transaction object instead of dynamicly creating.

2004-10-23 02:19  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.119),
	extras/panel/scim_panel_gtk.cpp (1.91),
	modules/Config/scim_socket_config.cpp (1.18),
	modules/FrontEnd/scim_socket_frontend.cpp (1.27),
	modules/FrontEnd/scim_socket_frontend.h (1.19),
	modules/FrontEnd/scim_x11_frontend.cpp (1.138),
	modules/FrontEnd/scim_x11_frontend.h (1.38),
	modules/IMEngine/scim_socket_imengine.cpp (1.7),
	modules/IMEngine/scim_socket_imengine.h (1.4), src/scim.cpp (1.46),
	src/scim_socket.cpp (1.34), src/scim_transaction.cpp (1.4),
	src/scim_transaction.h (1.3), tests/testpanel.cpp (1.10):

	New Transaction and TransactionReader classes are OK.

2004-10-21 15:21  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_socket.cpp (1.33), scim_transaction.cpp (1.3),
	scim_transaction.h (1.2):

	New Transaction and TransactionReader classes.

2004-10-19 09:07  James Su <suzhe@tsinghua.org.cn>

	* src/scim_transaction.cpp (1.2):

	New Transaction WIP.

2004-10-15 05:39  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_socket_config.cpp (1.17),
	modules/Config/scim_socket_config.h (1.7), po/de.po (1.9), po/ja.po
	(1.17), po/ko.po (1.14), po/scim.pot (1.74), po/zh_CN.po (1.126),
	po/zh_TW.po (1.126), src/Makefile.am (1.37), src/scim.cpp (1.45),
	src/scim.h (1.24), src/scim_imengine.cpp (1.5), src/scim_imengine.h
	(1.6), src/scim_socket.cpp (1.32), src/scim_socket.h (1.18),
	src/scim_socket_transaction.cpp (1.27),
	src/scim_socket_transaction.h (1.30), src/scim_transaction.cpp
	(1.1), src/scim_transaction.h (1.1):

	Rename SocketTransaction to Transaction. Add TransactionReader.

2004-10-10 14:07  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_generic_table.cpp (1.5):

	Change SELECT_KEYS, PAGE_UP_KEYS, PAGE_DOWN_KEYS and COMMIT_KEYS to
	optional.

2004-10-10 13:58  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_generic_table.cpp (scim_1_0.1):

	Change SELECT_KEYS, PAGE_UP_KEYS, PAGE_DOWN_KEYS and COMMIT_KEYS to
	optional.

2004-10-03 13:54  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/imscim.cpp, po/de.po, po/ja.po, po/ko.po,
	po/scim.pot, po/zh_CN.po, po/zh_TW.po, src/scim_backend.cpp,
	src/scim_launcher.cpp (scim_1_0.[1,2,2,2,2,2,2,1,1]):

	Disable loading information by default.

2004-09-29 06:15  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: gtkimcontextscim.cpp (scim_1_0.2),
	gtkimcontextscim.cpp (1.118):

	Set preedit caret to the end of preedit string when updating
	preedit string.

2004-09-28 05:19  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (scim_1_0.3):

	DOT should only contain the path

2004-09-28 05:18  LiuCougar <liuspider@users.sourceforge.net>

	* src/: scim_frontend_module.h, scim_imengine_module.h,
	scim_property.h, scim_utility.h (scim_1_0.[1,1,1,1]):

	updated typo

2004-09-21 04:20  tag scim_1_0_1

2004-09-21 04:20  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog, configure.ac (scim_1_0.[1,2]):

	Bump to 1.0.1

2004-09-21 04:00  James Su <suzhe@tsinghua.org.cn>

	* utils/: scimstringview.c (scim_1_0.2), scimstringview.c
	(scim_0_9.[2,1]), scimstringview.c (1.4):

	Fixed gtk2 binary compatibility issue.

2004-09-21 03:06  James Su <suzhe@tsinghua.org.cn>

	* utils/: scimstringview.c (scim_1_0.1), scimstringview.c (1.3):

	Draw the second insertion cursor correctly.

2004-09-11 13:17  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: gtkimcontextscim.cpp (scim_1_0.1),
	gtkimcontextscim.cpp (1.117):

	Call focus_out when turning off instance.

2004-09-06 06:46  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (scim_1_0.1), configure.ac (1.111):

	Added missing SCIM_BUILD_GTK_UTILS definition

2004-09-02 07:29  tag scim_1_0_0

2004-09-02 07:29  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.51), configure.ac (1.110):

	Bump to 1.0.0

2004-09-01 01:41  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.109):

	display whether or not to compile gtk utils correctly

2004-09-01 01:24  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.108), po/de.po (1.8), po/ja.po (1.16), po/ko.po
	(1.13), po/scim.pot (1.73), po/zh_CN.po (1.125), po/zh_TW.po
	(1.125):

	Improve --disable-panel-gtk a little.

2004-08-31 02:29  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.107):

	added new option --disable-gtk2-panel to disable scim-panel-gtk
	only compile libscim-gtkutils when at least one of
	panel/gtk-immodule is needed

2004-08-29 14:34  tag scim_0_99_9

2004-08-29 14:34  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.50):

	Update ChangeLog.

2004-08-29 13:18  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.137):

	Move caret to the end of preedit string when updating preedit
	string.

2004-08-28 18:18  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.49), po/de.po (1.7), po/ja.po (1.15), po/ko.po
	(1.12), po/scim.pot (1.72), po/zh_CN.po (1.124), po/zh_TW.po
	(1.124):

	Update ChangeLog.

2004-08-28 17:49  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.136):

	Improve OnTheSpot support.

2004-08-28 03:58  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.116),
	modules/FrontEnd/scim_x11_frontend.cpp (1.135), src/scim.cpp
	(1.44):

	Try to fix the start failure issue.

2004-08-27 14:33  LiuCougar <liuspider@users.sourceforge.net>

	* AUTHORS (1.6):

	update kitae email

2004-08-27 14:18  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.5), po/de.po (1.6), po/ja.po (1.14), po/ko.po (1.11),
	po/scim.pot (1.71), po/zh_CN.po (1.123), po/zh_TW.po (1.123):

	Added more people.

2004-08-27 08:54  James Su <suzhe@tsinghua.org.cn>

	* src/scim_config_path.h (1.23):

	Indent the source code.

2004-08-26 12:55  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.115), src/scim.cpp
	(1.43):

	Make the timeout of waiting socket FrontEnd process to start
	longer.

2004-08-26 02:47  LiuCougar <liuspider@users.sourceforge.net>

	* po/de.po (1.5):

	updated de translation
	(http://freedesktop.org/pipermail/scim/2004-August/000810.html)

2004-08-25 13:15  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.48), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.114), modules/FrontEnd/scim_x11_frontend.cpp (1.134):

	Don't set default trigger/previous_factory/next_factory keys.

2004-08-25 12:51  James Su <suzhe@tsinghua.org.cn>

	* po/: de.po (1.4), ja.po (1.13), ko.po (1.10):

	Update de, ja, ko po files.

2004-08-24 17:31  LiuCougar <liuspider@users.sourceforge.net>

	* po/de.po (1.3):

	updated de translation

2004-08-24 17:24  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.106):

	version 0.99.9

2004-08-24 15:01  James Su <suzhe@tsinghua.org.cn>

	* po/scim.pot (1.70):

	Updated scim.pot

2004-08-24 14:56  James Su <suzhe@tsinghua.org.cn>

	* po/: zh_CN.po (1.122), zh_TW.po (1.122):

	Updated zh_CN zh_TW po

2004-08-24 14:42  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.32), configs/scim.schemas (1.29),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.113),
	modules/FrontEnd/scim_x11_frontend.cpp (1.133),
	modules/FrontEnd/scim_x11_frontend.h (1.37),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.11), po/de.po (1.2),
	po/ja.po (1.12), po/ko.po (1.9), po/zh_CN.po (1.121), po/zh_TW.po
	(1.121), src/scim_config_path.h (1.22):

	Added hotkeys to show input method menu.

2004-08-24 12:23  James Su <suzhe@tsinghua.org.cn>

	* po/: ja.po (1.11), ko.po (1.8), zh_CN.po (1.120), zh_TW.po
	(1.120):

	Added de.po, updated ja.po

2004-08-24 04:39  LiuCougar <liuspider@users.sourceforge.net>

	* po/scim.pot (1.69):

	this file is needed for new translator to begin with

2004-08-24 03:13  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.105), po/de.po (1.1):

	add German translation (thanks to Jan Hefti <j.hefti@hamburg.de>)

2004-08-23 16:16  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_table_imengine.cpp (1.9),
	scim_table_imengine.h (1.3):

	Save user table immediately when adding or deleteing phrase.

2004-08-22 11:45  tag scim_0_99_8

2004-08-22 11:45  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.47):

	Update ChangeLog.

2004-08-22 11:19  James Su <suzhe@tsinghua.org.cn>

	* src/scim_backend.cpp (1.25):

	Added ComposeKeyFactory object when there is no factory.

2004-08-22 11:09  James Su <suzhe@tsinghua.org.cn>

	* po/ko.po (1.7):

	Updated ko.po

2004-08-22 05:41  James Su <suzhe@tsinghua.org.cn>

	* po/: ja.po (1.10), ko.po (1.6):

	Update ja.po and ko.po

2004-08-22 05:21  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.18), scim.m4 (1.2), scim.pc.in (1.16),
	modules/SetupUI/scim_table_imengine_setup.cpp (1.8):

	Removed scim.m4, it's not necessary. We should use scim.pc instead.

2004-08-22 01:35  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.104):

	version 0.99.8

2004-08-22 01:23  LiuCougar <liuspider@users.sourceforge.net>

	* Makefile.am (1.17), scim.m4 (1.1):

	added a m4 function to check scim version which should be used by
	scim-*

2004-08-21 23:35  LiuCougar <liuspider@users.sourceforge.net>

	* scim.spec.in (1.64):

	specify the new homepage for SCIM

2004-08-21 14:32  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.42):

	Use NULL instead of 0 for pointer.

2004-08-20 05:59  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_imengine_setup.cpp (1.7), po/ja.po
	(1.9), po/ko.po (1.5), po/zh_CN.po (1.119), po/zh_TW.po (1.119):

	Added DISCARD_INVALID_KEY into setup module.

2004-08-20 05:22  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.41), src/scim_backend.cpp
	(1.24):

	Re-add "English/European" into menu, but can be disabled by
	scim-setup.

2004-08-20 01:50  James Su <suzhe@tsinghua.org.cn>

	* src/scim_backend.cpp (1.23):

	Do not add English/European entry.

2004-08-19 17:21  tag scim_0_99_7

2004-08-19 17:21  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.46), TODO (1.8), configure.ac (1.103):

	Bump to 0.99.7

2004-08-18 16:56  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_generic_table.cpp (1.4),
	scim_generic_table.h (1.4), scim_table_imengine.cpp (1.8):

	Added DISCARD_INVALID_KEY option (useful for WuBi table).

2004-08-16 10:50  James Su <suzhe@tsinghua.org.cn>

	* po/ko.po (1.3):

	Updated ko.po

2004-08-16 05:52  James Su <suzhe@tsinghua.org.cn>

	* po/: ja.po (1.7), ko.po (1.2):

	Updated ja.po

2004-08-16 04:08  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_rawcode_imengine.cpp (1.3),
	scim_table_imengine.cpp (1.7):

	Hide preedit string before committing.

2004-08-14 12:45  James Su <suzhe@tsinghua.org.cn>

	* po/ko.po (1.1):

	Added ko.po

2004-08-14 03:26  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_ic.cpp (1.14), IMdkit/i18nIc.c (1.5),
	IMdkit/i18nPtHdr.c (1.3):

	Fixed some 64bit and endian issues.

2004-08-14 02:54  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.102), po/ja.po (1.6), po/zh_CN.po (1.117),
	po/zh_TW.po (1.117):

	Added ko.po

2004-08-14 02:28  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/i18nMethod.c (1.4):

	Fixed an endian issue.

2004-08-13 02:24  LiuCougar <liuspider@users.sourceforge.net>

	* scim-gtkutils.pc.in (1.3):

	fixed a typo

2004-08-13 01:22  tag scim_0_99_6

2004-08-13 01:22  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.45), po/ja.po (1.5), po/zh_CN.po (1.116),
	po/zh_TW.po (1.116):

	Updated ChangeLog.

2004-08-13 00:26  James Su <suzhe@tsinghua.org.cn>

	* configs/: config (1.31), scim.schemas (1.28):

	Turn off on the spot support by default.

2004-08-13 00:02  James Su <suzhe@tsinghua.org.cn>

	* src/ltdl.cpp (1.2):

	Fix compilation issue for gcc 3.4.x

2004-08-12 23:52  James Su <suzhe@tsinghua.org.cn>

	* po/: ja.po (1.4), zh_CN.po (1.115), zh_TW.po (1.115):

	Updated zh_TW.po

2004-08-12 11:56  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.132):

	Fixed crash issue on x86_64.

2004-08-11 00:44  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.36), ltdl.c (1.6), ltdl.cpp (1.1), ltdl.h
	(1.3):

	Make libltdlc totally private by putting it into scim namespace.

2004-08-10 13:19  James Su <suzhe@tsinghua.org.cn>

	* po/ja.po (1.3):

	Updated ja.po

2004-08-10 08:04  James Su <suzhe@tsinghua.org.cn>

	* src/: conv_compose.cpp (1.2), scim_compose_key.cpp (1.4),
	scim_compose_key.h (1.2), scim_compose_key_data.h (1.2):

	Added Unicode keycodes.

2004-08-10 03:22  James Su <suzhe@tsinghua.org.cn>

	* po/: ja.po (1.2), zh_CN.po (1.114), zh_TW.po (1.114):

	Added button for show_key_prompt option.

2004-08-10 03:13  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_imengine_setup.cpp (1.6):

	Added button for show_key_prompt option.

2004-08-09 14:46  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.100), po/ja.po (1.1), po/ja_JP.po (1.14),
	po/zh_CN.po (1.113), po/zh_TW.po (1.113):

	Rename ja_JP.po to ja.po

2004-08-08 08:20  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_generic_table.cpp (1.3),
	modules/IMEngine/scim_generic_table.h (1.3),
	modules/IMEngine/scim_table_imengine.cpp (1.6), po/ja_JP.po (1.13),
	po/zh_CN.po (1.112), po/zh_TW.po (1.112):

	Add SHOW_KEY_PROMPT option into generic table, in order to show key
	prompt instead of the raw key.

2004-08-06 07:25  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.63):

	Ditto.

2004-08-06 07:22  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/Makefile.am (1.13), src/Makefile.am (1.35),
	src/scim_utility.cpp (1.37):

	Move scim-launcher and scim-panel-gtk to /usr/lib/scim-1.0, to
	follow the new FHS standard.

2004-08-05 02:38  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.34), conv_compose.cpp (1.1),
	scim_compose_key.cpp (1.3), scim_compose_key_data.h (1.1):

	Split the compose key data to a separate file.

2004-08-04 14:58  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_compose_key.cpp (1.2), scim_event.cpp (1.21),
	scim_event.h (1.17):

	Fixed get_key_string () for directly encoded UCS keycode. Fixed
	compose key table.

2004-08-03 04:05  James Su <suzhe@tsinghua.org.cn>

	* src/scim_event.cpp (1.20):

	Fixed get_key_string () behaviour on key mask string.

2004-08-03 00:40  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_imengine_setup.cpp (1.5):

	Delete some unused variables.

2004-08-03 00:36  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_imengine_setup.cpp (1.4), po/ja_JP.po
	(1.12), po/zh_CN.po (1.111), po/zh_TW.po (1.111),
	src/scim_utility.cpp (1.36), src/scim_utility.h (1.28):

	Added scim_get_language_name_english ()

2004-07-28 09:08  tag scim_0_99_5

2004-07-28 09:08  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.131):

	Don't unset focused ic when changing factory via menu.

2004-07-27 12:47  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.44), configure.ac (1.99), po/ja_JP.po (1.11),
	po/zh_CN.po (1.110), po/zh_TW.po (1.110):

	pump to 0.99.5

2004-07-24 02:14  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.112),
	src/scim_backend.cpp (1.22), src/scim_backend.h (1.16):

	Added get_factory_pointer () into BackEndBase for scim-qtimm.  More
	compose key support in gtkimmodule.

2004-07-23 16:20  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.30):

	Do not use dynamic XIM mode by default.

2004-07-23 16:17  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.111),
	extras/gtk2_immodule/gtkimcontextscim.h (1.8),
	modules/FrontEnd/scim_socket_frontend.cpp (1.26),
	modules/FrontEnd/scim_socket_frontend.h (1.18),
	modules/FrontEnd/scim_x11_frontend.cpp (1.130),
	modules/FrontEnd/scim_x11_frontend.h (1.36), po/ja_JP.po (1.10),
	po/zh_CN.po (1.109), po/zh_TW.po (1.109), src/scim_backend.cpp
	(1.21), src/scim_backend.h (1.15), src/scim_frontend.cpp (1.33),
	src/scim_frontend.h (1.29):

	* Moved many code from FrontEndBase to BackEndBase in order to
	reuse these code   in other special FrontEnds like gtkimmodule etc.
	 * Added transparent support for compose keys in x11 FrontEnd and
	gtkimmodule.  * Rename some methods of FrontEndBase.

2004-07-21 13:44  tag scim_before_refactory_backend

2004-07-21 13:44  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_imengine_setup.cpp (1.3),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.10), po/ja_JP.po
	(1.9), po/zh_CN.po (1.108), po/zh_TW.po (1.108):

	Fixed some tooltips.

2004-07-20 10:43  James Su <suzhe@tsinghua.org.cn>

	* po/: POTFILES.in (1.13), ja_JP.po (1.7), zh_CN.po (1.106),
	zh_TW.po (1.106):

	Added scim_compose_key.cpp

2004-07-20 10:33  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.33), scim.h (1.23), scim_backend.cpp (1.20),
	scim_compose_key.cpp (1.1), scim_compose_key.h (1.1),
	scim_event.cpp (1.19), scim_imengine.h (1.5), scim_module.cpp
	(1.22):

	* Added ComposeKeyFactory and ComposeKeyInstance to support compose
	key.  * Close new_handle if the old module failed to unload.

2004-07-20 05:31  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.90):

	Fixed crash issue if PropertyList is empty.

2004-07-18 13:14  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/: scim_socket_imengine.cpp (1.6),
	scim_socket_imengine.h (1.3), scim_table_imengine.cpp (1.5):

	Put all global variable into a class object to fix the wrong
	destruction sequence issue.

2004-07-17 15:52  James Su <suzhe@tsinghua.org.cn>

	* po/: zh_CN.po (1.105), zh_TW.po (1.105):

	Updated zh_TW.po and zh_CN.po.

2004-07-17 10:41  tag scim_0_99_4

2004-07-17 10:41  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.43):

	Updated ChangeLog.

2004-07-17 03:03  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.110):

	Don't finalize the whole imcontext when exiting scim.

2004-07-17 02:44  James Su <suzhe@tsinghua.org.cn>

	* src/scim_event.cpp (1.18):

	Freeing __scim_keys_by_name is not necessary.

2004-07-16 15:35  James Su <suzhe@tsinghua.org.cn>

	* po/ja_JP.po (1.5):

	Update ja_JP.po.

2004-07-15 18:41  LiuCougar <liuspider@users.sourceforge.net>

	* modules/IMEngine/scim_socket_imengine.cpp (1.4):

	fixed the segfault issue when using scim-qtimm

2004-07-15 18:35  LiuCougar <liuspider@users.sourceforge.net>

	* src/scim_event.cpp (1.17):

	add a class to handle static variable cleanup and fixed a mem leak
	identified by valgrind

2004-07-15 15:03  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.109):

	Connect to panel on demand.

2004-07-15 14:49  James Su <suzhe@tsinghua.org.cn>

	* po/ja_JP.po (1.4), po/zh_CN.po (1.103), po/zh_TW.po (1.103),
	utils/scimkeyselection.cpp (1.2), utils/scimkeyselection.h (1.3):

	Improve the Key Selection dialog.  Now using a key grabbing window
	to get a key event.

2004-07-14 08:52  James Su <suzhe@tsinghua.org.cn>

	* src/scim_event.cpp (1.16):

	Don't generate key code string if key.code == 0.

2004-07-14 08:34  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.108),
	src/scim_event.cpp (1.15):

	Use get_unicode_code instead of get_ascii_code.

2004-07-13 23:17  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_event.cpp (1.14), scim_event.h (1.16):

	Add more key events and methods. Use binary search in string<->key
	conversion.

2004-07-13 03:25  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: gtkimcontextscim.cpp (1.105),
	gtkimcontextscim.h (1.7):

	Use key_snooper to process the key event instead of
	filter_keypress.  Use a simple gtk im context to post-process the
	key event to fix the dead/multi key issue.

2004-07-12 14:17  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (1.35):

	Include errno.h in scim_utility.cpp.

2004-07-11 12:34  tag scim_0_99_3

2004-07-11 12:34  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.97), po/ja_JP.po (1.3), po/zh_CN.po (1.102),
	po/zh_TW.po (1.102):

	Bump to 0.99.3.

2004-07-11 04:21  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.42):

	Updated ChangeLog.

2004-07-10 02:30  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.104),
	extras/setup/scim_setup_ui.cpp (1.40),
	modules/FrontEnd/scim_x11_frontend.cpp (1.129),
	src/scim_backend.cpp (1.19), src/scim_config_path.h (1.21),
	src/scim_global_config.cpp (1.4), src/scim_global_config.h (1.2),
	src/scim_private.cpp (1.4):

	Implemented scim_global_config_write, scim_global_config_reset and
	scim_global_config_flush.  Moved /DefaultIMEngineFactory and
	/DisabledIMEngineFactories to global config.

2004-07-09 00:00  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.96), docs/manual/zh_CN/user-manual.xml (1.21),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.103),
	modules/FrontEnd/scim_x11_frontend.cpp (1.128), src/scim.cpp
	(1.42), src/scim_utility.cpp (1.34), src/scim_utility.h (1.27):

	Added scim_usleep (). Fixed the check_socket_frontend delay issue.

2004-07-08 03:18  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.89):

	Disable tray icon code, if ENABLE_TRAY_ICON is not defined.

2004-07-07 20:28  LiuCougar <liuspider@users.sourceforge.net>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.102):

	use a timeout to check whether the socket frontend has fully
	started

2004-07-05 07:15  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (1.33):

	Added .eucCN, .eucJP, .eucKR, .eucTW.

2004-07-05 06:23  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket_transaction.h (1.29):

	Update comments.

2004-07-05 03:40  James Su <suzhe@tsinghua.org.cn>

	* src/.cvsignore (1.4):

	Added scim-launcher.

2004-07-04 10:19  James Su <suzhe@tsinghua.org.cn>

	* configs/Makefile.am (1.7), data/pixmaps/Makefile.am (1.4),
	extras/gtk2_immodule/Makefile.am (1.20), extras/panel/Makefile.am
	(1.12), m4/Makefile.am (1.2), tests/Makefile.am (1.8):

	Delete Makefile.in when make maintainer-clean.

2004-07-04 03:04  James Su <suzhe@tsinghua.org.cn>

	* po/zh_TW.po (1.101), THANKS (1.7):

	Updated zh_TW.po.

2004-07-03 11:02  James Su <suzhe@tsinghua.org.cn>

	* po/ja_JP.po (1.2):

	Updated ja_JP.po.

2004-07-02 14:43  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_table_imengine.cpp (1.4):

	Do not use different attrs for user defined phrases.

2004-07-02 14:06  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_config_agent.cpp (1.4), scim_config_base.cpp (1.16),
	scim_config_base.h (1.19):

	Get the default config module name from global config file.

2004-07-02 13:24  James Su <suzhe@tsinghua.org.cn>

	* THANKS (1.6), configure.ac (1.95), po/ja_JP.po (1.1), po/zh_CN.po
	(1.101), po/zh_TW.po (1.100):

	Added ja_JP.po.

2004-07-01 04:59  tag scim_0_99_2

2004-07-01 04:59  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.41), configure.ac (1.94), po/zh_CN.po (1.100),
	po/zh_TW.po (1.99):

	Bump to 0.99.2. Update ChangeLog.

2004-07-01 04:32  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.93), extras/panel/scim_panel_gtk.cpp (1.88),
	po/zh_CN.po (1.99), po/zh_TW.po (1.98):

	Show help dialog even there is no focused ic.

2004-06-29 15:38  James Su <suzhe@tsinghua.org.cn>

	* src/scim_global_config.cpp (1.3):

	More fix for global config interface.

2004-06-29 15:19  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.39), src/scim_global_config.cpp
	(1.2):

	Added a per user global config file ~/.scim/global to store the
	user specified global configs.

2004-06-29 14:42  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.101), src/scim.cpp
	(1.40):

	Read the default config module name from global config file.

2004-06-28 14:54  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.62), configs/Makefile.am (1.6), configs/config
	(1.29), configs/global (1.1), configs/scim.schemas (1.26),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.100),
	extras/panel/Makefile.am (1.11),
	modules/FrontEnd/scim_x11_frontend.cpp (1.127), src/Makefile.am
	(1.32), src/scim.h (1.22), src/scim_backend.cpp (1.18),
	src/scim_config_path.h (1.20), src/scim_global_config.cpp (1.1),
	src/scim_global_config.h (1.1), src/scim_socket.cpp (1.31),
	src/scim_utility.cpp (1.32), src/scim_utility.h (1.26):

	Added scim_global_config_read methods to read configurations from a
	global configuration file (usually /etc/scim/global). This file is
	used to store the global configurations for libscim.

	Added scim_launch_panel methods to launch a panel process.

	Moved scim-panel-gtk to ${libexecdir}.

2004-06-28 02:32  James Su <suzhe@tsinghua.org.cn>

	* po/zh_TW.po (1.97):

	Updated zh_TW.po

2004-06-27 13:18  James Su <suzhe@tsinghua.org.cn>

	* NEWS (1.2), extras/gtk2_immodule/gtkimcontextscim.cpp (1.99),
	modules/FrontEnd/scim_x11_frontend.cpp (1.126):

	If the panel program name is not a full path, just prepend the
	SCIM_BINDIR to it.

2004-06-27 01:27  LiuCougar <liuspider@users.sourceforge.net>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.125):

	use execvp to start panel program, so that no matter where it is
	installed, as long as it is under one of the PATH, it can be
	executed (now x11_frontend can start scim-panel-kde directly no
	matter where skim is install

2004-06-27 01:25  LiuCougar <liuspider@users.sourceforge.net>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.98):

	use execvp to start panel program, so that no matter where it is
	installed, as long as it is under one of the PATH, it can be
	executed (now gtk2_immodule can start scim-panel-kde directly no
	matter where skim is install

2004-06-26 07:30  James Su <suzhe@tsinghua.org.cn>

	* src/scim_chartraits.cpp (1.8):

	Added using namespace scim;

2004-06-26 06:38  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.38):

	Collapse IMEngineFactory list by default.

2004-06-26 06:32  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_panel_gtk_setup.cpp (1.11), po/zh_CN.po
	(1.98):

	Remove unused configurations.

2004-06-26 06:20  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.97),
	extras/panel/scim_panel_gtk.cpp (1.87), src/scim_chartraits.cpp
	(1.7):

	Use only UTF-8 encoding in gtk2 immodule.  Enhanced the Lookup
	Table position algorithm.  Don't include stdint.h in
	scim_chartraits.cpp directly. Use scim_types.h instead.

2004-06-26 03:49  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.40), extras/gtk2_immodule/gtkimcontextscim.cpp
	(1.95), po/zh_CN.po (1.97), po/zh_TW.po (1.96), src/scim.cpp
	(1.39), src/scim_utility.cpp (1.31):

	Sleep one second after launching the Socket FrontEnd process.
	Added a missing dot in ja_JP locale list.

2004-06-26 03:03  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.94):

	Send back the key event when the context_scim is invalid.

2004-06-25 21:07  LiuCougar <liuspider@users.sourceforge.net>

	* src/scim_backend.cpp (1.17):

	SCIM_CONFIG_SUPPORTED_UNICODE_LOCALES should have a none empty
	default value, otherwise scim can not be used under UTF-8 locale(s)

2004-06-25 13:08  tag scim_0_99_1

2004-06-25 13:08  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.92), po/zh_CN.po (1.96), po/zh_TW.po (1.95):

	Bump to 0.99.1

2004-06-25 03:48  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.93),
	modules/FrontEnd/scim_x11_frontend.cpp (1.124):

	Start panel with --no-stay option.

2004-06-25 03:16  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.16), extras/setup/Makefile.am (1.7),
	po/Makefile.in.in (1.6), po/zh_CN.po (1.95), po/zh_TW.po (1.94):

	Delete some temporary files during "make clean".

2004-06-24 05:48  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.92),
	extras/panel/scim_panel_gtk.cpp (1.86),
	modules/FrontEnd/scim_x11_frontend.cpp (1.123),
	modules/FrontEnd/scim_x11_frontend.h (1.35),
	src/scim_socket_transaction.h (1.28):

	Added exit command. If debug is enabled, an "Exit" command will be
	shown on the command menu of GTK Panel. This command is used to let
	all scim relates process exit.

2004-06-23 03:04  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.91):

	Try socket frontend connection several times.

2004-06-22 14:02  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_x11_frontend_setup.cpp (1.9):

	Get rid off the "Show status box" option.

2004-06-22 13:06  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.cpp (1.38), scim_socket.cpp (1.30):

	Use AF_UNIX/PF_UNIX instead of AF_LOCAL/PF_LOCAL.

2004-06-22 13:01  LiuCougar <liuspider@users.sourceforge.net>

	* modules/SetupUI/scim_x11_frontend_setup.cpp (1.8):

	default value of SCIM_CONFIG_FRONTEND_X11_ONTHESPOT should be false

2004-06-21 04:21  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.61), po/zh_CN.po (1.94), po/zh_TW.po (1.93):

	Fixed the %post %postun scripts.

2004-06-20 23:13  LiuCougar <liuspider@users.sourceforge.net>

	* mkchlog (1.5):

	change liuspider's email

2004-06-20 15:42  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (1.20):

	Update gtk2 immodule doc.

2004-06-20 13:07  tag scim_0_99_0

2004-06-20 13:07  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.60), po/zh_CN.po (1.93), po/zh_TW.po (1.92):

	Fixed the configure options.

2004-06-20 10:07  James Su <suzhe@tsinghua.org.cn>

	* modules/IMEngine/scim_socket_imengine.cpp (1.3):

	Fixed the socket reconnect issue.

2004-06-20 09:22  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.59):

	Added configure options.

2004-06-20 08:47  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.58), po/zh_CN.po (1.91), po/zh_TW.po (1.90):

	Merge all binary packages into one package.

2004-06-20 07:50  James Su <suzhe@tsinghua.org.cn>

	* docs/: topng (1.2), manual/zh_CN/figures/distributed-scim.png
	(1.2):

	Updated distributed-scim.png.  Remove useless topng script.

2004-06-20 07:35  James Su <suzhe@tsinghua.org.cn>

	* docs/design.zh_CN (1.3), docs/developers (1.3),
	docs/manual/zh_CN/user-manual.xml (1.19),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.90),
	extras/panel/scim_panel_gtk.cpp (1.85),
	extras/setup/scim_setup_ui.cpp (1.37),
	modules/Config/scim_socket_config.cpp (1.16),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.10), po/zh_CN.po
	(1.90), po/zh_TW.po (1.89), src/scim.cpp (1.37),
	src/scim_socket.cpp (1.29), tests/testpanel.cpp (1.9):

	Updated the documents a little.  Fixed the config reload issue of
	SocketConfig module.  Added "Show property label" option into the
	gtk panel setup module.  Use "stderr" as the debug output target by
	default.  Updated testpanel to use the standard open connection
	api.

2004-06-19 14:22  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.39):

	Updated ChangeLog.

2004-06-19 12:57  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.91), scim-gtkutils.pc.in (1.2), scim.pc.in
	(1.15), scim.spec.in (1.57), configs/config (1.28),
	configs/scim.schemas (1.25), docs/manual/zh_CN/user-manual.xml
	(1.18), docs/manual/zh_CN/figures/scim-setup-engines.png (1.1),
	docs/manual/zh_CN/figures/scim-setup-frontend-x11.png (1.3),
	docs/manual/zh_CN/figures/scim-setup-panel-gtk.png (1.3),
	docs/manual/zh_CN/figures/scim-setup-servers.png (1.2),
	docs/manual/zh_CN/figures/scim-setup-splash.png (1.3),
	extras/gtk2_immodule/Makefile.am (1.19),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.89),
	extras/panel/Makefile.am (1.10), extras/panel/scim_panel_gtk.cpp
	(1.84), extras/setup/Makefile.am (1.6), modules/Config/Makefile.am
	(1.11), modules/Config/scim_socket_config.cpp (1.15),
	modules/FrontEnd/Makefile.am (1.28),
	modules/FrontEnd/scim_socket_frontend.cpp (1.25),
	modules/FrontEnd/scim_socket_frontend.h (1.17),
	modules/FrontEnd/scim_x11_frontend.cpp (1.122),
	modules/IMEngine/Makefile.am (1.2),
	modules/IMEngine/scim_socket_imengine.cpp (1.2),
	modules/IMEngine/scim_socket_imengine.h (1.2),
	modules/SetupUI/Makefile.am (1.8),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.9),
	modules/SetupUI/scim_socket_frontend_setup.cpp (1.5),
	modules/SetupUI/scim_socket_imengine_setup.cpp (1.2),
	po/POTFILES.in (1.12), po/zh_CN.po (1.89), po/zh_TW.po (1.88),
	src/Makefile.am (1.31), src/scim.cpp (1.36), src/scim_imengine.cpp
	(1.4), src/scim_imengine.h (1.4), src/scim_launcher.cpp (1.1),
	src/scim_panel.h (1.11), src/scim_socket.cpp (1.28),
	src/scim_socket.h (1.17), src/scim_socket_transaction.cpp (1.26),
	src/scim_socket_transaction.h (1.27), src/scim_utility.cpp (1.30),
	src/scim_utility.h (1.25), tests/Makefile.am (1.7),
	utils/Makefile.am (1.7):

	Added command scim-launcher to start scim process.  Added
	scim_launch method to start a scim process by using scim-launcher
	command.  Modified scim.cpp to use scim_launch and start a scim
	SocketFrontEnd process if necessary.  Modified gtkimcontextscim.cpp
	to use scim_launch to start a SocketFrontEnd process if necessary.
	Made the socket addresses of SocketFrontEnd SocketIMEngine
	SocketConfig and Panel static.	Added
	scim_get_default_socket_frontend_address (),
	scim_get_default_socket_imengine_address () and
	scim_get_default_panel_socket_address () to get the default
	addresses.  Added scim_get_default_socket_timeout () to get the
	default socket timeout.  Removed the setup modules of
	SocketFrontEnd and SocketIMEngine.

	Simplifed the libtool versioning rule. Rename the library name to
	libscim-1.0

2004-06-18 02:35  LiuCougar <liuspider@users.sourceforge.net>

	* tests/testpanel.cpp (1.8):

	as long as ident contains Panel it should be OK

2004-06-17 00:27  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.83):

	Use single underline instead of double underline.

2004-06-15 14:41  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.88):

	Draw underline when necessary.

2004-06-15 14:12  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.87):

	Don't draw double underline.

2004-06-15 10:41  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.86),
	extras/panel/scim_panel_gtk.cpp (1.82),
	modules/SetupUI/scim_table_imengine_setup.cpp (1.2), po/zh_CN.po
	(1.88), po/zh_TW.po (1.87), src/scim_utility.cpp (1.29):

	Add some missing language names.  Limit spot location within
	current screen in gtk panel.

2004-06-15 06:25  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.81):

	Don't hide toolbar if any menu is activated.

2004-06-15 04:31  James Su <suzhe@tsinghua.org.cn>

	* po/zh_CN.po (1.87), po/zh_TW.po (1.86), src/scim_lookup_table.cpp
	(1.25):

	Fixed a deadlock in set_cursor_pos.

2004-06-15 03:25  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.80), src/scim_lookup_table.cpp
	(1.24), src/scim_lookup_table.h (1.25),
	src/scim_socket_transaction.cpp (1.25):

	Rename LookupTable::get_cursor_in_page to
	get_cursor_in_current_page.  Add LookupTable::set_cursor_pos and
	set_cursor_pos_in_current_page.

2004-06-15 02:37  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/i18nMethod.c (1.3):

	More buffer overflow fix.

2004-06-15 02:35  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.36),
	modules/FrontEnd/scim_x11_frontend.cpp (1.121),
	modules/FrontEnd/IMdkit/i18nMethod.c (1.2),
	modules/IMEngine/scim_table_imengine.cpp (1.3),
	modules/IMEngine/scim_table_imengine.h (1.2), src/scim_frontend.cpp
	(1.32), src/scim_frontend.h (1.28), src/scim_imengine.cpp (1.3),
	src/scim_imengine.h (1.3):

	Hide implementation details of IMEngineFactoryBase,
	IMEngineInstanceBase and FrontEndBase.	Fixed a buffer overflow in
	IMdkit.

2004-06-14 10:23  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.35):

	Use normalized language id to categorize the factories.

2004-06-14 10:07  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_imengine.cpp (1.2), scim_imengine.h (1.2):

	Add m_language into IMEngineFactoryBase. This breaks the ABI.

2004-06-14 01:33  LiuCougar <liuspider@users.sourceforge.net>

	* THANKS (1.5):

	change liuspider's email

2004-06-12 11:17  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/: scim_socket_imengine_setup.cpp (1.1),
	scim_table_imengine_setup.cpp (1.1):

	Added missing files.

2004-06-12 11:05  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.120),
	modules/FrontEnd/scim_x11_frontend.h (1.34),
	modules/IMEngine/scim_generic_table.cpp (1.2),
	modules/IMEngine/scim_generic_table.h (1.2),
	modules/IMEngine/scim_rawcode_imengine.cpp (1.2),
	modules/IMEngine/scim_rawcode_imengine.h (1.2),
	modules/IMEngine/scim_table_imengine.cpp (1.2), po/zh_CN.po (1.86),
	po/zh_TW.po (1.85), src/scim_backend.cpp (1.16),
	src/scim_utility.cpp (1.28):

	Uses set_languages instead of set_locales in IMEngines.

	Filtered the locales which do not supported by Xlib when
	initializing XIM Server in X11 FrontEnd.

	Fixed the duplicated locales in CommonBackEnd.

2004-06-11 23:55  James Su <suzhe@tsinghua.org.cn>

	* po/: POTFILES.in (1.11), zh_CN.po (1.85), zh_TW.po (1.84):

	Fixed po compilation.

2004-06-11 15:36  James Su <suzhe@tsinghua.org.cn>

	* src/scim.cpp (1.35):

	Add -s -ns option for backward compatibility.

2004-06-10 13:30  James Su <suzhe@tsinghua.org.cn>

	* README (1.12):

	Updated README a little.

2004-06-10 13:19  James Su <suzhe@tsinghua.org.cn>

	* README (1.11), THANKS (1.4), TODO (1.7), configure.ac (1.90),
	modules/SetupUI/Makefile.am (1.7):

	Fixed a compilation issue.

2004-06-09 15:12  James Su <suzhe@tsinghua.org.cn>

	* README (1.10), configure.ac (1.89), scim.spec.in (1.56),
	configs/config (1.27), configs/scim.schemas (1.24),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.85),
	extras/panel/scim_panel_gtk.cpp (1.79),
	extras/setup/scim_setup_ui.cpp (1.34), extras/setup/scim_setup_ui.h
	(1.17), modules/Makefile.am (1.4),
	modules/FrontEnd/scim_socket_frontend.cpp (1.24),
	modules/FrontEnd/scim_socket_frontend.h (1.16),
	modules/FrontEnd/scim_x11_frontend.cpp (1.119),
	modules/FrontEnd/scim_x11_frontend.h (1.33),
	modules/IMEngine/.cvsignore (1.1), modules/IMEngine/Makefile.am
	(1.1), modules/IMEngine/scim_generic_table.cpp (1.1),
	modules/IMEngine/scim_generic_table.h (1.1),
	modules/IMEngine/scim_make_table.cpp (1.1),
	modules/IMEngine/scim_rawcode_imengine.cpp (1.1),
	modules/IMEngine/scim_rawcode_imengine.h (1.1),
	modules/IMEngine/scim_socket_imengine.cpp (1.1),
	modules/IMEngine/scim_socket_imengine.h (1.1),
	modules/IMEngine/scim_table_imengine.cpp (1.1),
	modules/IMEngine/scim_table_imengine.h (1.1),
	modules/SetupUI/Makefile.am (1.6),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.8),
	modules/SetupUI/scim_socket_server_setup.cpp (1.5),
	modules/SetupUI/scim_table_server_setup.cpp (1.28),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.7), src/Makefile.am
	(1.30), src/scim.cpp (1.34), src/scim.h (1.21),
	src/scim_backend.cpp (1.15), src/scim_backend.h (1.14),
	src/scim_config_path.h (1.19), src/scim_debug.cpp (1.5),
	src/scim_debug.h (1.13), src/scim_frontend.cpp (1.31),
	src/scim_frontend.h (1.27), src/scim_frontend_module.h (1.13),
	src/scim_imengine.cpp (1.1), src/scim_imengine.h (1.1),
	src/scim_imengine_module.cpp (1.1), src/scim_imengine_module.h
	(1.1), src/scim_lookup_table.h (1.23), src/scim_panel.h (1.10),
	src/scim_property.h (1.4), src/scim_server.cpp (1.33),
	src/scim_server.h (1.32), src/scim_server_module.cpp (1.15),
	src/scim_server_module.h (1.15), src/scim_socket_transaction.h
	(1.26):

	Rename ServerFactory to IMEngineFactory, ServerInstance to
	IMEngineInstance.

2004-06-09 05:41  tag scim_before_rename_server

2004-06-09 05:41  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.78), src/scim_utility.cpp
	(1.27), src/scim_utility.h (1.24), tests/Makefile.am (1.6),
	tests/testlang.cpp (1.1):

	Added scim_get_language_locales into scim_utility Added
	scim_get_normalized_language.  Modified scim_validate_language to
	not get the normalized lang code.  Added testlang.cpp to test the
	language methods.

2004-06-08 10:21  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.77):

	New LookupTable API finally works.

2004-06-08 03:32  James Su <suzhe@tsinghua.org.cn>

	* src/scim_lookup_table.cpp (1.22):

	New LookupTable finally works.

2004-06-08 02:17  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.84),
	extras/panel/scim_panel_gtk.cpp (1.76),
	modules/FrontEnd/scim_socket_frontend.cpp (1.23),
	modules/FrontEnd/scim_socket_frontend.h (1.15),
	modules/FrontEnd/scim_x11_frontend.cpp (1.118),
	modules/FrontEnd/scim_x11_frontend.h (1.32), src/scim_frontend.cpp
	(1.30), src/scim_lookup_table.h (1.22),
	src/scim_socket_transaction.h (1.25), tests/testpanel.cpp (1.7):

	Updated LookupTable API: * Use candidate labels instead of page
	index keys.  * Rename get_content_in_page to
	get_candidate_in_current_page * Rename number_of_entries to
	number_of_candidates * Rename append_entry to append_candidate *
	Remove page up/down keys API * Added lookup_table_page_up/down to
	ServerInstance API.

2004-06-07 15:47  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_lookup_table.cpp (1.21), scim_lookup_table.h (1.21),
	scim_socket_transaction.cpp (1.24):

	Rename set_page_labels to set_candidate_labels.

2004-06-07 10:20  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.h (1.20), scim_frontend.cpp (1.29), scim_frontend.h
	(1.26), scim_lookup_table.cpp (1.20), scim_lookup_table.h (1.20),
	scim_server.cpp (1.32), scim_server.h (1.31),
	scim_socket_transaction.cpp (1.23), scim_socket_transaction.h
	(1.24):

	Updating LookupTable interface. WIP.

2004-06-06 02:32  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.83),
	extras/panel/scim_panel_gtk.cpp (1.75), src/scim_attribute.h (1.3):

	Fixed some issue in using Attribute.

2004-06-06 02:04  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.82),
	extras/panel/scim_panel_gtk.cpp (1.74),
	modules/FrontEnd/scim_x11_frontend.cpp (1.117),
	src/scim_attribute.h (1.2), src/scim_socket_transaction.cpp (1.22),
	src/scim_socket_transaction.h (1.23):

	Extend Attribute to support foreground/background color.

2004-06-05 23:34  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.73),
	src/scim_socket_transaction.cpp (1.21):

	Rename set_tips to set_tip. It's not a typo.

2004-06-05 23:25  James Su <suzhe@tsinghua.org.cn>

	* src/scim_property.h (1.2):

	Rename set_tips to set_tip. It's not a typo.

2004-06-05 14:35  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.72), src/Makefile.am (1.29),
	src/scim.h (1.19), src/scim_attribute.h (1.1),
	src/scim_attributes.h (1.11), src/scim_properties.h (1.4),
	src/scim_property.h (1.1):

	Rename scim_attributes.h to scim_attribute.h.  Rename
	scim_properties.h to scim_property.h.

2004-06-05 11:56  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.71), src/scim_properties.h
	(1.3), tests/testpanel.cpp (1.6):

	Property API. Almost done.

2004-06-04 17:07  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.70):

	Property. Working in progress.

2004-06-04 14:40  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.69):

	Property API, working in progress.

2004-06-04 03:59  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.68), src/scim_properties.h
	(1.2), src/scim_socket_transaction.cpp (1.20), tests/testpanel.cpp
	(1.5):

	Property API, working in progress.

2004-05-28 14:26  James Su <suzhe@tsinghua.org.cn>

	* src/scim_properties.h (1.1):

	Add scim_properties.h

2004-05-28 14:22  James Su <suzhe@tsinghua.org.cn>

	* src/scim_panel.h (1.9):

	Add checkable option into Property.

2004-05-28 10:03  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.81):

	Implemented Property APIs.

2004-05-27 15:28  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_socket_frontend.cpp (1.22),
	scim_socket_frontend.h (1.14), scim_x11_frontend.cpp (1.116),
	scim_x11_frontend.h (1.31):

	Implemented Property APIs.

2004-05-27 10:19  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.h (1.18), scim_frontend.cpp (1.28), scim_frontend.h
	(1.25), scim_panel.h (1.8), scim_server.cpp (1.31), scim_server.h
	(1.30), scim_socket_transaction.cpp (1.19),
	scim_socket_transaction.h (1.22), scim_utility.h (1.23):

	Added Property and PropertyList interface.  Full width
	punctuation/letter APIs are obsoleted.	Status String are
	obsoleted.  (Working In Progress...)

2004-05-23 14:20  tag scim_before_implement_properties

2004-05-23 14:20  James Su <suzhe@tsinghua.org.cn>

	* docs/scim.cfg.in (1.9):

	Updated to doxygen 1.3.6

2004-05-23 14:17  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_socket.h (1.16), scim_socket_transaction.h (1.21):

	Updated doxygen comments.

2004-05-22 13:46  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_bind.h (1.8), scim_config_path.h (1.18):

	Use smart pointer in slot bind methods.

2004-05-22 08:52  James Su <suzhe@tsinghua.org.cn>

	* src/: ltdl.c (1.5), ltdl.h (1.2):

	Update ltdl.c ltdl.h to libtool 1.5.2

2004-05-21 16:03  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.67):

	Reload config if scim-setup returns none-zero.

2004-05-21 16:00  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.33):

	Updated restart hint message.

2004-05-21 15:18  James Su <suzhe@tsinghua.org.cn>

	* po/zh_CN.po (1.84), po/zh_TW.po (1.83), src/scim_connection.cpp
	(1.5), src/scim_connection.h (1.8), src/scim_signals.cpp (1.5),
	src/scim_signals.h (1.9):

	Use smart pointer in Connection and Signal class to hold SlotNode
	pointer.

2004-05-21 10:55  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.80):

	Delete server module before destroy config instance.

2004-05-19 10:45  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.38):

	Update ChangeLog

2004-05-19 08:55  James Su <suzhe@tsinghua.org.cn>

	* modules/: Config/scim_socket_config.cpp (1.14),
	Config/scim_socket_config.h (1.6),
	FrontEnd/scim_socket_frontend.cpp (1.21),
	FrontEnd/scim_x11_frontend.cpp (1.115):

	(All) Use new methods scim_socket_trans_open_connection () and
	scim_socket_trans_accept_connection () to establish socket
	connection.  (Server modules) Disconnect config reload signal
	connection when destroying the IM Server objects.  (Socket Config)
	Try to re-establish the connection if socket read/write failed.

2004-05-19 08:50  James Su <suzhe@tsinghua.org.cn>

	* extras/: gtk2_immodule/gtkimcontextscim.cpp (1.79),
	panel/scim_panel_gtk.cpp (1.66):

	Use new method scim_socket_trans_open_connection () and
	scim_socket_trans_accept_connection () to establish socket
	connection.

2004-05-19 08:36  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_private.cpp (1.3), scim_socket_transaction.cpp (1.18),
	scim_socket_transaction.h (1.20):

	Add scim_socket_trans_open_connection () and
	scim_socket_trans_accept_connection () to abstract the connection
	hand shake protocol.

2004-05-19 08:34  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_connection.cpp (1.4), scim_connection.h (1.7),
	scim_signals.cpp (1.4), scim_signals.h (1.8):

	Unreference the slot when disconnecting it.

2004-05-13 11:25  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.78),
	extras/panel/scim_panel_gtk.cpp (1.65),
	modules/FrontEnd/scim_x11_frontend.cpp (1.114):

	run scim-panel-gtk and scim-setup with right config module option.

2004-05-13 10:05  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_socket_frontend.cpp (1.20),
	scim_x11_frontend.cpp (1.113):

	Only connect the config reload signal when the config pointer is
	not null.

2004-05-13 09:19  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.77):

	Implemented configuration reload code.

2004-05-13 09:07  James Su <suzhe@tsinghua.org.cn>

	* src/scim.cpp (1.33):

	Don't unload any module when exit.

2004-05-13 09:03  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/: scim_gconf_config.cpp (1.17),
	scim_gconf_config.h (1.10), scim_simple_config.cpp (1.28),
	scim_simple_config.h (1.16):

	Fire the reload signal not only when the config file has been
	changed by other app, but also when there is any key changed within
	itself.

2004-05-13 08:54  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_socket_frontend.cpp (1.19),
	scim_socket_frontend.h (1.13), scim_x11_frontend.cpp (1.112),
	scim_x11_frontend.h (1.30):

	Implemented configuration reload code.

2004-05-13 06:11  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.64):

	Implemented the reload configuration code.

2004-05-13 06:10  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/: scim_gconf_config.cpp (1.16),
	scim_gconf_config.h (1.9), scim_simple_config.cpp (1.27):

	flush only when modification took place.

2004-05-13 06:07  James Su <suzhe@tsinghua.org.cn>

	* src/scim_config_base.h (1.18):

	Pass ConfigPointer reference instead of ConfigBase * in config
	reload signal call.

2004-05-10 12:55  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_socket_config.cpp (1.13):

	The reply from Socket FrontEnd contains a REPLY command.

2004-05-10 12:34  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_socket_config.cpp (scim_0_9.1):

	Transaction from socket frontend contains a reply command.

2004-05-10 08:46  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog, extras/panel/scim_panel_gtk.cpp,
	modules/FrontEnd/scim_x11_frontend.cpp, po/zh_CN.po, po/zh_TW.po,
	src/scim_socket.cpp (scim_0_9.[1,2,1,2,2,1]):

	Workaround for gcc 3.4 compilation issue.

2004-05-10 08:24  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.37), extras/panel/scim_panel_gtk.cpp (1.63),
	extras/setup/scim_setup.cpp (1.12), extras/setup/scim_setup_ui.cpp
	(1.32), extras/setup/scim_setup_ui.h (1.16),
	modules/Config/scim_gconf_config.cpp (1.15),
	modules/Config/scim_gconf_config.h (1.8),
	modules/Config/scim_simple_config.cpp (1.26),
	modules/Config/scim_simple_config.h (1.15),
	modules/Config/scim_socket_config.cpp (1.12),
	modules/Config/scim_socket_config.h (1.5),
	modules/FrontEnd/scim_socket_frontend.cpp (1.18),
	src/scim_config_base.h (1.17), src/scim_config_path.h (1.17):

	More config reload implementation.  Fixed vector<String>,
	vector<int> load and save of GConf config module.

2004-05-10 00:49  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (scim_0_9.1):

	Updated the homepage url.

2004-05-10 00:44  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (1.17):

	Updated the homepage url.

2004-05-09 08:23  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.76),
	modules/FrontEnd/scim_x11_frontend.cpp (1.111):

	Added code to handle RELOAD_CONFIG socket command.

2004-05-09 08:10  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.62):

	Uses gtk_image_menu_item to draw menu items.  Added Reload
	Configuration command into the command menu.

2004-05-08 08:17  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_gconf_config.cpp (1.14),
	modules/Config/scim_simple_config.cpp (1.25),
	modules/Config/scim_socket_config.cpp (1.11),
	src/scim_config_base.cpp (1.15), src/scim_config_base.h (1.16):

	Added reload signal to config interface, which can inform the other
	objects connecting to this signal to reload the configurations.

2004-05-08 06:23  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_socket_frontend.cpp (1.17),
	modules/FrontEnd/scim_socket_frontend.h (1.12),
	modules/FrontEnd/scim_x11_frontend.cpp (1.110),
	src/scim_config_base.cpp (1.14), src/scim_config_base.h (1.15),
	src/scim_socket_transaction.h (1.19),
	modules/Config/scim_gconf_config.cpp (1.13),
	modules/Config/scim_simple_config.cpp (1.24),
	modules/Config/scim_gconf_config.h (1.7),
	modules/Config/scim_simple_config.h (1.14),
	modules/Config/scim_socket_config.cpp (1.10),
	modules/Config/scim_socket_config.h (1.4):

	Added reload () method into config interface.

2004-05-07 20:32  LiuCougar <liuspider@users.sourceforge.net>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.109):

	do not send SCIM_TRANS_CMD_PANEL_UPDATE_SPOT_LOCATION if the
	position is the same as before

2004-05-07 02:07  tag scim_0_9_7

2004-05-07 02:07  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, mkchlog (scim_0_9.[2,1]):

	Release 0.9.7

2004-05-07 02:04  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (scim_0_9.2):

	Changed the gtkimmodule path to @GTKLIBDIR@/gtk-2.0/immodules/

2004-05-06 16:33  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.36), extras/setup/scim_setup_ui.cpp (1.31),
	extras/setup/scim_setup_ui.h (1.15):

	New method to load and save server list config.  And rewrite
	server_list_recalculate_insistent function, also renamed it to
	server_list_update_inconsistent.

2004-05-06 03:42  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.35), ChangeLog.old (1.2), mkchlog (1.4):

	Updated mkchlog and regenerated ChangeLog.

2004-05-06 03:14  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.61),
	modules/FrontEnd/scim_x11_frontend.cpp (1.108):

	More fix of the gcc 3.4 compilation issue.

2004-05-05 16:26  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.60):

	Settle the toolbar window after adding/deleting GUI client
	commands.

2004-05-05 14:53  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.27):

	Try to solve the gcc 3.4 compilation issue.

2004-05-05 14:21  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.34), extras/panel/scim_panel_gtk.cpp (1.59),
	src/scim_socket.cpp (1.26):

	Fixed the void pointer inc issue.

2004-05-05 03:42  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.33), ChangeLog.old (1.1),
	extras/panel/scim_panel_gtk.cpp (1.58), tests/testpanel.cpp (1.4):

	Fixed the icon loading issue. Added GUI Client commands into the
	command menu.

2004-05-04 16:16  James Su <suzhe@tsinghua.org.cn>

	* configure.ac, scim.spec.in, extras/gtk2_immodule/Makefile.am
	(scim_0_9.[1,1,1]):

	Fixed the gtkimmodule install path issue.

2004-05-04 14:57  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.88), scim.spec.in (1.55),
	extras/gtk2_immodule/Makefile.am (1.18):

	Fixed the gtkimmodule install path issue.

2004-05-04 12:31  LiuCougar <liuspider@users.sourceforge.net>

	* extras/setup/: scim_setup_ui.cpp (1.30), scim_setup_ui.h (1.14):

	make the checkbox conresponding with a group work

2004-05-04 03:53  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.56), src/scim_panel.h (1.6),
	tests/testpanel.cpp (1.2):

	Implemented GUI_ADD_COMMAND, GUI_DEL_COMMAND, GUI_UPDATE_COMMAND.

2004-05-03 21:50  LiuCougar <liuspider@users.sourceforge.net>

	* extras/setup/scim_setup_ui.cpp (1.29):

	fixed bugs: disabled server list can not be saved and loaded

2004-05-03 04:40  James Su <suzhe@tsinghua.org.cn>

	* src/scim_frontend.cpp (1.27):

	Fixed an initialization bug in Socket Server.

2004-05-02 06:11  James Su <suzhe@tsinghua.org.cn>

	* scim.pc.in (1.14):

	Added SCIM_BINARY_VERSION into scim.pc.in

2004-05-02 05:15  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.74),
	extras/panel/scim_panel_gtk.cpp (1.54),
	modules/Config/scim_socket_config.cpp (1.9),
	modules/FrontEnd/scim_socket_frontend.cpp (1.16),
	modules/FrontEnd/scim_socket_frontend.h (1.11),
	modules/FrontEnd/scim_x11_frontend.cpp (1.106), src/scim_panel.h
	(1.4):

	Unified the protocol of SocketFrontEnd and Panel.

2004-05-01 16:36  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.73),
	modules/FrontEnd/scim_x11_frontend.cpp (1.105):

	Enhanced the panel communication protocol.

2004-05-01 16:06  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.53),
	modules/FrontEnd/scim_socket_frontend.cpp (1.15),
	modules/FrontEnd/scim_x11_frontend.cpp (1.104),
	modules/FrontEnd/scim_x11_frontend.h (1.29):

	WIP.

2004-05-01 13:31  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.72),
	extras/panel/scim_panel_gtk.cpp (1.52), extras/setup/scim_setup.cpp
	(1.11), src/Makefile.am (1.28), src/scim.cpp (1.32),
	src/scim_config_agent.cpp (1.3), src/scim_private.cpp (1.2),
	src/scim_private.h (1.9), tests/Makefile.am (1.3):

	Fixed the libintl detection issue and the textdomain binding issue.

2004-05-01 13:23  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp,
	extras/panel/scim_panel_gtk.cpp, extras/setup/scim_setup.cpp,
	src/Makefile.am, src/scim.cpp, src/scim_config_agent.cpp,
	src/scim_private.cpp, src/scim_private.h, tests/Makefile.am
	(scim_0_9.[1,1,1,1,1,1,1,1,1]):

	Fixed the libintl detection issue and the textdomain binding issue.

2004-04-30 14:58  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_socket_frontend.cpp (1.14),
	scim_socket_frontend.h (1.10):

	WIP.

2004-04-30 14:46  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.51):

	WIP.

2004-04-29 13:41  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_socket_config.cpp (1.7),
	modules/FrontEnd/scim_socket_frontend.cpp (1.12), src/scim_panel.h
	(1.2):

	Add version check in socket frontend/server communication protocol.

2004-04-29 06:27  James Su <suzhe@tsinghua.org.cn>

	* README (scim_0_9.1), README (1.9):

	Change the email address in README.

2004-04-29 05:59  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.27), po/zh_CN.po
	(1.83), po/zh_TW.po (1.82):

	Add language info in table server setup module.

2004-04-28 15:59  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.87):

	bump the version to 0.99.0

2004-04-28 15:56  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.71),
	extras/panel/scim_panel_gtk.cpp (1.50),
	extras/setup/scim_setup_ui.cpp (1.28),
	modules/FrontEnd/scim_x11_frontend.cpp (1.103), src/scim_server.cpp
	(1.30), src/scim_utility.cpp (1.26), src/scim_utility.h (1.21):

	language group is now working.

2004-04-25 14:09  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_socket_frontend.cpp (1.11),
	modules/FrontEnd/scim_socket_frontend.h (1.9),
	modules/FrontEnd/scim_x11_frontend.cpp (1.101), po/zh_CN.po (1.81),
	po/zh_TW.po (1.80), src/scim_frontend.cpp (1.26),
	src/scim_frontend.h (1.24), src/scim_socket_transaction.h (1.17),
	src/scim_utility.cpp (1.22), src/scim_utility.h (1.19):

	Language menu WIP.

2004-04-23 12:30  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_server.cpp (1.26), scim_server.h (1.28):

	Added get_language () into ServerFactory interface.

2004-04-22 10:19  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.86), scim.spec.in (1.54), src/scim_utility.h
	(1.18):

	scim 0.9.6

2004-04-22 09:37  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (1.16):

	Don't store configs into locale and encoding specific config files.

2004-04-22 07:55  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/: scim_simple_config.cpp (1.23),
	scim_simple_config.h (1.13):

	Don't store configs into locale and encoding specific config files.

2004-04-22 02:38  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/: scim_setup_ui.cpp (1.24), scim_setup_ui.h (1.12):

	Added --config option to select the default config module.

2004-04-22 00:21  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.68),
	modules/FrontEnd/scim_x11_frontend.cpp (1.100), po/zh_CN.po (1.80),
	po/zh_TW.po (1.79):

	Focus out the server instance when the input method is turned off
	by user.

2004-04-18 22:05  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.85):

	typo

2004-04-18 09:45  tag scim_0_9_5

2004-04-18 09:45  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.84), docs/manual/zh_CN/user-manual.xml (1.15),
	po/zh_CN.po (1.79), po/zh_TW.po (1.78):

	Ready for 0.9.5

2004-04-18 07:01  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.26), po/zh_CN.po
	(1.78), po/zh_TW.po (1.77):

	Added DEF_FULL_WIDTH_PUNCT and DEF_FULL_WIDTH_LETTER options into
	generic table.

2004-04-13 16:06  LiuCougar <liuspider@users.sourceforge.net>

	* scim.pc.in (1.13):

	typo fixed

2004-04-13 02:54  tag scim_0_9_4

2004-04-13 02:54  James Su <suzhe@tsinghua.org.cn>

	* po/quot.sed (1.1):

	Update gettext and intltool.

2004-04-13 02:48  James Su <suzhe@tsinghua.org.cn>

	* .cvsignore (1.3), ABOUT-NLS (1.2), ChangeLog (1.32), Makefile.am
	(1.14), bootstrap (1.6), config.rpath (1.1), configure.ac (1.82),
	mkinstalldirs (1.1), extras/panel/Makefile.am (1.9),
	extras/setup/Makefile.am (1.5), intl/ChangeLog (1.2),
	intl/Makefile.in (1.2), intl/VERSION (1.2), intl/bindtextdom.c
	(1.2), intl/config.charset (1.2), intl/dcgettext.c (1.2),
	intl/dcigettext.c (1.2), intl/dcngettext.c (1.2), intl/dgettext.c
	(1.2), intl/dngettext.c (1.2), intl/eval-plural.h (1.1),
	intl/gettext.c (1.2), intl/gettextP.h (1.2), intl/gmo.h (1.1),
	intl/hash-string.h (1.2), intl/intl-compat.c (1.2),
	intl/l10nflist.c (1.2), intl/libgnuintl.h (1.2), intl/loadinfo.h
	(1.2), intl/loadmsgcat.c (1.2), intl/localcharset.c (1.2),
	intl/localealias.c (1.2), intl/localename.c (1.1), intl/ngettext.c
	(1.2), intl/os2compat.c (1.1), intl/os2compat.h (1.1), intl/osdep.c
	(1.1), intl/plural-exp.c (1.1), intl/plural-exp.h (1.1),
	intl/plural.c (1.2), intl/plural.y (1.2), intl/textdomain.c (1.2),
	m4/.cvsignore (1.1), m4/ChangeLog (1.1), m4/Makefile.am (1.1),
	m4/codeset.m4 (1.1), m4/gettext.m4 (1.1), m4/glibc21.m4 (1.1),
	m4/iconv.m4 (1.1), m4/intdiv0.m4 (1.1), m4/inttypes-pri.m4 (1.1),
	m4/inttypes.m4 (1.1), m4/inttypes_h.m4 (1.1), m4/isc-posix.m4
	(1.1), m4/lcmessage.m4 (1.1), m4/lib-ld.m4 (1.1), m4/lib-link.m4
	(1.1), m4/lib-prefix.m4 (1.1), m4/progtest.m4 (1.1), m4/stdint_h.m4
	(1.1), m4/uintmax_t.m4 (1.1), m4/ulonglong.m4 (1.1),
	modules/Config/Makefile.am (1.10), modules/FrontEnd/Makefile.am
	(1.27), modules/SetupUI/Makefile.am (1.5), po/.cvsignore (1.2),
	po/ChangeLog (1.2), po/Makefile.in.in (1.5), po/Makevars (1.1),
	po/Rules-quot (1.1), po/boldquot.sed (1.1), po/en@boldquot.header
	(1.1), po/en@quot.header (1.1), po/insert-header.sin (1.1),
	po/mkzhtw.sh (1.2), po/remove-potcdate.sin (1.1), po/scim.pot
	(1.68), src/.cvsignore (1.2), src/Makefile.am (1.27),
	src/scim_private.h (1.8), utils/Makefile.am (1.6):

	Update gettext and intltool.

2004-04-12 21:46  LiuCougar <liuspider@users.sourceforge.net>

	* modules/Config/scim_socket_config.cpp (1.6):

	SCIM_TRANS_CMD_GET_CONFIG_VECTOR_STRING should be
	SCIM_TRANS_CMD_GET_CONFIG_VECTOR_INT

2004-04-11 10:53  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.24):

	Added always_show_lookup option into generic table.

2004-04-10 13:05  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.20):

	Added Auto Fill option into setup ui.

2004-04-07 15:29  James Su <suzhe@tsinghua.org.cn>

	* src/scim_panel.h (1.1):

	Move scim_panel.h to src/

2004-04-07 15:20  James Su <suzhe@tsinghua.org.cn>

	* bootstrap (1.5), configure.ac (1.81),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.66),
	extras/panel/Makefile.am (1.8), extras/panel/scim_panel.h (1.8),
	extras/panel/scim_panel_gtk.cpp (1.47),
	modules/FrontEnd/scim_x11_frontend.cpp (1.98),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.7), src/Makefile.am
	(1.26), src/scim.h (1.17):

	Move scim_panel.h to src/

2004-04-03 15:15  LiuCougar <liuspider@users.sourceforge.net>

	* configure.ac (1.79):

	X11 FrontEnd no longer depends on GTK2

2004-04-01 06:01  James Su <suzhe@tsinghua.org.cn>

	* src/scim.cpp (1.31):

	Fixed bug in setting Supported Unicode Locales.

2004-03-29 18:01  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.4), configure.ac (1.78),
	extras/setup/scim_setup_ui.cpp (1.22),
	modules/FrontEnd/scim_x11_frontend.cpp (1.97):

	Change the email to suzhe@tsinghua.org.cn

2004-03-20 12:41  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.77), scim.spec.in (1.52):

	Fixed the gtk version issue.

2004-03-15 03:35  tag scim_0_9_3

2004-03-15 03:35  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.76), scim.spec.in (1.51):

	scim 0.9.3

2004-03-15 02:18  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/: user-manual.xml (1.14), figures/Makefile.am
	(1.2), figures/scim-setup-frontend-x11.png (1.2),
	figures/scim-setup-panel-gtk.png (1.2),
	figures/scim-setup-servers.png (1.1), figures/scim-setup-splash.png
	(1.2):

	Updated user manual for 0.9.3.

2004-03-14 00:32  James Su <suzhe@tsinghua.org.cn>

	* po/: scim.pot (1.67), zh_CN.po (1.74), zh_TW.po (1.73):

	Update zh_TW.po

2004-03-12 08:18  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.20),
	extras/setup/scim_setup_ui.h (1.11), po/scim.pot (1.66),
	po/zh_CN.po (1.73), po/zh_TW.po (1.72):

	Added server list view.

2004-03-11 07:55  James Su <suzhe@tsinghua.org.cn>

	* utils/scimstringview.c (1.2), configure.ac (1.75):

	Added support for gtk+-2.4

2004-03-09 09:38  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.74), scim.spec.in (1.50),
	docs/manual/zh_CN/user-manual.xml (1.13), po/scim.pot (1.65),
	po/zh_CN.po (1.72), po/zh_TW.po (1.71):

	bump to 0.9.3

2004-03-08 04:21  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.3), modules/SetupUI/scim_panel_gtk_setup.cpp (1.6),
	modules/SetupUI/scim_socket_frontend_setup.cpp (1.3),
	modules/SetupUI/scim_socket_server_setup.cpp (1.4),
	modules/SetupUI/scim_x11_frontend_setup.cpp (1.6), po/scim.pot
	(1.64), po/zh_CN.po (1.71), po/zh_TW.po (1.70):

	Changed some strings in setup modules.

2004-03-06 15:48  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.cpp (1.30), scim_config_path.h (1.16),
	scim_server_module.cpp (1.14), scim_server_module.h (1.14):

	Added disable server factory ability.

2004-03-06 14:46  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_simple_config.cpp (1.22):

	Fixed reading double and int-list issue.

2004-03-04 10:19  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.49):

	Added scim-config-agent.

2004-03-04 05:53  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.65),
	extras/panel/scim_panel_gtk.cpp (1.46),
	modules/FrontEnd/scim_x11_frontend.cpp (1.96):

	Fixed the panel daemon restart behaviour of gtk2 immodule and x11
	frontend.

2004-03-02 09:07  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_gconf_config.cpp (1.12),
	modules/Config/scim_simple_config.cpp (1.20),
	modules/Config/scim_simple_config.h (1.11), po/scim.pot (1.63),
	po/zh_CN.po (1.70), po/zh_TW.po (1.69), src/scim_config_agent.cpp
	(1.2):

	Fixed a bug in simple config module.

2004-03-01 09:41  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.25), scim.cpp (1.29), scim_config_agent.cpp
	(1.1), scim_config_base.h (1.14):

	Added a utility to get/set configuration at command line.

2004-03-01 03:47  James Su <suzhe@tsinghua.org.cn>

	* src/scim_lookup_table.h (1.19):

	Update the API docs.

2004-02-27 14:47  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.45):

	Fixed some control reaches end of non void function issues.

2004-02-27 08:25  tag scim_0_9_2

2004-02-27 08:25  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.73):

	0.9.2

2004-02-27 04:09  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.17):

	Updated the table setup module according to the new table server
	module.

2004-02-25 23:38  James Su <suzhe@tsinghua.org.cn>

	* src/scim_module.cpp (1.21):

	Work around for gcc 2.95.x.

2004-02-20 09:07  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.15), po/scim.pot
	(1.61), po/zh_CN.po (1.68), po/zh_TW.po (1.67):

	* Fixed a crash in table module * Added AUTO_COMMIT, AUTO_SPLIT
	options in table format.

2004-02-16 06:32  tag scim_0_9_1

2004-02-16 06:32  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.72):

	Bump to 0.9.1

2004-02-16 06:22  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (1.11):

	Updated the SCIM version.

2004-02-16 06:17  James Su <suzhe@tsinghua.org.cn>

	* po/: scim.pot (1.60), zh_CN.po (1.67), zh_TW.po (1.66):

	Updated po files.

2004-02-16 05:15  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_iconv.h (1.14), scim_lookup_table.h (1.18):

	Updated the API reference.

2004-02-12 09:40  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_event.h (1.15), scim_frontend.h (1.23),
	scim_frontend_module.h (1.12), scim_iconv.h (1.13), scim_server.h
	(1.27), scim_server_module.h (1.13):

	Updated the API references.

2004-02-10 08:10  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.13):

	All features of the new table setup module were implemented.

2004-02-09 09:44  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.12):

	New table setup module WIP.

2004-02-06 07:53  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.h (1.16), scim_attributes.h (1.10), scim_backend.h
	(1.13), scim_bind.h (1.7), scim_config_base.h (1.13),
	scim_config_module.h (1.12), scim_config_path.h (1.14),
	scim_connection.h (1.6), scim_debug.h (1.12), scim_event.h (1.14),
	scim_exception.h (1.7), scim_frontend.h (1.22),
	scim_frontend_module.h (1.11), scim_iconv.h (1.12),
	scim_lookup_table.h (1.17), scim_module.h (1.16), scim_object.h
	(1.6), scim_pointer.h (1.8), scim_private.h (1.7), scim_server.h
	(1.26), scim_server_module.h (1.12), scim_signals.h (1.7),
	scim_slot.h (1.6), scim_socket.h (1.15), scim_socket_transaction.h
	(1.16), scim_utility.h (1.17):

	Added copyright msgs.

2004-02-06 07:50  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/: Makefile.am (1.4), scim_table_server_setup.cpp
	(1.11):

	New table setup module WIP.

2004-02-05 09:32  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/: Makefile.am (1.3), scim_table_server_setup.cpp
	(1.10):

	Table Management WIP.

2004-02-05 07:57  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.19):

	Fixed a memory leak.

2004-02-05 03:54  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/scim_setup_ui.cpp (1.18):

	Fixed some memory leaks.

2004-02-02 09:56  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.9):

	Add UserPhraseFirst option.

2004-01-30 08:48  tag scim_0_9_0

2004-01-30 08:48  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.8):

	Changed the default add/delete phrase keys. Fixed a bug in adding
	new phrase.

2004-01-30 07:40  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_simple_config.h (1.10), po/scim.pot (1.57),
	po/zh_CN.po (1.64), po/zh_TW.po (1.63), src/scim_iconv.h (1.11):

	Updated po files.

2004-01-30 06:59  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.7):

	update to new table module.

2004-01-29 08:24  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.6):

	Revert the changes made by liuspider (continue).

2004-01-29 08:11  James Su <suzhe@tsinghua.org.cn>

	* po/Makefile.in.in (1.4):

	Revert the changes made by Liuspider.

2004-01-28 04:19  LiuCougar <liuspider@users.sourceforge.net>

	* modules/SetupUI/scim_table_server_setup.cpp (1.5):

	add AutoCommit support into table server

2004-01-27 02:36  LiuCougar <liuspider@users.sourceforge.net>

	* po/Makefile.in.in (1.3):

	correct value of mkinstalldirs

2004-01-20 00:03  LiuCougar <liuspider@users.sourceforge.net>

	* .cvsignore (1.1), config.h.in (1.29):

	Remove some useless files Add .cvsignore

2004-01-14 09:31  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.25):

	Fix the socket file permission issue.

2004-01-08 10:30  James Su <suzhe@tsinghua.org.cn>

	* po/: zh_CN.po (1.62), zh_TW.po (1.61):

	Updated zh_TW.po.

2003-12-31 05:09  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.64),
	modules/FrontEnd/scim_socket_frontend.cpp (1.10),
	modules/FrontEnd/scim_socket_frontend.h (1.8),
	modules/FrontEnd/scim_x11_frontend.cpp (1.95),
	modules/FrontEnd/scim_x11_frontend.h (1.28), src/scim.cpp (1.28),
	src/scim_attributes.h (1.9), src/scim_bind.h (1.6),
	src/scim_config_base.cpp (1.13), src/scim_config_base.h (1.12),
	src/scim_config_module.h (1.11), src/scim_config_path.h (1.13),
	src/scim_connection.h (1.5), src/scim_event.h (1.13),
	src/scim_exception.h (1.6), src/scim_frontend.cpp (1.25),
	src/scim_frontend.h (1.21), src/scim_frontend_module.h (1.10),
	src/scim_iconv.h (1.10), src/scim_lookup_table.h (1.16),
	src/scim_module.h (1.15), src/scim_object.h (1.5),
	src/scim_pointer.h (1.7), src/scim_server.cpp (1.25),
	src/scim_server.h (1.25), src/scim_server_module.h (1.11),
	src/scim_signals.h (1.6), src/scim_slot.h (1.5), src/scim_socket.h
	(1.14), src/scim_socket_transaction.cpp (1.17),
	src/scim_socket_transaction.h (1.15), src/scim_utility.h (1.15):

	Updated the doxygen documentation.  Changed forward_keypress to
	forward_keyevent in Server and FrontEnd.

2003-12-29 04:54  uid67192

	* config.h.in (1.28), configure.ac (1.71), configs/scim.schemas
	(1.23), po/scim.pot (1.55), po/zh_CN.po (1.61), po/zh_TW.po (1.60),
	src/Makefile.am (1.24), src/scim_types.h (1.10),
	src/scim_types.h.in (1.1):

	Use configure script to generate scim_types.h.

2003-12-26 09:41  uid67192

	* src/scim_exception.h (1.5):

	Updated scim_exception.h

2003-12-26 09:35  uid67192

	* src/scim_event.h (1.12):

	Updated the doxygen comments of scim_event.h

2003-12-26 08:15  uid67192

	* docs/scim.cfg.in (1.8), src/scim_config_module.h (1.10),
	src/scim_config_path.h (1.12), src/scim_debug.h (1.11):

	Updated the doxygen comments of scim_debug.h.

2003-12-26 04:40  uid67192

	* modules/Config/scim_gconf_config.cpp (1.11),
	modules/Config/scim_gconf_config.h (1.6),
	modules/Config/scim_simple_config.cpp (1.19),
	modules/Config/scim_simple_config.h (1.9),
	modules/Config/scim_socket_config.cpp (1.5),
	modules/Config/scim_socket_config.h (1.3), src/scim_config_base.cpp
	(1.12), src/scim_config_base.h (1.11):

	Simplfied the scim::ConfigBase interface.

2003-12-24 09:51  uid67192

	* src/: scim_attributes.h (1.8), scim_backend.h (1.12),
	scim_config_base.cpp (1.11), scim_config_base.h (1.10):

	Updated the doxygen comments.

2003-12-24 08:17  uid67192

	* src/: scim_attributes.h (1.7), scim_backend.cpp (1.14),
	scim_backend.h (1.11), scim_bind.h (1.5), scim_chartraits.cpp
	(1.6):

	Updated the doxygen comments of scim_attributes.h and
	scim_backend.h

2003-12-24 06:10  uid67192

	* config.h.in (1.27), configure.ac (1.70), docs/scim.cfg.in (1.7),
	src/scim_attributes.h (1.6):

	* Bump version to 0.9.0 * Change the interface of scim::Attribute.
	* Fixed a bug in scim_generic_table.cpp

2003-11-24 06:49  James Su <suzhe@tsinghua.org.cn>

	* src/scim_types.h (1.9):

	Added uint64 define

2003-11-21 02:06  James Su <suzhe@tsinghua.org.cn>

	* configs/: config (1.26), scim.schemas (1.22):

	Added entries /FrontEnd/X11/PanelProgram and
	/GtkIMModule/PanelProgram.

2003-11-20 04:45  James Su <suzhe@tsinghua.org.cn>

	* configs/: config (1.25), scim.schemas (1.21):

	Added /Server/Table/ShowKeyHint entry

2003-11-19 02:13  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.cpp (1.26), scim.h (1.14), scim_config_module.cpp
	(1.12), scim_frontend_module.cpp (1.11), scim_server_module.cpp
	(1.13), scim_socket_transaction.cpp (1.16):

	Make scim.cpp exception safe

2003-11-15 09:11  James Su <suzhe@tsinghua.org.cn>

	* config.h.in (1.26), src/scim_attributes.h (1.5),
	src/scim_backend.h (1.10), src/scim_bind.h (1.4),
	src/scim_config_base.h (1.9), src/scim_config_module.h (1.9),
	src/scim_config_path.h (1.11), src/scim_connection.h (1.4),
	src/scim_debug.h (1.10), src/scim_event.h (1.11),
	src/scim_exception.h (1.4), src/scim_frontend.h (1.20),
	src/scim_frontend_module.h (1.9), src/scim_iconv.cpp (1.15),
	src/scim_iconv.h (1.9), src/scim_lookup_table.cpp (1.19),
	src/scim_lookup_table.h (1.15), src/scim_module.cpp (1.19),
	src/scim_module.h (1.14), src/scim_object.h (1.4),
	src/scim_pointer.h (1.6), src/scim_private.h (1.6),
	src/scim_server.h (1.24), src/scim_server_module.h (1.10),
	src/scim_signals.h (1.5), src/scim_slot.h (1.4),
	src/scim_socket.cpp (1.24), src/scim_socket.h (1.13),
	src/scim_socket_transaction.cpp (1.15),
	src/scim_socket_transaction.h (1.14), src/scim_types.h (1.8),
	src/scim_utility.h (1.14), tests/Makefile.am (1.2),
	tests/testiconvert.cpp (1.1), tests/testsocketclient.cpp (1.2):

	Refactory to hide the class implementation details.

2003-11-13 09:49  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.13), configure.ac (1.69), src/scim_socket.cpp
	(1.22), src/scim_socket.h (1.12), tests/Makefile.am (1.1),
	tests/testsocketclient.cpp (1.1), tests/testsocketserver.cpp (1.1):

	Added tests directory to hold all testing programs.  Added two
	testing programs of the Socket Interfaces.  More work done for the
	Exceptional Safety of libscim.

2003-11-12 02:03  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.21):

	WIP: Refactorying the code to meet the exception safety
	requirement. (More)

2003-11-10 09:37  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_iconv.cpp (1.14), scim_lookup_table.h (1.14),
	scim_module.cpp (1.18), scim_module.h (1.13), scim_socket.cpp
	(1.20), scim_socket.h (1.11), scim_utility.cpp (1.20):

	WIP: Refactorying the code to meet the exception safety
	requirement.

2003-10-30 09:09  tag scim_0_8_2

2003-10-30 09:09  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.68), scim.spec.in (1.48), docs/Makefile.am (1.5),
	docs/manual/zh_CN/Makefile.am (1.1),
	docs/manual/zh_CN/user-manual.xml (1.9),
	docs/manual/zh_CN/figures/Makefile.am (1.1), po/scim.pot (1.54),
	po/zh_CN.po (1.60), po/zh_TW.po (1.59):

	Ready for 0.8.2

2003-10-27 09:34  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (1.6):

	Updated the user-manual.xml

2003-10-27 08:46  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/figures/: scim-setup-frontend-x11.png (1.1),
	scim-setup-panel-gtk.png (1.1), scim-setup-splash.png (1.1):

	Added some figures of scim-setup

2003-10-22 09:18  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.44):

	Fixed a bug in scim-panel-gtk:socket_update_lookup_table

2003-10-22 08:06  James Su <suzhe@tsinghua.org.cn>

	* src/scim_lookup_table.cpp (1.18):

	Fixed a bug in LookupTable::page_up.

2003-10-17 09:29  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.cpp (1.19):

	Improved scim_get_user_name to return a string contains the current
	UID, if no user name can be found.

2003-09-10 03:43  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.19):

	Fixed a bug which fail to delete the broken socket file correctly.

2003-09-08 04:38  James Su <suzhe@tsinghua.org.cn>

	* docs/manual/zh_CN/user-manual.xml (1.1):

	Initial import user-manual.xml

2003-09-08 03:07  James Su <suzhe@tsinghua.org.cn>

	* po/scim.pot (1.53), po/zh_CN.po (1.59), po/zh_TW.po (1.58),
	src/scim_socket.cpp (1.18), src/scim_utility.cpp (1.18),
	src/scim_utility.h (1.13):

	* Add utility function scim_get_user_name (); * Append the current
	user name to the local socket address,	 to avoid different users
	use the same socket.

2003-09-05 03:13  tag scim_0_8_1

2003-09-05 03:13  James Su <suzhe@tsinghua.org.cn>

	* po/: mkzhtw.sh (1.1), zh_CN.po (1.58), zh_TW.po (1.57):

	Added a small script to generate zh_TW.po from zh_CN.po.  Little
	message translation update.

2003-09-05 02:23  James Su <suzhe@tsinghua.org.cn>

	* po/: zh_CN.po (1.57), zh_TW.po (1.56):

	Update a message translation.

2003-09-04 08:47  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.67):

	0.8.1

2003-09-04 08:42  James Su <suzhe@tsinghua.org.cn>

	* modules/SetupUI/scim_table_server_setup.cpp (1.4), po/scim.pot
	(1.52), po/zh_CN.po (1.56), po/zh_TW.po (1.55):

	Generic Table Server Module:   Added a feature to show key hint on
	the lookup table.

2003-09-04 07:18  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.42):


	Fix the bug which tray icon is destroyed and can not restart when
	notification area exits.

2003-09-03 05:45  tag scim_0_8_0

2003-09-03 05:45  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.47), po/scim.pot (1.51), po/zh_CN.po (1.55),
	po/zh_TW.po (1.54):

	Cleanup the spec file, merge the suite into the main package.

2003-09-03 02:58  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.41), po/scim.pot (1.50),
	po/zh_CN.po (1.54), po/zh_TW.po (1.53):

	Show correct "Stick/Unstick Windows" command menu item.

2003-09-03 02:02  James Su <suzhe@tsinghua.org.cn>

	* extras/panel/scim_panel_gtk.cpp (1.40),
	modules/SetupUI/scim_panel_gtk_setup.cpp (1.5), po/scim.pot (1.49),
	po/zh_CN.po (1.53), po/zh_TW.po (1.52):

	Ready to release 0.8.0

2003-09-02 10:13  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.66), scim.pc.in (1.11), scim.spec.in (1.46),
	data/icons/Makefile.am (1.11), data/icons/rawcode.png (1.2),
	data/icons/table.png (1.2), extras/panel/scim_panel_gtk.cpp (1.39),
	po/scim.pot (1.48), po/zh_CN.po (1.52), po/zh_TW.po (1.51):

	Prepare for 0.8.0

2003-08-19 07:52  James Su <suzhe@tsinghua.org.cn>

	* data/icons/: Makefile.am (1.5), keyboard.png (1.1):

	added keyboard.png

2003-08-03 14:52  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.84):

	Fixed a bug in x11 frontend.

2003-07-31 10:25  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.cpp (1.23), scim.h (1.12), scim_attributes.h (1.4),
	scim_backend.cpp (1.12), scim_backend.h (1.8), scim_bind.h (1.3),
	scim_config_base.h (1.8), scim_config_module.h (1.8),
	scim_config_path.h (1.8), scim_connection.h (1.3), scim_debug.h
	(1.8), scim_event.h (1.10), scim_exception.h (1.3),
	scim_frontend.cpp (1.22), scim_frontend.h (1.17),
	scim_frontend_module.h (1.8), scim_iconv.h (1.8),
	scim_lookup_table.h (1.13), scim_module.h (1.12), scim_object.h
	(1.3), scim_pointer.h (1.5), scim_private.h (1.5), scim_server.cpp
	(1.19), scim_server.h (1.20), scim_server_module.cpp (1.12),
	scim_server_module.h (1.9), scim_signals.h (1.4), scim_slot.h
	(1.3), scim_socket.h (1.10), scim_socket_transaction.h (1.11),
	scim_types.h (1.7), scim_utility.h (1.10):

	Replace all tab with spaces

2003-07-31 04:04  tag scim_0_6_1

2003-07-31 04:04  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.64), docs/tutorial/tutorial-zh_CN.sgml (1.3),
	extras/panel/scim_panel_gtk.cpp (1.12), po/scim.pot (1.42),
	po/zh_CN.po (1.46), po/zh_TW.po (1.45):

	Ready to release 0.6.1

2003-07-30 07:49  James Su <suzhe@tsinghua.org.cn>

	* docs/tutorial/tutorial-zh_CN.sgml (1.1):

	Added tutorial-zh_CN.sgml

2003-07-30 07:00  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.16):

	Fixed the bug of the broken socket file.

2003-07-29 06:25  tag scim_0_6_0

2003-07-29 06:25  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.63), scim.spec.in (1.43), po/POTFILES.in (1.8),
	po/scim.pot (1.40), po/zh_CN.po (1.44), po/zh_TW.po (1.43):

	Ready for 0.6.0

2003-07-28 08:41  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.79):

	New X11 FrontEnd is almost done.

2003-07-28 05:53  James Su <suzhe@tsinghua.org.cn>

	* modules/: FrontEnd/Makefile.am (1.24),
	FrontEnd/scim_socket_frontend_setup.cpp (1.6),
	FrontEnd/scim_x11_frontend_setup.cpp (1.11), SetupUI/Makefile.am
	(1.1), SetupUI/scim_socket_frontend_setup.cpp (1.1),
	SetupUI/scim_socket_server_setup.cpp (1.1),
	SetupUI/scim_table_server_setup.cpp (1.1),
	SetupUI/scim_x11_frontend_setup.cpp (1.1):

	Split setup modules into SetupUI dir

2003-07-18 07:54  James Su <suzhe@tsinghua.org.cn>

	* extras/: gtk2_immodule/Makefile.am (1.16),
	gtk2_immodule/gtkimcontextscim.cpp (1.47), panel/scim_panel_gtk.cpp
	(1.5):

	New panel and gtk2immodule is almost ready.

2003-07-16 03:05  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.60), extras/Makefile.am (1.3),
	extras/panel/Makefile.am (1.1), extras/panel/scim_panel.h (1.1),
	extras/panel/scim_panel_gtk.cpp (1.1), po/scim.pot (1.39),
	po/zh_CN.po (1.43), po/zh_TW.po (1.42):

	Split panel into separated directory.

2003-07-16 02:31  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: panel.cpp (1.12), panel.h (1.5):

	Move panel.* to ../panel

2003-07-16 02:05  James Su <suzhe@tsinghua.org.cn>

	* utils/: Makefile.am (1.4), gtkstringview.c (1.5), gtkstringview.h
	(1.3), scimstringview.c (1.1), scimstringview.h (1.1):

	Rename gtkstringview to scimstringview.

2003-07-16 01:47  James Su <suzhe@tsinghua.org.cn>

	* utils/: Makefile.am (1.3), gtkkeyselection.cpp (1.3),
	gtkkeyselection.h (1.2), scimkeyselection.cpp (1.1),
	scimkeyselection.h (1.1):

	Rename gtkkeyselection to scimkeyselection.

2003-07-15 10:15  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.30), README (1.8), configure.ac (1.59), scim.spec.in
	(1.42), extras/gtk2_immodule/gtkimcontextscim.cpp (1.46),
	extras/gtk2_immodule/panel.cpp (1.11):

	Ready for 0.5.2

2003-07-12 02:03  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.41):

	Try to fix the crash bug of im-scim.

2003-07-10 10:32  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: Makefile.am (1.13), gtkimcontextscim.cpp
	(1.38), imscim.cpp (1.7), panel.cpp (1.5):

	Updated gtkimcontextscim to use panel

2003-07-10 02:49  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/panel.cpp (1.4):

	A prototype of panel has been finished.

2003-07-09 09:40  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: Makefile.am (1.11), panel.cpp (1.2),
	panel.h (1.2):

	panel is still not finished.

2003-07-08 10:02  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: panel.cpp (1.1), panel.h (1.1):

	Added panel.cpp panel.h

2003-07-07 08:07  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/: scim_gconf_config.cpp (1.9), scim_gconf_config.h
	(1.4):

	Use GConfClient instead of GConfEngine.

2003-07-07 03:45  James Su <suzhe@tsinghua.org.cn>

	* src/scim_chartraits.cpp (1.4):

	Updated scim_chartraits.cpp to check GCC version

2003-07-05 02:29  James Su <suzhe@tsinghua.org.cn>

	* src/scim_chartraits.cpp (1.3):

	Fixed bug in scim_chartraits.cpp

2003-07-04 08:58  tag scim_0_5_1

2003-07-04 08:58  James Su <suzhe@tsinghua.org.cn>

	* config.h.in (1.22), configure.ac (1.55),
	modules/FrontEnd/Makefile.am (1.21),
	modules/FrontEnd/IMdkit/Makefile.am (1.3):

	Fixed X11 detection in configure.ac

2003-07-04 07:27  James Su <suzhe@tsinghua.org.cn>

	* README (1.7), docs/Makefile.am (1.4):

	Merged some bugfixes from Foka's patch.

2003-07-04 07:04  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.29), po/scim.pot (1.36), po/zh_CN.po (1.40),
	po/zh_TW.po (1.39):

	Update ChangeLog

2003-07-04 06:48  James Su <suzhe@tsinghua.org.cn>

	* THANKS (1.3), src/scim_chartraits.cpp (1.2), src/scim_iconv.cpp
	(1.12), src/scim_utility.cpp (1.14):

	Fixed FreeBSD compatibility problem

2003-07-04 06:26  James Su <suzhe@tsinghua.org.cn>

	* src/: Makefile.am (1.22), scim_chartraits.cpp (1.1):

	Added scim_chartraits.cpp

2003-07-04 05:49  James Su <suzhe@tsinghua.org.cn>

	* THANKS (1.2), configure.ac (1.54), scim.spec.in (1.41),
	extras/setup/scim_setup.cpp (1.8), extras/setup/scim_setup_ui.cpp
	(1.14), modules/FrontEnd/scim_x11_frontend.cpp (1.72),
	modules/FrontEnd/scim_x11_frontend.h (1.19), src/scim_iconv.cpp
	(1.11), src/scim_utility.cpp (1.13):

	Finally fixed the crashing issue of the X11 FrontEnd.

2003-07-01 04:22  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.67),
	scim_x11_frontend.h (1.16):

	Fixed some bugs in X11 FrontEnd.

2003-06-30 11:02  James Su <suzhe@tsinghua.org.cn>

	* config.h.in (1.20), configure.ac (1.52),
	modules/FrontEnd/scim_x11_frontend.cpp (1.66),
	modules/FrontEnd/scim_x11_frontend.h (1.15):

	Added multihead support into X11 FrontEnd. Server menu won't work
	in the second screen because of a bug in gtk2.

2003-06-26 09:39  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/IMConn.c (1.2):

	use stdlib.h instead of malloc.h

2003-06-23 06:33  tag scim_0_5_0

2003-06-23 06:33  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket.cpp (1.13):

	Fixed a bug in scim_socket.cpp

2003-06-23 02:52  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.12), README (1.6), po/scim.pot (1.34), po/zh_CN.po
	(1.37), po/zh_TW.po (1.36):

	Added missing intltool*.in into Makefile.am

2003-06-20 09:51  James Su <suzhe@tsinghua.org.cn>

	* bootstrap (1.4), configure.ac (1.51), scim.spec.in (1.39),
	data/pixmaps/Makefile.am (1.3), extras/setup/Makefile.am (1.4),
	extras/setup/scim-setup.desktop.in (1.2),
	extras/setup/scim_setup_ui.cpp (1.13), po/POTFILES.in (1.7),
	po/scim.pot (1.33), po/zh_CN.po (1.36), po/zh_TW.po (1.35):

	ready for 0.5.0

2003-06-20 06:46  James Su <suzhe@tsinghua.org.cn>

	* data/: Makefile.am (1.2), pixmaps/Makefile.am (1.1),
	pixmaps/scim-setup.png (1.1):

	Added scim-setup.png

2003-06-20 03:50  James Su <suzhe@tsinghua.org.cn>

	* TODO (1.4), configure.ac (1.49),
	modules/FrontEnd/scim_socket_frontend_setup.cpp (1.4),
	modules/FrontEnd/scim_x11_frontend_setup.cpp (1.8), po/scim.pot
	(1.31), po/zh_CN.po (1.33), po/zh_TW.po (1.32):

	pump the version to 0.5.0, some messages are updated.

2003-06-19 10:49  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.2), README (1.5), configure.ac (1.48), scim.spec.in
	(1.38), po/POTFILES.in (1.5):

	Prepare for 0.4.2

2003-06-19 07:46  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.11), scim-gtkutils.pc.in (1.1),
	modules/FrontEnd/Makefile.am (1.19):

	Added scim-gtkutils.pc.in

2003-06-18 08:55  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.10), THANKS (1.1):

	Added THANKS

2003-06-18 08:36  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend_setup.cpp (1.7):

	Updated generic table module, thanks liuspider@21cn.com

2003-06-18 05:24  James Su <suzhe@tsinghua.org.cn>

	* configs/: config (1.19), scim.schemas (1.18):

	rename UserTableFormat to UserTableBinary

2003-06-17 10:52  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.47), scim.spec.in (1.37),
	extras/gtk2_immodule/Makefile.am (1.10),
	modules/FrontEnd/Makefile.am (1.18),
	modules/FrontEnd/scim_socket_frontend_setup.cpp (1.3),
	modules/FrontEnd/scim_x11_frontend_setup.cpp (1.6):

	Split gtkstringview and gtkkeyselection into libscim-gtkutils.la

2003-06-17 10:47  James Su <suzhe@tsinghua.org.cn>

	* utils/: Makefile.am (1.2), gtkkeyselection.cpp (1.1),
	gtkkeyselection.h (1.1):

	gtkkeyselection.* added

2003-06-16 07:40  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: Makefile.am (1.16),
	scim_socket_frontend_setup.cpp (1.1), scim_x11_frontend_setup.cpp
	(1.4):

	socket frontend setup module checked in

2003-06-13 02:42  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_config_module.cpp (1.10), scim_config_module.h (1.7),
	scim_frontend_module.cpp (1.9), scim_frontend_module.h (1.7),
	scim_module.cpp (1.15), scim_module.h (1.11),
	scim_server_module.cpp (1.11), scim_server_module.h (1.8):

	Make many functions in *module class const.

2003-06-12 10:14  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.45), extras/Makefile.am (1.2),
	extras/setup/scim_setup.cpp (1.3),
	extras/setup/scim_setup_module.cpp (1.3),
	extras/setup/scim_setup_module.h (1.3),
	extras/setup/scim_setup_ui.cpp (1.3), extras/setup/scim_setup_ui.h
	(1.3), modules/FrontEnd/Makefile.am (1.15),
	modules/FrontEnd/scim_x11_frontend_setup.cpp (1.1):

	Prototype of SetupUI is workable.

2003-06-12 05:41  James Su <suzhe@tsinghua.org.cn>

	* extras/setup/: Makefile.am (1.1), scim_setup.cpp (1.1),
	scim_setup.h (1.1), scim_setup_module.cpp (1.1),
	scim_setup_module.h (1.1), scim_setup_ui.cpp (1.1), scim_setup_ui.h
	(1.1):

	Initial import scim-setup

2003-06-10 01:51  James Su <suzhe@tsinghua.org.cn>

	* src/scim_socket_transaction.h (1.9):

	Added SCIM_TRANS_CMD_USER_DEFINED

2003-05-27 04:00  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_event.cpp (1.12), scim_event.h (1.9):

	Added more keycode into scim_event.*

2003-05-26 05:30  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.65), scim_x11_ic.cpp
	(1.8):

	Fixed a crash when lookup table is not embedded

2003-05-26 01:12  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.36), po/scim.pot (1.29), po/zh_CN.po (1.31),
	po/zh_TW.po (1.30):

	Added missing config file into scim-suite package

2003-05-21 08:17  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.62):

	More fix for auto hide toolbar feature

2003-05-21 06:36  tag scim_0_4_1

2003-05-21 06:36  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.44), configs/config (1.17), configs/scim.schemas
	(1.16), modules/Config/scim_socket_config.cpp (1.3),
	modules/FrontEnd/scim_socket_frontend.cpp (1.6), po/scim.pot
	(1.28), po/zh_CN.po (1.29), po/zh_TW.po (1.28),
	src/scim_socket_transaction.cpp (1.7),
	src/scim_socket_transaction.h (1.8):

	Use int for SocketCommand instead of a special enum type.  Added
	SCIM_TRANS_DATA_RAW data type to transfer a raw buffer.

2003-05-21 04:14  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.60),
	scim_x11_frontend.h (1.14):

	Finished toolbar hide feature

2003-05-20 10:34  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.58),
	scim_x11_frontend.h (1.13):

	Added auto Snap and Hide for toolbar

2003-05-19 02:22  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.57):

	Updated ims_sync_ic

2003-05-19 01:41  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.56),
	scim_x11_frontend.h (1.12):

	Added ims_sync_ic

2003-05-13 07:56  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/: scim_x11_frontend.cpp (1.46), scim_x11_ic.cpp
	(1.7), scim_x11_ic.h (1.3):

	Fixed preedit caret behaviour in OnTheSpot mode

2003-05-09 08:13  James Su <suzhe@tsinghua.org.cn>

	* src/scim_utility.h (1.9):

	Add const to scim_bytestouint32

2003-04-29 10:01  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_iconv.cpp (1.10), scim_iconv.h (1.7):

	added const properties to some methods of IConvert

2003-04-18 08:13  James Su <suzhe@tsinghua.org.cn>

	* bootstrap (1.3), config.h.in (1.19),
	modules/FrontEnd/scim_x11_frontend.cpp (1.45),
	modules/FrontEnd/scim_x11_frontend.h (1.9):

	Updated to autoconf-2.57 automake-1.7.3

2003-04-18 07:49  James Su <suzhe@tsinghua.org.cn>

	* src/ltdl.c (1.4):

	Updated ltdl to libtool-1.5a

2003-04-03 06:54  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.28), mkchlog (1.1), scim.spec.in (1.34), po/scim.pot
	(1.27), po/zh_CN.po (1.28), po/zh_TW.po (1.27):

	* Added suite package into scim.spec.in, which includes all
	necessary components to run SCIM.  * Generate ChangeLog from cvs
	log.  * Added mkchlog script to help generate ChangeLog.

2003-04-03 05:36  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_simple_config.cpp (1.14), src/scim_socket.cpp
	(1.12):

	Use String::size_type when finding in a string

2003-04-03 03:51  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_simple_config.cpp (1.13):

	More fixes for blank line bugs.

2003-04-03 03:43  James Su <suzhe@tsinghua.org.cn>

	* scim.spec.in (1.33), modules/Config/scim_simple_config.cpp
	(1.12):

	Fixed blank line bugs in Simple Config module and Table Server
	module

2003-04-01 09:39  tag scim_0_4_0

2003-04-01 09:39  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.27), configure.ac (1.43):

	Release 0.4.0

2003-04-01 08:40  James Su <suzhe@tsinghua.org.cn>

	* po/: scim.pot (1.26), zh_CN.po (1.27), zh_TW.po (1.26):

	Updated po files

2003-04-01 08:22  James Su <suzhe@tsinghua.org.cn>

	* docs/: design.zh_CN (1.2), developers (1.2):

	Updated the docs a little

2003-04-01 07:50  James Su <suzhe@tsinghua.org.cn>

	* utils/gtkstringview.c (1.4):

	Add SCIM_ prefix to gtkstringview type name

2003-04-01 07:27  James Su <suzhe@tsinghua.org.cn>

	* README (1.4), po/scim.pot (1.25), po/zh_CN.po (1.26), po/zh_TW.po
	(1.25):

	Update README

2003-03-31 04:38  James Su <suzhe@tsinghua.org.cn>

	* configs/: config (1.16), scim.schemas (1.15):

	Updated the configuration for Socket FrontEnd/Server

2003-03-31 03:54  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: gtkimcontextscim.cpp (1.36), imscim.cpp
	(1.6):

	use socket config/server modules in gtk2 immodule by default.

2003-03-31 03:31  James Su <suzhe@tsinghua.org.cn>

	* src/scim.cpp (1.18):


	added -ns (--no-servers) option to prevent loading some server
	modules.  use x11-gtk as default FrontEnd module if available.	use
	simple as default Config module if available.

2003-03-31 02:32  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.35),
	extras/gtk2_immodule/imscim.cpp (1.5), po/scim.pot (1.24),
	po/zh_CN.po (1.25), po/zh_TW.po (1.24), src/scim.cpp (1.17),
	utils/gtkstringview.c (1.3), utils/gtkstringview.h (1.2):

	Make string_view_type registered dynamically within gtk2 immodule.
	make argc always larger than zero to prevent x11-gtk frontend from
	crashing.

2003-03-28 08:30  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.34):


	Make SCIM GTK+2 IM Module resident into the memory.

2003-03-27 06:59  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.33),
	extras/gtk2_immodule/gtkimcontextscim.h (1.6),
	extras/gtk2_immodule/imscim.cpp (1.4), utils/gtkstringview.c (1.2):


	Fixed the gtk2 immodule crash bug. Make the module resident into
	memory once loaded. Gedit still crash with this module.

2003-03-26 03:27  James Su <suzhe@tsinghua.org.cn>

	* src/scim.cpp (1.16):


	Pass arguments after '--' to FrontEnd.

2003-03-26 03:05  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_socket_config.cpp (1.2),
	modules/FrontEnd/scim_socket_frontend.cpp (1.5),
	src/scim_socket.cpp (1.11):

	Ignore SIGPIPE when writing to a socket. This fixed client exit
	when SocketFrontEnd is broken.

2003-03-25 07:28  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/Makefile.am (1.9),
	modules/Config/scim_socket_config.cpp (1.1),
	modules/Config/scim_socket_config.h (1.1),
	modules/FrontEnd/scim_socket_frontend.cpp (1.3),
	modules/FrontEnd/scim_socket_frontend.h (1.5),
	src/scim_socket_transaction.h (1.7):

	Added SocketConfig module

2003-03-25 06:23  James Su <suzhe@tsinghua.org.cn>

	* config.h.in (1.18), configure.ac (1.42),
	extras/gtk2_immodule/gtkimcontextscim.cpp (1.32),
	modules/FrontEnd/Makefile.am (1.14),
	src/scim_socket_transaction.cpp (1.6):

	Finished SocketServer module

2003-03-24 11:52  James Su <suzhe@tsinghua.org.cn>

	* config.h.in (1.17), configure.ac (1.41),
	modules/FrontEnd/Makefile.am (1.13),
	modules/FrontEnd/scim_socket_frontend.cpp (1.2),
	modules/FrontEnd/scim_socket_frontend.h (1.4),
	src/scim_socket_transaction.cpp (1.5),
	src/scim_socket_transaction.h (1.6):

	Finished SocketFrontEnd

2003-03-17 10:41  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_socket.cpp (1.3), scim_socket.h (1.5):

	Finished a very early version of Socket classes

2003-03-14 11:05  James Su <suzhe@tsinghua.org.cn>

	* config.h.in (1.16), configure.ac (1.39), scim.pc.in (1.10),
	docs/scim.cfg.in (1.5), po/scim.pot (1.21), po/zh_CN.po (1.22),
	po/zh_TW.po (1.21), src/Makefile.am (1.20), src/scim.h (1.10),
	src/scim_socket.cpp (1.1), src/scim_socket.h (1.3):

	added scim_socket.cpp

2003-03-05 10:59  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_backend.h (1.7), scim_config_base.h (1.6),
	scim_errors.h (1.10), scim_frontend.h (1.11), scim_module.h (1.10),
	scim_server.h (1.17), scim_socket.h (1.1):

	Added scim_socket.h

2003-03-05 03:52  James Su <suzhe@tsinghua.org.cn>

	* po/scim.pot (1.19), po/zh_CN.po (1.20), po/zh_TW.po (1.19),
	src/scim_config_module.cpp (1.9), src/scim_event.cpp (1.10),
	src/scim_frontend.cpp (1.16), src/scim_frontend_module.cpp (1.8),
	src/scim_iconv.cpp (1.8), src/scim_lookup_table.cpp (1.13),
	src/scim_module.cpp (1.12), src/scim_server_module.cpp (1.10),
	src/scim_utility.cpp (1.12):

	eliminated the usage of NULL.  fixed the bug of loading modules if
	*.la files is missing.

2003-03-04 03:52  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/gtkimcontextscim.cpp (1.21),
	modules/FrontEnd/scim_x11_frontend.cpp (1.37), po/scim.pot (1.17),
	po/zh_CN.po (1.18), po/zh_TW.po (1.17):

	Fixed memory leaks in FrontEnd::update_preedit_string caused by
	attrlist

2003-02-10 08:13  tag scim_0_3_1

2003-02-10 08:13  James Su <suzhe@tsinghua.org.cn>

	* Makefile.am (1.9), configure.ac (1.34), data/Makefile.am (1.1),
	data/icons/Makefile.am (1.1), data/icons/configure.xpm (1.1),
	data/icons/down.xpm (1.1), data/icons/full_width_letter.xpm (1.1),
	data/icons/full_width_punct.xpm (1.1),
	data/icons/half_width_letter.xpm (1.1),
	data/icons/half_width_punct.xpm (1.1), data/icons/help.xpm (1.1),
	data/icons/left.xpm (1.1), data/icons/pin_down.xpm (1.1),
	data/icons/pin_up.xpm (1.1), data/icons/right.xpm (1.1),
	data/icons/trademark.xpm (1.1), data/icons/up.xpm (1.1),
	utils/Makefile.am (1.1), utils/gtkstringview.c (1.1),
	utils/gtkstringview.h (1.1):

	Move icons into data dir, gtkstringview.* to utils dir

2003-02-07 07:50  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/gtkstringview.c (1.6),
	modules/FrontEnd/gtkstringview.h (1.3),
	modules/FrontEnd/scim_x11_frontend.cpp (1.33),
	modules/FrontEnd/scim_x11_frontend.h (1.6), src/scim_attributes.h
	(1.2), src/scim_server.h (1.16):

	Use AttributeList instead of highlight_start and highlight_end in
	server

2003-01-02 01:48  tag scim_0_3_0

2003-01-02 01:48  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.21), TODO (1.2), configure.ac (1.30),
	extras/gtk2_immodule/Makefile.am (1.4), po/scim.pot (1.13),
	po/zh_CN.po (1.13), po/zh_TW.po (1.13):

	Ready to release 0.3.0

2002-11-21 11:04  James Su <suzhe@tsinghua.org.cn>

	* extras/gtk2_immodule/: Makefile.am (1.1), gtkimcontextscim.cpp
	(1.3), gtkimcontextscim.h (1.2), imscim.cpp (1.2):

	GTK IMModule WIP

2002-11-18 09:10  tag scim_lib_0

2002-11-18 09:10  James Su <suzhe@tsinghua.org.cn>

	* extras/: Makefile.am (1.1.1.1), gtk2_immodule/gtkimcontextscim.h
	(1.1.1.1), gtk2_immodule/imscim.c (1.1.1.1),
	gtk2_immodule/gtkimcontextscim.cpp (1.1.1.1),
	gtk2_immodule/gtkstringview.c (1.1.1.1),
	gtk2_immodule/gtkstringview.h (1.1.1.1):

	Import extras/

2002-11-18 09:10  James Su <suzhe@tsinghua.org.cn>

	* extras/: Makefile.am (1.1), gtk2_immodule/gtkimcontextscim.h
	(1.1), gtk2_immodule/imscim.c (1.1),
	gtk2_immodule/gtkimcontextscim.cpp (1.1),
	gtk2_immodule/gtkstringview.c (1.1), gtk2_immodule/gtkstringview.h
	(1.1):

	Initial revision

2002-11-04 01:33  tag scim_0_2_2

2002-11-04 01:33  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.18), configure.ac (1.22), scim.spec.in (1.23):

	v0.2.2

2002-10-17 10:11  tag scim_0_2_3

2002-10-17 10:11  James Su <suzhe@tsinghua.org.cn>

	* docs/scim.cfg.in (1.2):

	Update scim.cfg.in

2002-10-10 10:46  James Su <suzhe@tsinghua.org.cn>

	* ABOUT-NLS (1.1), ChangeLog (1.14), Makefile.am (1.4), config.h.in
	(1.2), configure.ac (1.16), scim.pc.in (1.3), scim.spec.in (1.17),
	intl/ChangeLog (1.1), intl/Makefile.in (1.1), intl/VERSION (1.1),
	intl/bindtextdom.c (1.1), intl/config.charset (1.1),
	intl/dcgettext.c (1.1), intl/dcigettext.c (1.1), intl/dcngettext.c
	(1.1), intl/dgettext.c (1.1), intl/dngettext.c (1.1),
	intl/explodename.c (1.1), intl/finddomain.c (1.1), intl/gettext.c
	(1.1), intl/gettext.h (1.1), intl/gettextP.h (1.1),
	intl/hash-string.h (1.1), intl/intl-compat.c (1.1),
	intl/l10nflist.c (1.1), intl/libgettext.h (1.1), intl/libgnuintl.h
	(1.1), intl/loadinfo.h (1.1), intl/loadmsgcat.c (1.1),
	intl/localcharset.c (1.1), intl/locale.alias (1.1),
	intl/localealias.c (1.1), intl/ngettext.c (1.1), intl/plural.c
	(1.1), intl/plural.y (1.1), intl/ref-add.sin (1.1),
	intl/ref-del.sin (1.1), intl/textdomain.c (1.1),
	modules/Config/Makefile.am (1.5),
	modules/Config/scim_gconf_config.cpp (1.3),
	modules/Config/scim_simple_config.cpp (1.7),
	modules/FrontEnd/Makefile.am (1.4),
	modules/FrontEnd/gtkstringview.c (1.4),
	modules/FrontEnd/scim_x11_frontend.cpp (1.20),
	modules/FrontEnd/scim_x11_ic.cpp (1.3), po/ChangeLog (1.1),
	po/Makefile.in.in (1.1), po/POTFILES.in (1.1), po/scim.pot (1.1),
	po/zh_CN.po (1.1), po/zh_TW.po (1.1), src/Makefile.am (1.7),
	src/scim.cpp (1.4), src/scim_backend.cpp (1.6),
	src/scim_config_base.cpp (1.3), src/scim_config_module.cpp (1.3),
	src/scim_event.cpp (1.4), src/scim_frontend.cpp (1.5),
	src/scim_frontend_module.cpp (1.3), src/scim_iconv.cpp (1.3),
	src/scim_lookup_table.cpp (1.7), src/scim_module.cpp (1.6),
	src/scim_private.h (1.1), src/scim_server.cpp (1.4),
	src/scim_server_module.cpp (1.4), src/scim_utility.cpp (1.6):

	prepare for version 0.2.0

2002-10-08 05:33  James Su <suzhe@tsinghua.org.cn>

	* src/: scim.cpp (1.3), scim_server_module.cpp (1.3),
	scim_server_module.h (1.3):

	API of Server Module was updated to support multiple Factories
	within one module.

2002-09-30 10:28  tag scim_0_1_4

2002-09-30 10:28  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.13), configure.ac (1.15), scim.spec.in (1.16),
	configs/config (1.7), configs/scim.schemas (1.7),
	modules/FrontEnd/scim_x11_frontend.cpp (1.19), src/Makefile.am
	(1.6), src/scim_types.h (1.2), src/scim_utility.cpp (1.5):

	scim-0.1.4

2002-09-23 13:41  tag scim_0_1_3

2002-09-23 13:41  James Su <suzhe@tsinghua.org.cn>

	* configs/Makefile.am (1.3):

	0.1.3

2002-09-08 13:29  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.11), scim.spec.in (1.13),
	modules/Config/scim_gconf_config.cpp (1.2),
	modules/Config/scim_gconf_config.h (1.2),
	modules/Config/scim_simple_config.cpp (1.6),
	modules/Config/scim_simple_config.h (1.4),
	modules/FrontEnd/scim_x11_frontend.cpp (1.17),
	src/scim_config_base.cpp (1.2), src/scim_config_base.h (1.2),
	src/scim_lookup_table.cpp (1.6), src/scim_lookup_table.h (1.5),
	src/scim_utility.cpp (1.4), src/scim_utility.h (1.5):

	Simplified the utilities api

2002-08-21 11:46  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.10), configure.ac (1.13), scim.spec.in (1.12),
	configs/Makefile.am (1.2), configs/config (1.6),
	configs/scim.schemas (1.6), modules/Config/Makefile.am (1.4),
	modules/FrontEnd/Makefile.am (1.3):

	added configuration options to disable modules.

2002-08-21 09:09  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.16):

	Added ShowStatusBox option

2002-08-10 18:54  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.9), configure.ac (1.12), scim.spec.in (1.11),
	configs/config (1.5), configs/scim.schemas (1.5),
	modules/FrontEnd/gtkstringview.c (1.3),
	modules/FrontEnd/scim_x11_frontend.cpp (1.14):

	X11 FrontEnd was enhanced.

2002-08-09 17:54  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.8), configure.ac (1.11), scim.spec.in (1.10),
	modules/FrontEnd/scim_x11_frontend.cpp (1.13), src/scim.cpp (1.2),
	src/scim_backend.cpp (1.5), src/scim_config_module.cpp (1.2),
	src/scim_event.cpp (1.3), src/scim_frontend_module.cpp (1.2),
	src/scim_module.cpp (1.5), src/scim_server.cpp (1.3),
	src/scim_server.h (1.5), src/scim_server_module.cpp (1.2):

	Bugfixes, feature enhancements

2002-08-08 19:38  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.12), src/scim_event.cpp
	(1.2), src/scim_event.h (1.3), src/scim_frontend.cpp (1.4),
	src/scim_frontend.h (1.4):

	FrontEnd updated, scim_event.* updated.

2002-08-07 07:10  James Su <suzhe@tsinghua.org.cn>

	* configs/config (1.4), configs/scim.schemas (1.4),
	modules/FrontEnd/scim_x11_frontend.cpp (1.11),
	src/scim_config_path.h (1.6):

	Add a work around for KeyMask problem of X11 FrontEnd

2002-08-02 06:05  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.7), configure.ac (1.10), scim.spec.in (1.9),
	modules/FrontEnd/scim_x11_frontend.cpp (1.10), src/scim_utility.h
	(1.4):

	Minor bugfixes of X11 FrontEnd.

2002-07-29 07:53  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.6), configure.ac (1.9), scim.spec.in (1.8),
	configs/config (1.2), configs/scim.schemas (1.2),
	modules/FrontEnd/scim_x11_frontend.cpp (1.8),
	src/scim_config_path.h (1.5):

	Minor bugfixes

2002-07-28 05:21  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.5), README (1.2), configure.ac (1.8), scim.spec.in
	(1.7), src/scim_backend.cpp (1.4):

	Minor bugfixes

2002-07-22 17:21  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/scim_simple_config.cpp (1.5):

	Fixed a small bug in simple config module

2002-07-22 08:24  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.4), scim.spec.in (1.5), docs/design.zh_CN (1.1),
	modules/Config/scim_simple_config.cpp (1.3),
	modules/Config/scim_simple_config.h (1.2), src/Makefile.am (1.5),
	src/scim.cpp (1.1):

	Added a main program: scim.cpp

2002-07-20 18:28  James Su <suzhe@tsinghua.org.cn>

	* modules/Config/Makefile.am (1.2),
	modules/Config/scim_simple_config.cpp (1.1),
	modules/Config/scim_simple_config.h (1.1), src/scim_module.h (1.4),
	src/scim_utility.cpp (1.3), src/scim_utility.h (1.3):

	added a simple config module.

2002-07-13 03:14  James Su <suzhe@tsinghua.org.cn>

	* src/: scim_iconv.cpp (1.2), scim_iconv.h (1.2):

	Fixed a bug in scim_iconv.cpp

2002-07-11 06:22  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.5), src/Makefile.am (1.2), src/scim.h (1.2),
	src/scim_array.h (1.2), src/scim_config_module.h (1.2),
	src/scim_frontend.cpp (1.3), src/scim_frontend.h (1.3),
	src/scim_frontend_module.h (1.2), src/scim_lookup_table.cpp (1.5),
	src/scim_lookup_table.h (1.4), src/scim_module.cpp (1.2),
	src/scim_module.h (1.2), src/scim_server.cpp (1.2),
	src/scim_server.h (1.4), src/scim_server_module.h (1.2):

	Removed scim_phrase.*. Added key release event type. Added module
	search functions.

2002-07-07 19:38  James Su <suzhe@tsinghua.org.cn>

	* src/scim_lookup_table.cpp (1.4):

	Fixed a bug in scim_lookup_table.cpp

2002-07-06 23:46  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.5),
	src/scim_config_path.h (1.3):

	Fixed a typo in scim_config_path.h, a bug in scim_x11_frontend.cpp

2002-07-06 09:26  James Su <suzhe@tsinghua.org.cn>

	* ChangeLog (1.2), Makefile.am (1.2), configure.ac (1.4),
	scim.pc.in (1.1), scim.spec.in (1.2):

	Added scim.pc.in, updated ChangeLog.

2002-07-06 08:41  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.3), modules/FrontEnd/scim_x11_frontend.cpp (1.4),
	src/scim_backend.cpp (1.2):

	A critical bug in scim_backend.cpp was fixed.  A minor bug in
	scim_x11_frontend.cpp was fixed.  A changed was made in
	scim_main.cpp to load specified Server module

2002-07-04 15:02  James Su <suzhe@tsinghua.org.cn>

	* configure.ac (1.2), modules/FrontEnd/gtkstringview.c (1.2),
	modules/FrontEnd/gtkstringview.h (1.2),
	modules/FrontEnd/scim_x11_frontend.cpp (1.3),
	src/scim_lookup_table.cpp (1.3), src/scim_lookup_table.h (1.3),
	src/scim_server.h (1.3):

	Finished the string highlight support in X11 FrontEnd

2002-07-03 17:51  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/scim_x11_frontend.cpp (1.2),
	modules/FrontEnd/scim_x11_frontend.h (1.2),
	modules/FrontEnd/scim_x11_ic.cpp (1.2), src/scim_config_path.h
	(1.2), src/scim_frontend.cpp (1.2), src/scim_frontend.h (1.2),
	src/scim_lookup_table.cpp (1.2), src/scim_lookup_table.h (1.2),
	src/scim_server.h (1.2):

	Updated the APIs of ServerInstance and FrontEnd, string
	highlighting and lookup table cursor were added.

2002-07-02 03:56  tag scim_0_0

2002-07-02 03:56  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/i18nPtHdr.c (1.1),
	modules/FrontEnd/IMdkit/i18nTr.c (1.1),
	modules/FrontEnd/IMdkit/i18nUtil.c (1.1),
	modules/FrontEnd/IMdkit/i18nX.c (1.1), src/Makefile.am (1.1),
	src/ltdl.c (1.1), src/ltdl.h (1.1), src/scim.h (1.1),
	src/scim_array.h (1.1), src/scim_backend.cpp (1.1),
	src/scim_backend.h (1.1), src/scim_config_base.cpp (1.1),
	src/scim_config_base.h (1.1), src/scim_config_module.cpp (1.1),
	src/scim_config_module.h (1.1), src/scim_config_path.h (1.1),
	src/scim_errors.h (1.1), src/scim_event.cpp (1.1), src/scim_event.h
	(1.1), src/scim_frontend.cpp (1.1), src/scim_frontend.h (1.1),
	src/scim_frontend_module.cpp (1.1), src/scim_frontend_module.h
	(1.1), src/scim_iconv.cpp (1.1), src/scim_iconv.h (1.1),
	src/scim_lookup_table.cpp (1.1), src/scim_lookup_table.h (1.1),
	src/scim_module.cpp (1.1), src/scim_module.h (1.1),
	src/scim_phrase.cpp (1.1), src/scim_phrase.h (1.1),
	src/scim_server.cpp (1.1), src/scim_server.h (1.1),
	src/scim_server_module.cpp (1.1), src/scim_server_module.h (1.1),
	src/scim_types.h (1.1), src/scim_utility.cpp (1.1),
	src/scim_utility.h (1.1):

	Initial revision

2002-07-02 03:56  James Su <suzhe@tsinghua.org.cn>

	* modules/FrontEnd/IMdkit/i18nPtHdr.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nTr.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nUtil.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nX.c (1.1.1.1), src/Makefile.am
	(1.1.1.1), src/ltdl.c (1.1.1.1), src/ltdl.h (1.1.1.1), src/scim.h
	(1.1.1.1), src/scim_array.h (1.1.1.1), src/scim_backend.cpp
	(1.1.1.1), src/scim_backend.h (1.1.1.1), src/scim_config_base.cpp
	(1.1.1.1), src/scim_config_base.h (1.1.1.1),
	src/scim_config_module.cpp (1.1.1.1), src/scim_config_module.h
	(1.1.1.1), src/scim_config_path.h (1.1.1.1), src/scim_errors.h
	(1.1.1.1), src/scim_event.cpp (1.1.1.1), src/scim_event.h
	(1.1.1.1), src/scim_frontend.cpp (1.1.1.1), src/scim_frontend.h
	(1.1.1.1), src/scim_frontend_module.cpp (1.1.1.1),
	src/scim_frontend_module.h (1.1.1.1), src/scim_iconv.cpp (1.1.1.1),
	src/scim_iconv.h (1.1.1.1), src/scim_lookup_table.cpp (1.1.1.1),
	src/scim_lookup_table.h (1.1.1.1), src/scim_module.cpp (1.1.1.1),
	src/scim_module.h (1.1.1.1), src/scim_phrase.cpp (1.1.1.1),
	src/scim_phrase.h (1.1.1.1), src/scim_server.cpp (1.1.1.1),
	src/scim_server.h (1.1.1.1), src/scim_server_module.cpp (1.1.1.1),
	src/scim_server_module.h (1.1.1.1), src/scim_types.h (1.1.1.1),
	src/scim_utility.cpp (1.1.1.1), src/scim_utility.h (1.1.1.1):

	first import of scim-lib into subversions.gnu.org

2002-07-02 03:53  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.1), COPYING (1.1), ChangeLog (1.1), INSTALL (1.1),
	Makefile.am (1.1), NEWS (1.1), README (1.1), bootstrap (1.1),
	config.h.in (1.1), configure.ac (1.1), scim.spec.in (1.1),
	docs/Makefile.am (1.1), docs/developers (1.1), docs/scim.cfg.in
	(1.1), docs/topng (1.1), modules/Makefile.am (1.1),
	modules/Config/Makefile.am (1.1),
	modules/Config/scim_gconf_config.cpp (1.1),
	modules/Config/scim_gconf_config.h (1.1),
	modules/FrontEnd/Makefile.am (1.1),
	modules/FrontEnd/gtkstringview.c (1.1),
	modules/FrontEnd/gtkstringview.h (1.1),
	modules/FrontEnd/scim_x11_frontend.cpp (1.1),
	modules/FrontEnd/scim_x11_frontend.h (1.1),
	modules/FrontEnd/scim_x11_ic.cpp (1.1),
	modules/FrontEnd/scim_x11_ic.h (1.1),
	modules/FrontEnd/IMdkit/FrameMgr.c (1.1),
	modules/FrontEnd/IMdkit/FrameMgr.h (1.1),
	modules/FrontEnd/IMdkit/IMConn.c (1.1),
	modules/FrontEnd/IMdkit/IMMethod.c (1.1),
	modules/FrontEnd/IMdkit/IMValues.c (1.1),
	modules/FrontEnd/IMdkit/IMdkit.h (1.1),
	modules/FrontEnd/IMdkit/Makefile.am (1.1),
	modules/FrontEnd/IMdkit/Xi18n.h (1.1),
	modules/FrontEnd/IMdkit/Xi18nTr.h (1.1),
	modules/FrontEnd/IMdkit/Xi18nX.h (1.1),
	modules/FrontEnd/IMdkit/XimFunc.h (1.1),
	modules/FrontEnd/IMdkit/XimProto.h (1.1),
	modules/FrontEnd/IMdkit/Xtrans.h (1.1),
	modules/FrontEnd/IMdkit/i18nAttr.c (1.1),
	modules/FrontEnd/IMdkit/i18nClbk.c (1.1),
	modules/FrontEnd/IMdkit/i18nIMProto.c (1.1),
	modules/FrontEnd/IMdkit/i18nIc.c (1.1),
	modules/FrontEnd/IMdkit/i18nMethod.c (1.1):

	Initial revision

2002-07-02 03:53  James Su <suzhe@tsinghua.org.cn>

	* AUTHORS (1.1.1.1), COPYING (1.1.1.1), ChangeLog (1.1.1.1),
	INSTALL (1.1.1.1), Makefile.am (1.1.1.1), NEWS (1.1.1.1), README
	(1.1.1.1), bootstrap (1.1.1.1), config.h.in (1.1.1.1), configure.ac
	(1.1.1.1), scim.spec.in (1.1.1.1), docs/Makefile.am (1.1.1.1),
	docs/developers (1.1.1.1), docs/scim.cfg.in (1.1.1.1), docs/topng
	(1.1.1.1), modules/Makefile.am (1.1.1.1),
	modules/Config/Makefile.am (1.1.1.1),
	modules/Config/scim_gconf_config.cpp (1.1.1.1),
	modules/Config/scim_gconf_config.h (1.1.1.1),
	modules/FrontEnd/Makefile.am (1.1.1.1),
	modules/FrontEnd/gtkstringview.c (1.1.1.1),
	modules/FrontEnd/gtkstringview.h (1.1.1.1),
	modules/FrontEnd/scim_x11_frontend.cpp (1.1.1.1),
	modules/FrontEnd/scim_x11_frontend.h (1.1.1.1),
	modules/FrontEnd/scim_x11_ic.cpp (1.1.1.1),
	modules/FrontEnd/scim_x11_ic.h (1.1.1.1),
	modules/FrontEnd/IMdkit/FrameMgr.c (1.1.1.1),
	modules/FrontEnd/IMdkit/FrameMgr.h (1.1.1.1),
	modules/FrontEnd/IMdkit/IMConn.c (1.1.1.1),
	modules/FrontEnd/IMdkit/IMMethod.c (1.1.1.1),
	modules/FrontEnd/IMdkit/IMValues.c (1.1.1.1),
	modules/FrontEnd/IMdkit/IMdkit.h (1.1.1.1),
	modules/FrontEnd/IMdkit/Makefile.am (1.1.1.1),
	modules/FrontEnd/IMdkit/Xi18n.h (1.1.1.1),
	modules/FrontEnd/IMdkit/Xi18nTr.h (1.1.1.1),
	modules/FrontEnd/IMdkit/Xi18nX.h (1.1.1.1),
	modules/FrontEnd/IMdkit/XimFunc.h (1.1.1.1),
	modules/FrontEnd/IMdkit/XimProto.h (1.1.1.1),
	modules/FrontEnd/IMdkit/Xtrans.h (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nAttr.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nClbk.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nIMProto.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nIc.c (1.1.1.1),
	modules/FrontEnd/IMdkit/i18nMethod.c (1.1.1.1):

	first import of scim-lib into subversions.gnu.org

